package com.mortals.xhx.common.pdu.app;

import com.mortals.framework.model.BaseEntityLong;

import java.util.ArrayList;
import java.util.List;

/**
 * 基础平台自助终端应用
 */
public class AppPdu extends BaseEntityLong {
    private static final long serialVersionUID = 1L;

    /**
     * 站点Id
     */
    private Long siteId;
    /**
     * 站点名称
     */
    private String siteName;
    /**
     * 应用编码
     */
    private String appCode;
    /**
     * 应用名称
     */
    private String appName;
    /**
     * 应用图标
     */
    private String appIconPath;
    /**
     * 应用主题名称
     */
    private String appThemeName;
    /**
     * 类型(1.终端应用,2.移动端应用)
     */
    private Integer type;
    /**
     * 链接地址
     */
    private String url;
    /**
     * 服务接口地址
     */
    private String serviceApi;
    /**
     * 下发设备次数
     */
    private Integer downDevCount;
    /**
     * 是否上架(0.下架，1.上架)
     */
    private Integer shelves;
    /**
     * 类型(1.应用程序,2.url)
     */
    private Integer appType;
    /**
     * 文件名称
     */
    private String fileName;
    /**
     * 文件相对路径地址
     */
    private String filePath;
    /**
     * 文件部署路径地址
     */
    private String distributeFilePath;
    /**
     * 当前版本
     */
    private Integer version;
    /**
     * 简介
     */
    private String summary;
    /**
     * 更新说明
     */
    private String notes;
    /**
     * 是否部署(0.否，1.是)
     */
    private Integer distribute;
    /**
     * 是否数据更新(0.否，1.是)
     */
    private Integer dataUpdate;

    /**
     * 自主应用访问地址
     */
    private String custUrl;


    public AppPdu(){}
    /**
     * 获取 站点Id
     * @return Long
     */
    public Long getSiteId(){
        return siteId;
    }
    /**
     * 设置 站点Id
     * @param siteId
     */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
     * 获取 站点名称
     * @return String
     */
    public String getSiteName(){
        return siteName;
    }
    /**
     * 设置 站点名称
     * @param siteName
     */
    public void setSiteName(String siteName){
        this.siteName = siteName;
    }
    /**
     * 获取 应用编码
     * @return String
     */
    public String getAppCode(){
        return appCode;
    }
    /**
     * 设置 应用编码
     * @param appCode
     */
    public void setAppCode(String appCode){
        this.appCode = appCode;
    }
    /**
     * 获取 应用名称
     * @return String
     */
    public String getAppName(){
        return appName;
    }
    /**
     * 设置 应用名称
     * @param appName
     */
    public void setAppName(String appName){
        this.appName = appName;
    }
    /**
     * 获取 应用图标
     * @return String
     */
    public String getAppIconPath(){
        return appIconPath;
    }
    /**
     * 设置 应用图标
     * @param appIconPath
     */
    public void setAppIconPath(String appIconPath){
        this.appIconPath = appIconPath;
    }
    /**
     * 获取 应用主题名称
     * @return String
     */
    public String getAppThemeName(){
        return appThemeName;
    }
    /**
     * 设置 应用主题名称
     * @param appThemeName
     */
    public void setAppThemeName(String appThemeName){
        this.appThemeName = appThemeName;
    }
    /**
     * 获取 类型(1.终端应用,2.移动端应用)
     * @return Integer
     */
    public Integer getType(){
        return type;
    }
    /**
     * 设置 类型(1.终端应用,2.移动端应用)
     * @param type
     */
    public void setType(Integer type){
        this.type = type;
    }
    /**
     * 获取 链接地址
     * @return String
     */
    public String getUrl(){
        return url;
    }
    /**
     * 设置 链接地址
     * @param url
     */
    public void setUrl(String url){
        this.url = url;
    }
    /**
     * 获取 服务接口地址
     * @return String
     */
    public String getServiceApi(){
        return serviceApi;
    }
    /**
     * 设置 服务接口地址
     * @param serviceApi
     */
    public void setServiceApi(String serviceApi){
        this.serviceApi = serviceApi;
    }
    /**
     * 获取 下发设备次数
     * @return Integer
     */
    public Integer getDownDevCount(){
        return downDevCount;
    }
    /**
     * 设置 下发设备次数
     * @param downDevCount
     */
    public void setDownDevCount(Integer downDevCount){
        this.downDevCount = downDevCount;
    }
    /**
     * 获取 是否上架(0.下架，1.上架)
     * @return Integer
     */
    public Integer getShelves(){
        return shelves;
    }
    /**
     * 设置 是否上架(0.下架，1.上架)
     * @param shelves
     */
    public void setShelves(Integer shelves){
        this.shelves = shelves;
    }
    /**
     * 获取 类型(1.应用程序,2.url)
     * @return Integer
     */
    public Integer getAppType(){
        return appType;
    }
    /**
     * 设置 类型(1.应用程序,2.url)
     * @param appType
     */
    public void setAppType(Integer appType){
        this.appType = appType;
    }
    /**
     * 获取 文件名称
     * @return String
     */
    public String getFileName(){
        return fileName;
    }
    /**
     * 设置 文件名称
     * @param fileName
     */
    public void setFileName(String fileName){
        this.fileName = fileName;
    }
    /**
     * 获取 文件相对路径地址
     * @return String
     */
    public String getFilePath(){
        return filePath;
    }
    /**
     * 设置 文件相对路径地址
     * @param filePath
     */
    public void setFilePath(String filePath){
        this.filePath = filePath;
    }
    /**
     * 获取 文件部署路径地址
     * @return String
     */
    public String getDistributeFilePath(){
        return distributeFilePath;
    }
    /**
     * 设置 文件部署路径地址
     * @param distributeFilePath
     */
    public void setDistributeFilePath(String distributeFilePath){
        this.distributeFilePath = distributeFilePath;
    }
    /**
     * 获取 当前版本
     * @return Integer
     */
    public Integer getVersion(){
        return version;
    }
    /**
     * 设置 当前版本
     * @param version
     */
    public void setVersion(Integer version){
        this.version = version;
    }
    /**
     * 获取 简介
     * @return String
     */
    public String getSummary(){
        return summary;
    }
    /**
     * 设置 简介
     * @param summary
     */
    public void setSummary(String summary){
        this.summary = summary;
    }
    /**
     * 获取 更新说明
     * @return String
     */
    public String getNotes(){
        return notes;
    }
    /**
     * 设置 更新说明
     * @param notes
     */
    public void setNotes(String notes){
        this.notes = notes;
    }
    /**
     * 获取 是否部署(0.否，1.是)
     * @return Integer
     */
    public Integer getDistribute(){
        return distribute;
    }
    /**
     * 设置 是否部署(0.否，1.是)
     * @param distribute
     */
    public void setDistribute(Integer distribute){
        this.distribute = distribute;
    }
    /**
     * 获取 是否数据更新(0.否，1.是)
     * @return Integer
     */
    public Integer getDataUpdate(){
        return dataUpdate;
    }
    /**
     * 设置 是否数据更新(0.否，1.是)
     * @param dataUpdate
     */
    public void setDataUpdate(Integer dataUpdate){
        this.dataUpdate = dataUpdate;
    }

    public String getCustUrl() {
        return custUrl;
    }

    public void setCustUrl(String custUrl) {
        this.custUrl = custUrl;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof AppPdu) {
            AppPdu tmp = (AppPdu) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",siteId:").append(getSiteId());
        sb.append(",siteName:").append(getSiteName());
        sb.append(",appCode:").append(getAppCode());
        sb.append(",appName:").append(getAppName());
        sb.append(",appIconPath:").append(getAppIconPath());
        sb.append(",appThemeName:").append(getAppThemeName());
        sb.append(",type:").append(getType());
        sb.append(",url:").append(getUrl());
        sb.append(",serviceApi:").append(getServiceApi());
        sb.append(",downDevCount:").append(getDownDevCount());
        sb.append(",shelves:").append(getShelves());
        sb.append(",appType:").append(getAppType());
        sb.append(",fileName:").append(getFileName());
        sb.append(",filePath:").append(getFilePath());
        sb.append(",distributeFilePath:").append(getDistributeFilePath());
        sb.append(",version:").append(getVersion());
        sb.append(",summary:").append(getSummary());
        sb.append(",notes:").append(getNotes());
        sb.append(",distribute:").append(getDistribute());
        sb.append(",dataUpdate:").append(getDataUpdate());
        return sb.toString();
    }

    public void initAttrValue(){

        this.siteId = null;

        this.siteName = null;

        this.appCode = "";

        this.appName = "";

        this.appIconPath = "";

        this.appThemeName = "";

        this.type = 1;

        this.url = null;

        this.serviceApi = "";

        this.downDevCount = 0;

        this.shelves = 0;

        this.appType = 1;

        this.fileName = "";

        this.filePath = "";

        this.distributeFilePath = "";

        this.version = 0;

        this.summary = "";

        this.notes = null;

        this.distribute = 0;

        this.dataUpdate = 0;
    }
}
