package com.mortals.xhx.common.pdu.matter;

import com.mortals.framework.model.BaseEntityLong;

public class MatterDatumFilePdu extends BaseEntityLong {

    private static final long serialVersionUID = 1L;

    /**
     * 材料id
     */
    private Long datumId;
    /**
     * 事项编码
     */
    private String matterCode;
    /**
     * 材料名
     */
    private String materialName;
    /**
     * 附件名称
     */
    private String fileName;
    /**
     * 附件下载地址
     */
    private String fileUrl;
    /**
     * 附件本地下载地址
     */
    private String localFileUrl;
    /**
     * 附件类型 (示例样表.示例样表，空白表格.空白表格)
     */
    private String filetype;
    /**
     * 附件来源 (0.政务网，1.自定义)
     */
    private Integer source;

    public Long getDatumId() {
        return datumId;
    }

    public void setDatumId(Long datumId) {
        this.datumId = datumId;
    }

    public String getMatterCode() {
        return matterCode;
    }

    public void setMatterCode(String matterCode) {
        this.matterCode = matterCode;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getLocalFileUrl() {
        return localFileUrl;
    }

    public void setLocalFileUrl(String localFileUrl) {
        this.localFileUrl = localFileUrl;
    }

    public String getFiletype() {
        return filetype;
    }

    public void setFiletype(String filetype) {
        this.filetype = filetype;
    }

    public Integer getSource() {
        return source;
    }

    public void setSource(Integer source) {
        this.source = source;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof MatterDatumFilePdu) {
            MatterDatumFilePdu tmp = (MatterDatumFilePdu) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",datumId:").append(getDatumId());
        sb.append(",matterCode:").append(getMatterCode());
        sb.append(",materialName:").append(getMaterialName());
        sb.append(",fileName:").append(getFileName());
        sb.append(",fileUrl:").append(getFileUrl());
        sb.append(",localFileUrl:").append(getLocalFileUrl());
        sb.append(",filetype:").append(getFiletype());
        sb.append(",source:").append(getSource());
        return sb.toString();
    }

    public void initAttrValue(){

        this.datumId = null;

        this.matterCode = "";

        this.materialName = "";

        this.fileName = "";

        this.fileUrl = "";

        this.localFileUrl = "";

        this.filetype = "示例样表";

        this.source = 1;
    }
}
