package com.mortals.xhx.common.pdu.matter;

import com.mortals.framework.model.BaseEntityLong;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Objects;

public class MatterPdu extends BaseEntityLong {
    private static final long serialVersionUID = 1L;

    /**
     * 站点ID
     */
    private Long siteId;
    /**
     * 从政务系统来的事项id
     */
    private String tid;
    /**
     * 从政务系统来的事项code
     */
    private String tcode;
    /**
     * 从政务系统来的事项name
     */
    private String tname;
    /**
     * 事项名称
     */
    private String matterName;
    /**
     * 英语事项名
     */
    private String englishName;
    /**
     * 事项编号
     */
    private String matterNo;
    /**
     * 区域编码
     */
    private String areaCode;
    /**
     * 部门编号
     */
    private String deptCode;
    /**
     * 部门名称
     */
    private String deptName;
    /**
     * 行政权力编号
     */
    private String powerCode;
    /**
     * 主题编号
     */
    private String themeCode;
    /**
     * 服务类型编号
     */
    private String usertypeCode;
    /**
     * 事项组名
     */
    private String groupName;
    /**
     * 事项详情链接
     */
    private String url;
    /**
     * 是否获取事项详情
     */
    private String haveGetMatterInfo;
    /**
     * 所属部门
     */
    private String belongDept;
    /**
     * 服务对象 （事业法人.事业法人，社会组织法人.社会组织法人，非法人企业.非法人企业，企业法人.企业法人，自然人.自然人，其他组织.其他组织）
     */
    private String appoveObjectShow;
    /**
     * 通办范围 （无.无，全国.全国，全市.全市，全县.全县，全镇[乡 街道].全镇[乡 街道]，跨村[社区].跨村[社区]）
     */
    private String operatScopeShow;
    /**
     * 办件类型（网络办件.网络办件，行政审批一般件.行政审批一般件，综合窗口件.综合窗口件）
     */
    private String appoveTimeLimitShow;
    /**
     * 办理形式（窗口办理.窗口办理，网上办理.网上办理）
     */
    private String handleType;
    /**
     * 法定办结时限
     */
    private String legalTimeLimitShow;
    /**
     * 法定时限办结说明
     */
    private String legalEndExplain;
    /**
     * 承诺办结时限
     */
    private String promiseTimeLimitShow;
    /**
     * 承诺时限办结说明
     */
    private String promiseEndExplain;
    /**
     * 是否收费（否.否，是.是）
     */
    private String isChargesShow;
    /**
     * 认证等级需求（实名认证.实名认证，单次面签.单次面签，每次面签.每次面签）
     */
    private String certificationLevelsShow;
    /**
     * 计划生效日期
     */
    private Date planTakeTime;
    /**
     * 承诺生效日期
     */
    private Date promiseTakeTime;
    /**
     * 特别程序
     */
    private String specialProcedure;
    /**
     * 窗口到现场次数
     */
    private Integer windowToTheSceneNum;
    /**
     * 是否网上预约,窗口办理选（否.否，是.是）
     */
    private String isOnlineSubscribeShow;
    /**
     * 物流快递,窗口办理选（否.否，是.是）
     */
    private String isExpressTakeShow;
    /**
     * 是否支持全省范围就近取件（否.否，是.是）
     */
    private String isProvinceAcquisitionShow;
    /**
     * 是否支持全省范围就近办理（否.否，是.是）
     */
    private String isApplyProvinceShow;
    /**
     * 必须到现场原因
     */
    private String mustSceneExplain;
    /**
     * 网办类型（原件预审.原件预审，原件核验.原件核验，全程网办.全程网办）
     */
    private String onlineType;
    /**
     * 网办到现场次数
     */
    private Integer onlineToTheSceneNum;
    /**
     * 网络办理深度（互联网咨询.互联网咨询，互联网收件.互联网收件，互联网预审.互联网预审，互联网受理.互联网受理，互联网办理.互联网办理，互联网办理结果信息反馈.互联网办理结果信息反馈，其他.其他）
     */
    private String onlineOperatDeep;
    /**
     * 物流快递，网上办理选（否.否，是.是）
     */
    private String isExpressTakeOnlineShow;
    /**
     * 是否支持上门收取申请（否.否，是.是）
     */
    private String isDoorTakeShow;
    /**
     * 网上必须到现场原因
     */
    private String onlineMustSceneExplain;
    /**
     * 实施主体
     */
    private String performDeptType;
    /**
     * 事项版本
     */
    private String matterEdition;
    /**
     * 事项类型名称（行政许可.行政许可，行政处罚.行政处罚，行政强制.行政强制，行政征收.行政征收，行政给付.行政给付，行政检查.行政检查，行政确认.行政确认，行政奖励.行政奖励，行政裁决.行政裁决，其他行政权力.其他行政权力，主动服务.主动服务，依申请服务.依申请服务，咨询查询.咨询查询，未归类事项.未归类事项）
     */
    private String eventTypeShow;
    /**
     * 行使层级名称（省级.省级，市级.市级，县级.县级，镇[乡 街道].镇[乡 街道]，村[社区]级.村[社区]级）
     */
    private String performHierarchyShow;
    /**
     * 权力来源（法定本级行使.法定本级行使，上级下放.上级下放，上级授权.上级授权，同级授权.同级授权，上级委托.上级委托，同级委托.同级委托）
     */
    private String powerSourceShow;
    /**
     * 实施主体性质（法定机关.法定机关，授权组织.授权组织，受委托组织.受委托组织）
     */
    private String performDeptTypeShow;
    /**
     * 是否进驻中心（否.否，是.是）
     */
    private String goveServiceCenterShow;
    /**
     * 是否纳入便民服务中心（否.否，是.是）
     */
    private String isConvenientCenterShow;
    /**
     * 自助终端办理 （否.否，是.是）
     */
    private String terminalHandle;
    /**
     * 是否网办 （否.否，是.是）
     */
    private String isOnline;
    /**
     * 支持网上支付（否.否，是.是）
     */
    private String isOnlinePayShow;
    /**
     * 委托部门（否.否，是.是）
     */
    private String entrustmentDepartmen;
    /**
     * 联办机构
     */
    private String jointInfoShow;
    /**
     * 事项状态（停用.停用，在用.在用）
     */
    private String matterStatus;
    /**
     * 数量限制
     */
    private Long numberLimit;
    /**
     * 主题类型
     */
    private String type;
    /**
     * 基本编码
     */
    private String baseCode;
    /**
     * 实施编码
     */
    private String implementCode;
    /**
     * 实施主体编码
     */
    private String implementBodyCode;
    /**
     * 办理项编码
     */
    private String operateItemCode;
    /**
     * 乡镇街道名称
     */
    private String townshipName;
    /**
     * 乡镇街道代码
     */
    private String townshipCode;
    /**
     * 村居社区名称
     */
    private String villageName;
    /**
     * 村居社区代码
     */
    private String villageCode;
    /**
     * 办理时间
     */
    private String operateTime;
    /**
     * 办理地点
     */
    private String operateSite;
    /**
     * 咨询方式
     */
    private String cousultingShow;
    /**
     * 咨询电话
     */
    private String cousultingTelephoneShow;
    /**
     * 监督投诉方式
     */
    private String superviseShow;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 事项来源(0.政务网，1.自定义)
     */
    private Integer source;
    /**
     * 评价地址
     */
    private String evaluationUrl;
    /**
     * 申请地址
     */
    private String netApplyUrl;




    public MatterPdu() {
    }

    /**
     * 获取 站点ID
     *
     * @return Long
     */
    public Long getSiteId() {
        return siteId;
    }

    /**
     * 设置 站点ID
     *
     * @param siteId
     */
    public void setSiteId(Long siteId) {
        this.siteId = siteId;
    }

    /**
     * 获取 从政务系统来的事项id
     *
     * @return String
     */
    public String getTid() {
        return tid;
    }

    /**
     * 设置 从政务系统来的事项id
     *
     * @param tid
     */
    public void setTid(String tid) {
        this.tid = tid;
    }

    /**
     * 获取 从政务系统来的事项code
     *
     * @return String
     */
    public String getTcode() {
        return tcode;
    }

    /**
     * 设置 从政务系统来的事项code
     *
     * @param tcode
     */
    public void setTcode(String tcode) {
        this.tcode = tcode;
    }

    /**
     * 获取 从政务系统来的事项name
     *
     * @return String
     */
    public String getTname() {
        return tname;
    }

    /**
     * 设置 从政务系统来的事项name
     *
     * @param tname
     */
    public void setTname(String tname) {
        this.tname = tname;
    }

    /**
     * 获取 事项名称
     *
     * @return String
     */
    public String getMatterName() {
        return matterName;
    }

    /**
     * 设置 事项名称
     *
     * @param matterName
     */
    public void setMatterName(String matterName) {
        this.matterName = matterName;
    }

    /**
     * 获取 英语事项名
     *
     * @return String
     */
    public String getEnglishName() {
        return englishName;
    }

    /**
     * 设置 英语事项名
     *
     * @param englishName
     */
    public void setEnglishName(String englishName) {
        this.englishName = englishName;
    }

    /**
     * 获取 事项编号
     *
     * @return String
     */
    public String getMatterNo() {
        return matterNo;
    }

    /**
     * 设置 事项编号
     *
     * @param matterNo
     */
    public void setMatterNo(String matterNo) {
        this.matterNo = matterNo;
    }

    /**
     * 获取 区域编码
     *
     * @return String
     */
    public String getAreaCode() {
        return areaCode;
    }

    /**
     * 设置 区域编码
     *
     * @param areaCode
     */
    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    /**
     * 获取 部门编号
     *
     * @return String
     */
    public String getDeptCode() {
        return deptCode;
    }

    /**
     * 设置 部门编号
     *
     * @param deptCode
     */
    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    /**
     * 获取 部门名称
     *
     * @return String
     */
    public String getDeptName() {
        return deptName;
    }

    /**
     * 设置 部门名称
     *
     * @param deptName
     */
    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    /**
     * 获取 行政权力编号
     *
     * @return String
     */
    public String getPowerCode() {
        return powerCode;
    }

    /**
     * 设置 行政权力编号
     *
     * @param powerCode
     */
    public void setPowerCode(String powerCode) {
        this.powerCode = powerCode;
    }

    /**
     * 获取 主题编号
     *
     * @return String
     */
    public String getThemeCode() {
        return themeCode;
    }

    /**
     * 设置 主题编号
     *
     * @param themeCode
     */
    public void setThemeCode(String themeCode) {
        this.themeCode = themeCode;
    }

    /**
     * 获取 服务类型编号
     *
     * @return String
     */
    public String getUsertypeCode() {
        return usertypeCode;
    }

    /**
     * 设置 服务类型编号
     *
     * @param usertypeCode
     */
    public void setUsertypeCode(String usertypeCode) {
        this.usertypeCode = usertypeCode;
    }

    /**
     * 获取 事项组名
     *
     * @return String
     */
    public String getGroupName() {
        return groupName;
    }

    /**
     * 设置 事项组名
     *
     * @param groupName
     */
    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    /**
     * 获取 事项详情链接
     *
     * @return String
     */
    public String getUrl() {
        return url;
    }

    /**
     * 设置 事项详情链接
     *
     * @param url
     */
    public void setUrl(String url) {
        this.url = url;
    }

    /**
     * 获取 是否获取事项详情
     *
     * @return String
     */
    public String getHaveGetMatterInfo() {
        return haveGetMatterInfo;
    }

    /**
     * 设置 是否获取事项详情
     *
     * @param haveGetMatterInfo
     */
    public void setHaveGetMatterInfo(String haveGetMatterInfo) {
        this.haveGetMatterInfo = haveGetMatterInfo;
    }

    /**
     * 获取 所属部门
     *
     * @return String
     */
    public String getBelongDept() {
        return belongDept;
    }

    /**
     * 设置 所属部门
     *
     * @param belongDept
     */
    public void setBelongDept(String belongDept) {
        this.belongDept = belongDept;
    }

    /**
     * 获取 服务对象 （事业法人.事业法人，社会组织法人.社会组织法人，非法人企业.非法人企业，企业法人.企业法人，自然人.自然人，其他组织.其他组织）
     *
     * @return String
     */
    public String getAppoveObjectShow() {
        return appoveObjectShow;
    }

    /**
     * 设置 服务对象 （事业法人.事业法人，社会组织法人.社会组织法人，非法人企业.非法人企业，企业法人.企业法人，自然人.自然人，其他组织.其他组织）
     *
     * @param appoveObjectShow
     */
    public void setAppoveObjectShow(String appoveObjectShow) {
        this.appoveObjectShow = appoveObjectShow;
    }

    /**
     * 获取 通办范围 （无.无，全国.全国，全市.全市，全县.全县，全镇[乡 街道].全镇[乡 街道]，跨村[社区].跨村[社区]）
     *
     * @return String
     */
    public String getOperatScopeShow() {
        return operatScopeShow;
    }

    /**
     * 设置 通办范围 （无.无，全国.全国，全市.全市，全县.全县，全镇[乡 街道].全镇[乡 街道]，跨村[社区].跨村[社区]）
     *
     * @param operatScopeShow
     */
    public void setOperatScopeShow(String operatScopeShow) {
        this.operatScopeShow = operatScopeShow;
    }

    /**
     * 获取 办件类型（网络办件.网络办件，行政审批一般件.行政审批一般件，综合窗口件.综合窗口件）
     *
     * @return String
     */
    public String getAppoveTimeLimitShow() {
        return appoveTimeLimitShow;
    }

    /**
     * 设置 办件类型（网络办件.网络办件，行政审批一般件.行政审批一般件，综合窗口件.综合窗口件）
     *
     * @param appoveTimeLimitShow
     */
    public void setAppoveTimeLimitShow(String appoveTimeLimitShow) {
        this.appoveTimeLimitShow = appoveTimeLimitShow;
    }

    /**
     * 获取 办理形式（窗口办理.窗口办理，网上办理.网上办理）
     *
     * @return String
     */
    public String getHandleType() {
        return handleType;
    }

    /**
     * 设置 办理形式（窗口办理.窗口办理，网上办理.网上办理）
     *
     * @param handleType
     */
    public void setHandleType(String handleType) {
        this.handleType = handleType;
    }

    /**
     * 获取 法定办结时限
     *
     * @return String
     */
    public String getLegalTimeLimitShow() {
        return legalTimeLimitShow;
    }

    /**
     * 设置 法定办结时限
     *
     * @param legalTimeLimitShow
     */
    public void setLegalTimeLimitShow(String legalTimeLimitShow) {
        this.legalTimeLimitShow = legalTimeLimitShow;
    }

    /**
     * 获取 法定时限办结说明
     *
     * @return String
     */
    public String getLegalEndExplain() {
        return legalEndExplain;
    }

    /**
     * 设置 法定时限办结说明
     *
     * @param legalEndExplain
     */
    public void setLegalEndExplain(String legalEndExplain) {
        this.legalEndExplain = legalEndExplain;
    }

    /**
     * 获取 承诺办结时限
     *
     * @return String
     */
    public String getPromiseTimeLimitShow() {
        return promiseTimeLimitShow;
    }

    /**
     * 设置 承诺办结时限
     *
     * @param promiseTimeLimitShow
     */
    public void setPromiseTimeLimitShow(String promiseTimeLimitShow) {
        this.promiseTimeLimitShow = promiseTimeLimitShow;
    }

    /**
     * 获取 承诺时限办结说明
     *
     * @return String
     */
    public String getPromiseEndExplain() {
        return promiseEndExplain;
    }

    /**
     * 设置 承诺时限办结说明
     *
     * @param promiseEndExplain
     */
    public void setPromiseEndExplain(String promiseEndExplain) {
        this.promiseEndExplain = promiseEndExplain;
    }

    /**
     * 获取 是否收费（否.否，是.是）
     *
     * @return String
     */
    public String getIsChargesShow() {
        return isChargesShow;
    }

    /**
     * 设置 是否收费（否.否，是.是）
     *
     * @param isChargesShow
     */
    public void setIsChargesShow(String isChargesShow) {
        this.isChargesShow = isChargesShow;
    }

    /**
     * 获取 认证等级需求（实名认证.实名认证，单次面签.单次面签，每次面签.每次面签）
     *
     * @return String
     */
    public String getCertificationLevelsShow() {
        return certificationLevelsShow;
    }

    /**
     * 设置 认证等级需求（实名认证.实名认证，单次面签.单次面签，每次面签.每次面签）
     *
     * @param certificationLevelsShow
     */
    public void setCertificationLevelsShow(String certificationLevelsShow) {
        this.certificationLevelsShow = certificationLevelsShow;
    }

    /**
     * 获取 计划生效日期
     *
     * @return Date
     */
    public Date getPlanTakeTime() {
        return planTakeTime;
    }

    /**
     * 设置 计划生效日期
     *
     * @param planTakeTime
     */
    public void setPlanTakeTime(Date planTakeTime) {
        this.planTakeTime = planTakeTime;
    }

    /**
     * 获取 承诺生效日期
     *
     * @return Date
     */
    public Date getPromiseTakeTime() {
        return promiseTakeTime;
    }

    /**
     * 设置 承诺生效日期
     *
     * @param promiseTakeTime
     */
    public void setPromiseTakeTime(Date promiseTakeTime) {
        this.promiseTakeTime = promiseTakeTime;
    }

    /**
     * 获取 特别程序
     *
     * @return String
     */
    public String getSpecialProcedure() {
        return specialProcedure;
    }

    /**
     * 设置 特别程序
     *
     * @param specialProcedure
     */
    public void setSpecialProcedure(String specialProcedure) {
        this.specialProcedure = specialProcedure;
    }

    /**
     * 获取 窗口到现场次数
     *
     * @return Integer
     */
    public Integer getWindowToTheSceneNum() {
        return windowToTheSceneNum;
    }

    /**
     * 设置 窗口到现场次数
     *
     * @param windowToTheSceneNum
     */
    public void setWindowToTheSceneNum(Integer windowToTheSceneNum) {
        this.windowToTheSceneNum = windowToTheSceneNum;
    }

    /**
     * 获取 是否网上预约,窗口办理选（否.否，是.是）
     *
     * @return String
     */
    public String getIsOnlineSubscribeShow() {
        return isOnlineSubscribeShow;
    }

    /**
     * 设置 是否网上预约,窗口办理选（否.否，是.是）
     *
     * @param isOnlineSubscribeShow
     */
    public void setIsOnlineSubscribeShow(String isOnlineSubscribeShow) {
        this.isOnlineSubscribeShow = isOnlineSubscribeShow;
    }

    /**
     * 获取 物流快递,窗口办理选（否.否，是.是）
     *
     * @return String
     */
    public String getIsExpressTakeShow() {
        return isExpressTakeShow;
    }

    /**
     * 设置 物流快递,窗口办理选（否.否，是.是）
     *
     * @param isExpressTakeShow
     */
    public void setIsExpressTakeShow(String isExpressTakeShow) {
        this.isExpressTakeShow = isExpressTakeShow;
    }

    /**
     * 获取 是否支持全省范围就近取件（否.否，是.是）
     *
     * @return String
     */
    public String getIsProvinceAcquisitionShow() {
        return isProvinceAcquisitionShow;
    }

    /**
     * 设置 是否支持全省范围就近取件（否.否，是.是）
     *
     * @param isProvinceAcquisitionShow
     */
    public void setIsProvinceAcquisitionShow(String isProvinceAcquisitionShow) {
        this.isProvinceAcquisitionShow = isProvinceAcquisitionShow;
    }

    /**
     * 获取 是否支持全省范围就近办理（否.否，是.是）
     *
     * @return String
     */
    public String getIsApplyProvinceShow() {
        return isApplyProvinceShow;
    }

    /**
     * 设置 是否支持全省范围就近办理（否.否，是.是）
     *
     * @param isApplyProvinceShow
     */
    public void setIsApplyProvinceShow(String isApplyProvinceShow) {
        this.isApplyProvinceShow = isApplyProvinceShow;
    }

    /**
     * 获取 必须到现场原因
     *
     * @return String
     */
    public String getMustSceneExplain() {
        return mustSceneExplain;
    }

    /**
     * 设置 必须到现场原因
     *
     * @param mustSceneExplain
     */
    public void setMustSceneExplain(String mustSceneExplain) {
        this.mustSceneExplain = mustSceneExplain;
    }

    /**
     * 获取 网办类型（原件预审.原件预审，原件核验.原件核验，全程网办.全程网办）
     *
     * @return String
     */
    public String getOnlineType() {
        return onlineType;
    }

    /**
     * 设置 网办类型（原件预审.原件预审，原件核验.原件核验，全程网办.全程网办）
     *
     * @param onlineType
     */
    public void setOnlineType(String onlineType) {
        this.onlineType = onlineType;
    }

    /**
     * 获取 网办到现场次数
     *
     * @return Integer
     */
    public Integer getOnlineToTheSceneNum() {
        return onlineToTheSceneNum;
    }

    /**
     * 设置 网办到现场次数
     *
     * @param onlineToTheSceneNum
     */
    public void setOnlineToTheSceneNum(Integer onlineToTheSceneNum) {
        this.onlineToTheSceneNum = onlineToTheSceneNum;
    }

    /**
     * 获取 网络办理深度（互联网咨询.互联网咨询，互联网收件.互联网收件，互联网预审.互联网预审，互联网受理.互联网受理，互联网办理.互联网办理，互联网办理结果信息反馈.互联网办理结果信息反馈，其他.其他）
     *
     * @return String
     */
    public String getOnlineOperatDeep() {
        return onlineOperatDeep;
    }

    /**
     * 设置 网络办理深度（互联网咨询.互联网咨询，互联网收件.互联网收件，互联网预审.互联网预审，互联网受理.互联网受理，互联网办理.互联网办理，互联网办理结果信息反馈.互联网办理结果信息反馈，其他.其他）
     *
     * @param onlineOperatDeep
     */
    public void setOnlineOperatDeep(String onlineOperatDeep) {
        this.onlineOperatDeep = onlineOperatDeep;
    }

    /**
     * 获取 物流快递，网上办理选（否.否，是.是）
     *
     * @return String
     */
    public String getIsExpressTakeOnlineShow() {
        return isExpressTakeOnlineShow;
    }

    /**
     * 设置 物流快递，网上办理选（否.否，是.是）
     *
     * @param isExpressTakeOnlineShow
     */
    public void setIsExpressTakeOnlineShow(String isExpressTakeOnlineShow) {
        this.isExpressTakeOnlineShow = isExpressTakeOnlineShow;
    }

    /**
     * 获取 是否支持上门收取申请（否.否，是.是）
     *
     * @return String
     */
    public String getIsDoorTakeShow() {
        return isDoorTakeShow;
    }

    /**
     * 设置 是否支持上门收取申请（否.否，是.是）
     *
     * @param isDoorTakeShow
     */
    public void setIsDoorTakeShow(String isDoorTakeShow) {
        this.isDoorTakeShow = isDoorTakeShow;
    }

    /**
     * 获取 网上必须到现场原因
     *
     * @return String
     */
    public String getOnlineMustSceneExplain() {
        return onlineMustSceneExplain;
    }

    /**
     * 设置 网上必须到现场原因
     *
     * @param onlineMustSceneExplain
     */
    public void setOnlineMustSceneExplain(String onlineMustSceneExplain) {
        this.onlineMustSceneExplain = onlineMustSceneExplain;
    }

    /**
     * 获取 实施主体
     *
     * @return String
     */
    public String getPerformDeptType() {
        return performDeptType;
    }

    /**
     * 设置 实施主体
     *
     * @param performDeptType
     */
    public void setPerformDeptType(String performDeptType) {
        this.performDeptType = performDeptType;
    }

    /**
     * 获取 事项版本
     *
     * @return String
     */
    public String getMatterEdition() {
        return matterEdition;
    }

    /**
     * 设置 事项版本
     *
     * @param matterEdition
     */
    public void setMatterEdition(String matterEdition) {
        this.matterEdition = matterEdition;
    }

    /**
     * 获取 事项类型名称（行政许可.行政许可，行政处罚.行政处罚，行政强制.行政强制，行政征收.行政征收，行政给付.行政给付，行政检查.行政检查，行政确认.行政确认，行政奖励.行政奖励，行政裁决.行政裁决，其他行政权力.其他行政权力，主动服务.主动服务，依申请服务.依申请服务，咨询查询.咨询查询，未归类事项.未归类事项）
     *
     * @return String
     */
    public String getEventTypeShow() {
        return eventTypeShow;
    }

    /**
     * 设置 事项类型名称（行政许可.行政许可，行政处罚.行政处罚，行政强制.行政强制，行政征收.行政征收，行政给付.行政给付，行政检查.行政检查，行政确认.行政确认，行政奖励.行政奖励，行政裁决.行政裁决，其他行政权力.其他行政权力，主动服务.主动服务，依申请服务.依申请服务，咨询查询.咨询查询，未归类事项.未归类事项）
     *
     * @param eventTypeShow
     */
    public void setEventTypeShow(String eventTypeShow) {
        this.eventTypeShow = eventTypeShow;
    }

    /**
     * 获取 行使层级名称（省级.省级，市级.市级，县级.县级，镇[乡 街道].镇[乡 街道]，村[社区]级.村[社区]级）
     *
     * @return String
     */
    public String getPerformHierarchyShow() {
        return performHierarchyShow;
    }

    /**
     * 设置 行使层级名称（省级.省级，市级.市级，县级.县级，镇[乡 街道].镇[乡 街道]，村[社区]级.村[社区]级）
     *
     * @param performHierarchyShow
     */
    public void setPerformHierarchyShow(String performHierarchyShow) {
        this.performHierarchyShow = performHierarchyShow;
    }

    /**
     * 获取 权力来源（法定本级行使.法定本级行使，上级下放.上级下放，上级授权.上级授权，同级授权.同级授权，上级委托.上级委托，同级委托.同级委托）
     *
     * @return String
     */
    public String getPowerSourceShow() {
        return powerSourceShow;
    }

    /**
     * 设置 权力来源（法定本级行使.法定本级行使，上级下放.上级下放，上级授权.上级授权，同级授权.同级授权，上级委托.上级委托，同级委托.同级委托）
     *
     * @param powerSourceShow
     */
    public void setPowerSourceShow(String powerSourceShow) {
        this.powerSourceShow = powerSourceShow;
    }

    /**
     * 获取 实施主体性质（法定机关.法定机关，授权组织.授权组织，受委托组织.受委托组织）
     *
     * @return String
     */
    public String getPerformDeptTypeShow() {
        return performDeptTypeShow;
    }

    /**
     * 设置 实施主体性质（法定机关.法定机关，授权组织.授权组织，受委托组织.受委托组织）
     *
     * @param performDeptTypeShow
     */
    public void setPerformDeptTypeShow(String performDeptTypeShow) {
        this.performDeptTypeShow = performDeptTypeShow;
    }

    /**
     * 获取 是否进驻中心（否.否，是.是）
     *
     * @return String
     */
    public String getGoveServiceCenterShow() {
        return goveServiceCenterShow;
    }

    /**
     * 设置 是否进驻中心（否.否，是.是）
     *
     * @param goveServiceCenterShow
     */
    public void setGoveServiceCenterShow(String goveServiceCenterShow) {
        this.goveServiceCenterShow = goveServiceCenterShow;
    }

    /**
     * 获取 是否纳入便民服务中心（否.否，是.是）
     *
     * @return String
     */
    public String getIsConvenientCenterShow() {
        return isConvenientCenterShow;
    }

    /**
     * 设置 是否纳入便民服务中心（否.否，是.是）
     *
     * @param isConvenientCenterShow
     */
    public void setIsConvenientCenterShow(String isConvenientCenterShow) {
        this.isConvenientCenterShow = isConvenientCenterShow;
    }

    /**
     * 获取 自助终端办理 （否.否，是.是）
     *
     * @return String
     */
    public String getTerminalHandle() {
        return terminalHandle;
    }

    /**
     * 设置 自助终端办理 （否.否，是.是）
     *
     * @param terminalHandle
     */
    public void setTerminalHandle(String terminalHandle) {
        this.terminalHandle = terminalHandle;
    }

    /**
     * 获取 是否网办 （否.否，是.是）
     *
     * @return String
     */
    public String getIsOnline() {
        return isOnline;
    }

    /**
     * 设置 是否网办 （否.否，是.是）
     *
     * @param isOnline
     */
    public void setIsOnline(String isOnline) {
        this.isOnline = isOnline;
    }

    /**
     * 获取 支持网上支付（否.否，是.是）
     *
     * @return String
     */
    public String getIsOnlinePayShow() {
        return isOnlinePayShow;
    }

    /**
     * 设置 支持网上支付（否.否，是.是）
     *
     * @param isOnlinePayShow
     */
    public void setIsOnlinePayShow(String isOnlinePayShow) {
        this.isOnlinePayShow = isOnlinePayShow;
    }

    /**
     * 获取 委托部门（否.否，是.是）
     *
     * @return String
     */
    public String getEntrustmentDepartmen() {
        return entrustmentDepartmen;
    }

    /**
     * 设置 委托部门（否.否，是.是）
     *
     * @param entrustmentDepartmen
     */
    public void setEntrustmentDepartmen(String entrustmentDepartmen) {
        this.entrustmentDepartmen = entrustmentDepartmen;
    }

    /**
     * 获取 联办机构
     *
     * @return String
     */
    public String getJointInfoShow() {
        return jointInfoShow;
    }

    /**
     * 设置 联办机构
     *
     * @param jointInfoShow
     */
    public void setJointInfoShow(String jointInfoShow) {
        this.jointInfoShow = jointInfoShow;
    }

    /**
     * 获取 事项状态（停用.停用，在用.在用）
     *
     * @return String
     */
    public String getMatterStatus() {
        return matterStatus;
    }

    /**
     * 设置 事项状态（停用.停用，在用.在用）
     *
     * @param matterStatus
     */
    public void setMatterStatus(String matterStatus) {
        this.matterStatus = matterStatus;
    }

    /**
     * 获取 数量限制
     *
     * @return Long
     */
    public Long getNumberLimit() {
        return numberLimit;
    }

    /**
     * 设置 数量限制
     *
     * @param numberLimit
     */
    public void setNumberLimit(Long numberLimit) {
        this.numberLimit = numberLimit;
    }

    /**
     * 获取 主题类型
     *
     * @return String
     */
    public String getType() {
        return type;
    }

    /**
     * 设置 主题类型
     *
     * @param type
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * 获取 基本编码
     *
     * @return String
     */
    public String getBaseCode() {
        return baseCode;
    }

    /**
     * 设置 基本编码
     *
     * @param baseCode
     */
    public void setBaseCode(String baseCode) {
        this.baseCode = baseCode;
    }

    /**
     * 获取 实施编码
     *
     * @return String
     */
    public String getImplementCode() {
        return implementCode;
    }

    /**
     * 设置 实施编码
     *
     * @param implementCode
     */
    public void setImplementCode(String implementCode) {
        this.implementCode = implementCode;
    }

    /**
     * 获取 实施主体编码
     *
     * @return String
     */
    public String getImplementBodyCode() {
        return implementBodyCode;
    }

    /**
     * 设置 实施主体编码
     *
     * @param implementBodyCode
     */
    public void setImplementBodyCode(String implementBodyCode) {
        this.implementBodyCode = implementBodyCode;
    }

    /**
     * 获取 办理项编码
     *
     * @return String
     */
    public String getOperateItemCode() {
        return operateItemCode;
    }

    /**
     * 设置 办理项编码
     *
     * @param operateItemCode
     */
    public void setOperateItemCode(String operateItemCode) {
        this.operateItemCode = operateItemCode;
    }

    /**
     * 获取 乡镇街道名称
     *
     * @return String
     */
    public String getTownshipName() {
        return townshipName;
    }

    /**
     * 设置 乡镇街道名称
     *
     * @param townshipName
     */
    public void setTownshipName(String townshipName) {
        this.townshipName = townshipName;
    }

    /**
     * 获取 乡镇街道代码
     *
     * @return String
     */
    public String getTownshipCode() {
        return townshipCode;
    }

    /**
     * 设置 乡镇街道代码
     *
     * @param townshipCode
     */
    public void setTownshipCode(String townshipCode) {
        this.townshipCode = townshipCode;
    }

    /**
     * 获取 村居社区名称
     *
     * @return String
     */
    public String getVillageName() {
        return villageName;
    }

    /**
     * 设置 村居社区名称
     *
     * @param villageName
     */
    public void setVillageName(String villageName) {
        this.villageName = villageName;
    }

    /**
     * 获取 村居社区代码
     *
     * @return String
     */
    public String getVillageCode() {
        return villageCode;
    }

    /**
     * 设置 村居社区代码
     *
     * @param villageCode
     */
    public void setVillageCode(String villageCode) {
        this.villageCode = villageCode;
    }

    /**
     * 获取 办理时间
     *
     * @return String
     */
    public String getOperateTime() {
        return operateTime;
    }

    /**
     * 设置 办理时间
     *
     * @param operateTime
     */
    public void setOperateTime(String operateTime) {
        this.operateTime = operateTime;
    }

    /**
     * 获取 办理地点
     *
     * @return String
     */
    public String getOperateSite() {
        return operateSite;
    }

    /**
     * 设置 办理地点
     *
     * @param operateSite
     */
    public void setOperateSite(String operateSite) {
        this.operateSite = operateSite;
    }

    /**
     * 获取 咨询方式
     *
     * @return String
     */
    public String getCousultingShow() {
        return cousultingShow;
    }

    /**
     * 设置 咨询方式
     *
     * @param cousultingShow
     */
    public void setCousultingShow(String cousultingShow) {
        this.cousultingShow = cousultingShow;
    }

    /**
     * 获取 咨询电话
     *
     * @return String
     */
    public String getCousultingTelephoneShow() {
        return cousultingTelephoneShow;
    }

    /**
     * 设置 咨询电话
     *
     * @param cousultingTelephoneShow
     */
    public void setCousultingTelephoneShow(String cousultingTelephoneShow) {
        this.cousultingTelephoneShow = cousultingTelephoneShow;
    }

    /**
     * 获取 监督投诉方式
     *
     * @return String
     */
    public String getSuperviseShow() {
        return superviseShow;
    }

    /**
     * 设置 监督投诉方式
     *
     * @param superviseShow
     */
    public void setSuperviseShow(String superviseShow) {
        this.superviseShow = superviseShow;
    }

    /**
     * 获取 排序
     *
     * @return Integer
     */
    public Integer getSort() {
        return sort;
    }

    /**
     * 设置 排序
     *
     * @param sort
     */
    public void setSort(Integer sort) {
        this.sort = sort;
    }

    /**
     * 获取 事项来源(0.政务网，1.自定义)
     *
     * @return Integer
     */
    public Integer getSource() {
        return source;
    }

    /**
     * 设置 事项来源(0.政务网，1.自定义)
     *
     * @param source
     */
    public void setSource(Integer source) {
        this.source = source;
    }

    /**
     * 获取 评价地址
     *
     * @return String
     */
    public String getEvaluationUrl() {
        return evaluationUrl;
    }

    /**
     * 设置 评价地址
     *
     * @param evaluationUrl
     */
    public void setEvaluationUrl(String evaluationUrl) {
        this.evaluationUrl = evaluationUrl;
    }

    /**
     * 获取 申请地址
     *
     * @return String
     */
    public String getNetApplyUrl() {
        return netApplyUrl;
    }

    /**
     * 设置 申请地址
     *
     * @param netApplyUrl
     */
    public void setNetApplyUrl(String netApplyUrl) {
        this.netApplyUrl = netApplyUrl;
    }


    @Override
    public int hashCode() {
        return Objects.hash(this.areaCode, this.matterNo);
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof MatterPdu) {
            MatterPdu tmp = (MatterPdu) obj;
            if ((this.getAreaCode()+this.matterNo).equals(tmp.getAreaCode()+tmp.matterNo)) {
                return true;
            }
        }
        return false;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder("");
        sb.append(",siteId:").append(getSiteId());
        sb.append(",tid:").append(getTid());
        sb.append(",tcode:").append(getTcode());
        sb.append(",tname:").append(getTname());
        sb.append(",matterName:").append(getMatterName());
        sb.append(",englishName:").append(getEnglishName());
        sb.append(",matterNo:").append(getMatterNo());
        sb.append(",areaCode:").append(getAreaCode());
        sb.append(",deptCode:").append(getDeptCode());
        sb.append(",deptName:").append(getDeptName());
        sb.append(",powerCode:").append(getPowerCode());
        sb.append(",themeCode:").append(getThemeCode());
        sb.append(",usertypeCode:").append(getUsertypeCode());
        sb.append(",groupName:").append(getGroupName());
        sb.append(",url:").append(getUrl());
        sb.append(",haveGetMatterInfo:").append(getHaveGetMatterInfo());
        sb.append(",belongDept:").append(getBelongDept());
        sb.append(",appoveObjectShow:").append(getAppoveObjectShow());
        sb.append(",operatScopeShow:").append(getOperatScopeShow());
        sb.append(",appoveTimeLimitShow:").append(getAppoveTimeLimitShow());
        sb.append(",handleType:").append(getHandleType());
        sb.append(",legalTimeLimitShow:").append(getLegalTimeLimitShow());
        sb.append(",legalEndExplain:").append(getLegalEndExplain());
        sb.append(",promiseTimeLimitShow:").append(getPromiseTimeLimitShow());
        sb.append(",promiseEndExplain:").append(getPromiseEndExplain());
        sb.append(",isChargesShow:").append(getIsChargesShow());
        sb.append(",certificationLevelsShow:").append(getCertificationLevelsShow());
        sb.append(",planTakeTime:").append(getPlanTakeTime());
        sb.append(",promiseTakeTime:").append(getPromiseTakeTime());
        sb.append(",specialProcedure:").append(getSpecialProcedure());
        sb.append(",windowToTheSceneNum:").append(getWindowToTheSceneNum());
        sb.append(",isOnlineSubscribeShow:").append(getIsOnlineSubscribeShow());
        sb.append(",isExpressTakeShow:").append(getIsExpressTakeShow());
        sb.append(",isProvinceAcquisitionShow:").append(getIsProvinceAcquisitionShow());
        sb.append(",isApplyProvinceShow:").append(getIsApplyProvinceShow());
        sb.append(",mustSceneExplain:").append(getMustSceneExplain());
        sb.append(",onlineType:").append(getOnlineType());
        sb.append(",onlineToTheSceneNum:").append(getOnlineToTheSceneNum());
        sb.append(",onlineOperatDeep:").append(getOnlineOperatDeep());
        sb.append(",isExpressTakeOnlineShow:").append(getIsExpressTakeOnlineShow());
        sb.append(",isDoorTakeShow:").append(getIsDoorTakeShow());
        sb.append(",onlineMustSceneExplain:").append(getOnlineMustSceneExplain());
        sb.append(",performDeptType:").append(getPerformDeptType());
        sb.append(",matterEdition:").append(getMatterEdition());
        sb.append(",eventTypeShow:").append(getEventTypeShow());
        sb.append(",performHierarchyShow:").append(getPerformHierarchyShow());
        sb.append(",powerSourceShow:").append(getPowerSourceShow());
        sb.append(",performDeptTypeShow:").append(getPerformDeptTypeShow());
        sb.append(",goveServiceCenterShow:").append(getGoveServiceCenterShow());
        sb.append(",isConvenientCenterShow:").append(getIsConvenientCenterShow());
        sb.append(",terminalHandle:").append(getTerminalHandle());
        sb.append(",isOnline:").append(getIsOnline());
        sb.append(",isOnlinePayShow:").append(getIsOnlinePayShow());
        sb.append(",entrustmentDepartmen:").append(getEntrustmentDepartmen());
        sb.append(",jointInfoShow:").append(getJointInfoShow());
        sb.append(",matterStatus:").append(getMatterStatus());
        sb.append(",numberLimit:").append(getNumberLimit());
        sb.append(",type:").append(getType());
        sb.append(",baseCode:").append(getBaseCode());
        sb.append(",implementCode:").append(getImplementCode());
        sb.append(",implementBodyCode:").append(getImplementBodyCode());
        sb.append(",operateItemCode:").append(getOperateItemCode());
        sb.append(",townshipName:").append(getTownshipName());
        sb.append(",townshipCode:").append(getTownshipCode());
        sb.append(",villageName:").append(getVillageName());
        sb.append(",villageCode:").append(getVillageCode());
        sb.append(",operateTime:").append(getOperateTime());
        sb.append(",operateSite:").append(getOperateSite());
        sb.append(",cousultingShow:").append(getCousultingShow());
        sb.append(",cousultingTelephoneShow:").append(getCousultingTelephoneShow());
        sb.append(",superviseShow:").append(getSuperviseShow());
        sb.append(",sort:").append(getSort());
        sb.append(",source:").append(getSource());
        sb.append(",evaluationUrl:").append(getEvaluationUrl());
        sb.append(",netApplyUrl:").append(getNetApplyUrl());
        return sb.toString();
    }

    public void initAttrValue() {

        this.siteId = -1L;

        this.tid = "";

        this.tcode = "";

        this.tname = "";

        this.matterName = "";

        this.englishName = "";

        this.matterNo = "";

        this.areaCode = "";

        this.deptCode = "";

        this.deptName = "";

        this.powerCode = "";

        this.themeCode = "";

        this.usertypeCode = "";

        this.groupName = "";

        this.url = "";

        this.haveGetMatterInfo = "false";

        this.belongDept = "";

        this.appoveObjectShow = "事业法人";

        this.operatScopeShow = "无";

        this.appoveTimeLimitShow = "网络办件";

        this.handleType = "窗口办理";

        this.legalTimeLimitShow = "";

        this.legalEndExplain = "";

        this.promiseTimeLimitShow = "";

        this.promiseEndExplain = "";

        this.isChargesShow = "否";

        this.certificationLevelsShow = "实名认证";

        this.planTakeTime = null;

        this.promiseTakeTime = null;

        this.specialProcedure = "";

        this.windowToTheSceneNum = null;

        this.isOnlineSubscribeShow = "否";

        this.isExpressTakeShow = "否";

        this.isProvinceAcquisitionShow = "否";

        this.isApplyProvinceShow = "否";

        this.mustSceneExplain = "";

        this.onlineType = "原件预审";

        this.onlineToTheSceneNum = 0;

        this.onlineOperatDeep = "互联网咨询";

        this.isExpressTakeOnlineShow = "";

        this.isDoorTakeShow = "否";

        this.onlineMustSceneExplain = "";

        this.performDeptType = "";

        this.matterEdition = "";

        this.eventTypeShow = "行政许可";

        this.performHierarchyShow = "";

        this.powerSourceShow = "";

        this.performDeptTypeShow = "";

        this.goveServiceCenterShow = "否";

        this.isConvenientCenterShow = "否";

        this.terminalHandle = "是";

        this.isOnline = "是";

        this.isOnlinePayShow = "是";

        this.entrustmentDepartmen = "是";

        this.jointInfoShow = "";

        this.matterStatus = "在用";

        this.numberLimit = null;

        this.type = "";

        this.baseCode = "";

        this.implementCode = "";

        this.implementBodyCode = "";

        this.operateItemCode = "";

        this.townshipName = "";

        this.townshipCode = "";

        this.villageName = "";

        this.villageCode = "";

        this.operateTime = "";

        this.operateSite = "";

        this.cousultingShow = "";

        this.cousultingTelephoneShow = "";

        this.superviseShow = "";

        this.sort = 0;

        this.source = 1;

        this.evaluationUrl = "";

        this.netApplyUrl = "";
    }
}
