package com.mortals.xhx.common.pdu.site;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class SiteTreeSelectVO implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 节点ID
     */
    private String id;

    /**
     * 站点编码
     */
    private String siteCode;

    /**
     * 节点名称
     */
    private String label;
    /**
     * 区域编码
     */
    private String areaCode;
    private String areaName;
    /**
     * 是否叶子节点
     */
    private Boolean isLeaf;

    /**
     * 经度
     */
    private String longitude;
    /**
     * 纬度
     */
    private String latitude;

    /**
     * 节点类型
     */
    private String type;

    /**
     * 图标
     */
    private String icon;
    /** 层级 */
    private Integer level;
    /** 地址 */
    private String detailAddress;
    /** 设备总数 */
    private Integer deviceTotal;
    /** 设备在线数 */
    private Integer onlineTotal;
    /** 设备离线数 */
    private Integer offlineTotal;

    /**
     * 子节点
     */
    private List<SiteTreeSelectVO> children;

    private Integer siteCount;

    public SiteTreeSelectVO(){
        this.deviceTotal = 0;
        this.onlineTotal = 0;
        this.offlineTotal = 0;
    }

    public void deviceTotalAdd(int i) {
        this.deviceTotal += i;
    }

    public void onlineTotalAdd(int i) {
        this.onlineTotal += i;
    }

    public void offlineTotalAdd(int i) {
        this.offlineTotal += i;
    }
}
