package com.mortals.xhx.feign.skinBase;

import com.mortals.framework.common.Rest;
import com.mortals.xhx.common.pdu.RespData;
import com.mortals.xhx.common.pdu.skinBase.SinkBasePdu;
import com.mortals.xhx.feign.IFeign;
import feign.hystrix.FallbackFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

@FeignClient(name = "base-manager", path = "/base", fallbackFactory = SinkBaseFeignFallbackFactory.class)
public interface ISinkBaseFeign extends IFeign {

    @PostMapping(value = "/skin/base/list")
    Rest<RespData<List<SinkBasePdu>>> list(@RequestBody SinkBasePdu sinkBasePdu);
}

@Slf4j
@Component
class SinkBaseFeignFallbackFactory implements FallbackFactory<ISinkBaseFeign> {

    @Override
    public ISinkBaseFeign create(Throwable throwable) {
        return new ISinkBaseFeign(){

            @Override
            public Rest<RespData<List<SinkBasePdu>>> list(SinkBasePdu sinkBasePdu) {
                return Rest.fail("暂时无法获取皮肤列表，请稍后再试!");
            }
        };
    }
}
