-- ----------------------------
-- 基础配置表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_sst_basic`;
CREATE TABLE mortals_xhx_sst_basic(
    `id` bigint(20)   AUTO_INCREMENT  COMMENT '序号，主键，自增长',
    `siteId` bigint(20) NOT NULL    COMMENT '站点id',
    `titleName` varchar(64) NOT NULL    COMMENT '标题名称',
    `logoUrl` varchar(128)     COMMENT 'Logo图片地址',
    `appletCode` varchar(128)     COMMENT '小程序二维码图片地址',
    `wechatCode` varchar(128)     COMMENT '微信微博二维码图片地址',
    `saverTime` int(8)     COMMENT '屏保时间单位分',
    `saverPic` varchar(128)     COMMENT '屏保图片地址',
    `support` varchar(128)     COMMENT '技术支持',
    `sponsor` varchar(128)     COMMENT '主办单位',
    `organizer` varchar(128)     COMMENT '承办单位',
    `record` varchar(128)     COMMENT '备案号',
    `elderEnable` tinyint(2) NOT NULL    COMMENT '启用长辈模式0不启用1启用',
    `createUserId` bigint(20) NOT NULL    COMMENT '创建用户',
    `createTime` datetime NOT NULL    COMMENT '创建时间',
    `updateUserId` bigint(20)     COMMENT '更新用户',
    `updateTime` datetime     COMMENT '更新时间',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='基础配置';

-- ----------------------------
-- 皮肤配置表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_sst_skin`;
CREATE TABLE mortals_xhx_sst_skin(
    `id` bigint(20)   AUTO_INCREMENT  COMMENT '序号，主键，自增长',
    `siteId` bigint(20) NOT NULL    COMMENT '站点id',
    `skinName` varchar(64) NOT NULL    COMMENT '皮肤名称',
    `skinCode` varchar(64) NOT NULL    COMMENT '皮肤编码',
    `createUserId` bigint(20) NOT NULL    COMMENT '创建用户',
    `createTime` datetime NOT NULL    COMMENT '创建时间',
    `updateUserId` bigint(20)     COMMENT '更新用户',
    `updateTime` datetime     COMMENT '更新时间',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='皮肤配置';

-- ----------------------------
-- 协议管理表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_sst_agreement`;
CREATE TABLE mortals_xhx_sst_agreement(
    `id` bigint(20)   AUTO_INCREMENT  COMMENT '序号，主键，自增长',
    `siteId` bigint(20) NOT NULL    COMMENT '站点id',
    `name` varchar(64) NOT NULL    COMMENT '协议名称',
    `describe` varchar(64) NOT NULL    COMMENT '协议描述',
    `content` text     COMMENT '协议内容',
    `createUserId` bigint(20) NOT NULL    COMMENT '创建用户',
    `createTime` datetime NOT NULL    COMMENT '创建时间',
    `updateUserId` bigint(20)     COMMENT '更新用户',
    `updateTime` datetime     COMMENT '更新时间',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='协议管理';

-- ----------------------------
-- 应用编排表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_sst_apps`;
CREATE TABLE mortals_xhx_sst_apps(
    `id` bigint(20)   AUTO_INCREMENT  COMMENT '序号，主键，自增长',
    `siteId` bigint(20) NOT NULL    COMMENT '站点id',
    `name` varchar(64)     COMMENT '应用名称',
    `describe` varchar(64)     COMMENT '应用描述',
    `url` varchar(128)     COMMENT '应用访问地址',
    `showBasic` tinyint(2)     COMMENT '是否展示基础应用1是0否',
    `basicSort` int(4)     COMMENT '基础应用排序号',
    `showHot` tinyint(2)     COMMENT '是否展示热门应用1是0否',
    `hotSort` int(4)     COMMENT '热门应用排序号',
    `createUserId` bigint(20)     COMMENT '创建用户',
    `createTime` datetime     COMMENT '创建时间',
    `updateUserId` bigint(20)     COMMENT '更新用户',
    `updateTime` datetime     COMMENT '更新时间',
    `appId` bigint(20) NOT NULL    COMMENT '应用id',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='应用编排';

-- ----------------------------
-- 应用信息表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_apps_info`;
CREATE TABLE mortals_xhx_apps_info(
    `id` bigint(20)   AUTO_INCREMENT  COMMENT '序号，主键，自增长',
    `name` varchar(64) NOT NULL    COMMENT '应用名称',
    `describe` varchar(64)     COMMENT '应用描述',
    `url` varchar(128)     COMMENT '应用访问地址',
    `icon` varchar(64)     COMMENT '图标',
    `createUserId` bigint(20) NOT NULL    COMMENT '创建用户',
    `createTime` datetime NOT NULL    COMMENT '创建时间',
    `updateUserId` bigint(20)     COMMENT '更新用户',
    `updateTime` datetime     COMMENT '更新时间',
    `sort` int(4)     COMMENT '排序号',
    `classify` tinyint(2)     COMMENT '应用分类',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='应用信息';

-- ----------------------------
-- 终端设备表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_sst_device`;
CREATE TABLE mortals_xhx_sst_device(
    `id` bigint(20)   AUTO_INCREMENT  COMMENT '序号，主键，自增长',
    `deviceName` varchar(64) NOT NULL    COMMENT '设备名称',
    `deviceCode` varchar(128)     COMMENT '设备编码',
    `deviceType` tinyint(2)     COMMENT '设备类型1证照柜',
    `deviceMac` varchar(64)     COMMENT 'Mac地址',
    `deviceFirmname` varchar(20)     COMMENT '设备厂商',
    `ip` varchar(64)     COMMENT '设备IP地址',
    `port` varchar(64)     COMMENT '端口号',
    `resolution` varchar(64)     COMMENT '设备分辨率',
    `leadingOfficial` varchar(64)     COMMENT '负责人',
    `telephone` varchar(64)     COMMENT '负责人电话',
    `longitude` varchar(64)     COMMENT '设备经度',
    `latitude` varchar(64)     COMMENT '设备纬度',
    `building` tinyint(2)     COMMENT '所在楼宇',
    `floor` tinyint(2)     COMMENT '所在楼层',
    `managePWD` varchar(64)     COMMENT '管理员密码',
    `remark` varchar(128)     COMMENT '备注',
    `status` tinyint(2)     COMMENT '设备状态，0：未激活，1：离线:2：在线',
    `enabled` tinyint(2)     COMMENT '启停状态，0：停用,1：启用',
    `createUserId` bigint(20) NOT NULL    COMMENT '创建用户',
    `createTime` datetime NOT NULL    COMMENT '创建时间',
    `updateUserId` bigint(20)     COMMENT '更新用户',
    `updateTime` datetime     COMMENT '更新时间',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='终端设备';

