package com.mortals.xhx.daemon.task;

import cn.hutool.core.io.FileUtil;
import cn.hutool.core.util.RandomUtil;
import com.mortals.framework.common.Rest;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.service.ITask;
import com.mortals.framework.service.ITaskExcuteService;
import com.mortals.xhx.common.pdu.RespData;
import com.mortals.xhx.common.pdu.matter.MatterDatumFilePdu;
import com.mortals.xhx.common.pdu.matter.MatterDatumPdu;
import com.mortals.xhx.common.utils.BeanUtil;
import com.mortals.xhx.common.utils.HttpDownloadUtil;
import com.mortals.xhx.common.utils.StringUtils;
import com.mortals.xhx.common.utils.WordUtil;
import com.mortals.xhx.feign.matter.IMatterDatumFeign;
import com.mortals.xhx.feign.matter.IMatterDatumFileFeign;
import com.mortals.xhx.module.matter.model.*;
import com.mortals.xhx.module.matter.service.MatterApplyService;
import com.mortals.xhx.module.matter.service.MatterDatumFileService;
import com.mortals.xhx.module.matter.service.MatterDatumService;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.ArrayList;
import java.util.List;

/**
 * 事项材料附件本地转换
 */
@Slf4j
@Service("MatterDatumConvertTask")
public class MatterDatumConvertTaskImpl implements ITaskExcuteService {

    @Autowired
    private MatterApplyService matterApplyService;
    @Autowired
    private MatterDatumService matterDatumService;
    @Autowired
    private MatterDatumFileService matterDatumFileService;
    @Autowired
    private IMatterDatumFeign matterDatumFeign;
    @Autowired
    private IMatterDatumFileFeign matterDatumFileFeign;

    @Value("${upload.path}")
    private String filePath;

    public static String word[] = {"doc", "dot", "wps", "wpt", "docx", "dotx", "docm", "dotm"};
    public static String imgs[] = {"jpg", "png", "jpeg", "gif"};
    public static String pdf[] = {"pdf"};

    @Override
    public void excuteTask(ITask task) throws AppException {
//        log.info("事项材料处理...");
//        MatterApplyQuery siteMatterQuery = new MatterApplyQuery();
//        siteMatterQuery.setIsConvert(0);
//        List<MatterApplyEntity> siteMatterEntities = matterApplyService.find(siteMatterQuery);
//        if(CollectionUtils.isNotEmpty(siteMatterEntities)){
//            List<Long> matterIds = new ArrayList<>();
//            for(MatterApplyEntity siteMatterEntity:siteMatterEntities){
//                matterIds.add(siteMatterEntity.getMatterId());
//            }
//            MatterDatumPdu matterDatumQuery = new MatterDatumPdu();
//            matterDatumQuery.setMatterIdList(matterIds);
//            matterDatumQuery.setSize(-1);
//            List<MatterDatumPdu> matterDatumPduList = null;
//            List<MatterDatumEntity> matterDatumList = new ArrayList<>();
//            Rest<RespData<List<MatterDatumPdu>>> matterDatumPduRest = matterDatumFeign.list(matterDatumQuery);
//            if(matterDatumPduRest.getCode()==1 && matterDatumPduRest.getData()!=null){
//                matterDatumPduList = matterDatumPduRest.getData().getData();
//            }
//            List<Long> convertIdList = new ArrayList<>();
//            if(CollectionUtils.isNotEmpty(matterDatumPduList)){
//                for(MatterDatumPdu datumPdu:matterDatumPduList){
//                    MatterDatumEntity matterDatumEntity = BeanUtil.covert(datumPdu,MatterDatumEntity.class);
//                    MatterDatumFilePdu fileQuery = new MatterDatumFilePdu();
//                    fileQuery.setDatumId(datumPdu.getId());
//                    fileQuery.setSize(-1);
//                    List<MatterDatumFilePdu> datumFilePduList = null;
//                    List<MatterDatumFileEntity> datumFileList = new ArrayList<>();
//                    Rest<RespData<List<MatterDatumFilePdu>>> datumFileRest = matterDatumFileFeign.list(fileQuery);
//                    if(datumFileRest.getCode()==1 && datumFileRest.getData()!=null){
//                        datumFilePduList = datumFileRest.getData().getData();
//                        convertIdList.add(datumPdu.getMatterId());
//                    }
//                    if(CollectionUtils.isNotEmpty(datumFilePduList)){
//                        String rootPath = this.filePath.endsWith("/") ? this.filePath : this.filePath + "/";
//                        String prePath = "file/preview/";
//                        String savePath = "file/uploadfile/";
//                        for(MatterDatumFilePdu datumFilePdu:datumFilePduList){
//                            if(StringUtils.isEmpty(datumFilePdu.getFileUrl())|| StringUtils.isNotEmpty(datumFilePdu.getLocalFileUrl())){
//                                continue;
//                            }
//                            String fileName = datumFilePdu.getFileName();
//                            String fileUrl = datumFilePdu.getFileUrl();
//                            try {
//                                File pathDir = new File(rootPath + savePath);
//                                if (!pathDir.exists()) {
//                                    pathDir.mkdirs();
//                                }
//                                HttpDownloadUtil.downLoadFromUrl(fileUrl,fileName,rootPath + savePath);
//                            }catch (Exception e){
//                                log.error("DatumId:"+datumFilePdu.getDatumId()+",文件下载失败...",e);
//                                continue;
//                            }
//                            MatterDatumFileEntity matterDatumFile = BeanUtil.covert(datumFilePdu,MatterDatumFileEntity.class);
//
//                            matterDatumFile.setLocalFileUrl(savePath+fileName);
//                            String newName = genPreviewPath(rootPath, prePath,  savePath+fileName);
//                            matterDatumFile.setPreviewUrl(prePath+newName);
//                            datumFileList.add(matterDatumFile);
//                        }
//                    }
//                    matterDatumEntity.setMatterDatumFileList(datumFileList);
//                    matterDatumList.add(matterDatumEntity);
//                }
//            }
//            if(convertIdList.size()>0){
//                MatterApplyQuery matterQuery = new MatterApplyQuery();
//                matterQuery.setMatterIdList(convertIdList);
//                List<MatterApplyEntity> matterEntities = matterApplyService.find(matterQuery);
//                for(MatterApplyEntity matterEntity:matterEntities){
//                    MatterApplyEntity updateEntity = new MatterApplyEntity();
//                    updateEntity.setId(matterEntity.getId());
//                    updateEntity.setIsConvert(1);
//                    matterApplyService.update(updateEntity);
//                }
//                if(CollectionUtils.isNotEmpty(matterDatumList)) {
//                    for (MatterDatumEntity matterDatumEntity : matterDatumList) {
//                        matterDatumService.save(matterDatumEntity);
//                    }
//                }
//            }
//        }
    }

    @Override
    public void stopTask(ITask task) throws AppException {

    }

    private String genPreviewPath(String rootPath, String prePath, String tempPath) {
        //生成样表预览图片
        String samplePath = rootPath + tempPath;
        String filePath = rootPath + prePath;
        File pathDir = new File(filePath);
        if (!pathDir.exists()) {
            pathDir.mkdirs();
        }
        String newName = RandomUtil.randomNumbers(12) + ".jpg";
        String filePathAll = filePath + newName;
        //判断文件类型是否为doc pdf jpg png 等
        String extName = FileUtil.getSuffix(samplePath);
        if (this.isExsitArry(extName, word)) {
            WordUtil.convertWordToJPEG(samplePath, filePathAll);
        } else if (this.isExsitArry(extName, pdf)) {
            WordUtil.pdfToImages(samplePath, filePathAll);
        } else if (this.isExsitArry(extName, imgs)) {
            try {
                com.mortals.framework.util.FileUtil.copyFile(samplePath, filePathAll);
            } catch (FileNotFoundException e) {
                throw new RuntimeException(e);
            }
        }
        return newName;
    }

    public boolean isExsitArry(String chex, String arry[]) {
        for (String ex : arry) {
            if (chex.equalsIgnoreCase(ex)) {
                return true;
            }
        }
        return false;
    }
}
