package com.mortals.xhx.module.apps.service.impl;
import com.mortals.framework.common.Rest;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.xhx.common.code.YesNoEnum;
import com.mortals.xhx.common.pdu.RespData;
import com.mortals.xhx.common.pdu.app.AppPdu;
import com.mortals.xhx.feign.app.IAppFeign;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.apps.dao.AppsInfoDao;
import com.mortals.xhx.module.apps.model.AppsInfoEntity;
import com.mortals.xhx.module.apps.service.AppsInfoService;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
* AppsInfoService
* 应用信息 service实现
*
* @author zxfei
* @date 2022-12-26
*/
@Service("appsInfoService")
public class AppsInfoServiceImpl extends AbstractCRUDServiceImpl<AppsInfoDao, AppsInfoEntity, Long> implements AppsInfoService {

    @Autowired
    private IAppFeign appFeign;

    @Override
    public AppsInfoEntity save(AppsInfoEntity entity, Context context) throws AppException {
        return null;
    }

    @Override
    public int save(List<AppsInfoEntity> list, Context context) throws AppException {
        return 0;
    }

    @Override
    public AppsInfoEntity update(AppsInfoEntity entity, Context context) throws AppException {
        return null;
    }

    @Override
    public int update(List<AppsInfoEntity> list, Context context) throws AppException {
        return 0;
    }

    @Override
    public AppsInfoEntity get(Long key, Context context) throws AppException {
        return null;
    }

    @Override
    public List<AppsInfoEntity> find(AppsInfoEntity entity) throws AppException {
        AppPdu appPdu = new AppPdu();
        appPdu.setSiteId(entity.getSiteId());
        appPdu.setSize(-1);
        appPdu.setType(1);   //类型(1.终端应用,2.移动端应用)
        appPdu.setShelves(1); //是否上架(0.下架，1.上架)
        appPdu.setAppName(entity.getName());
        Rest<RespData<List<AppPdu>>> rest = appFeign.list(appPdu);
        if (rest.getCode().equals(YesNoEnum.YES.getValue())) {
            List<AppsInfoEntity> appsInfoEntities = new ArrayList<>();
            for(AppPdu pdu:rest.getData().getData()){
                appsInfoEntities.add(conversion(pdu));
            }
            return appsInfoEntities;
        }else {
            return Collections.emptyList();
        }
    }

    @Override
    public Result<AppsInfoEntity> find(AppsInfoEntity entity, PageInfo pageInfo, Context context) throws AppException{
        AppPdu appPdu = new AppPdu();
        appPdu.setSiteId(entity.getSiteId());
        appPdu.setSize(999);
        appPdu.setType(1);
        appPdu.setShelves(1);
        Rest<RespData<List<AppPdu>>> rest = appFeign.list(appPdu);
        Result result = new Result();
        if (rest.getCode().equals(YesNoEnum.YES.getValue())) {
            List<AppsInfoEntity> appsInfoEntities = new ArrayList<>();
            for(AppPdu pdu:rest.getData().getData()){
                appsInfoEntities.add(conversion(pdu));
            }
            result.setPageInfo(rest.getData().getPageInfo());
            result.setList(appsInfoEntities);
            return result;
        }else {
            return result;
        }
    }

    @Override
    public AppsInfoEntity get(Long id) throws AppException {
        Rest<AppPdu> rest = appFeign.info(id);
        if (rest.getCode().equals(YesNoEnum.YES.getValue())) {
            return conversion(rest.getData());
        }else {
            return null;
        }
    }


    private AppsInfoEntity conversion(AppPdu pdu){
        if(pdu==null){
            return null;
        }
        AppsInfoEntity appsInfoEntity = new AppsInfoEntity();
        appsInfoEntity.setId(pdu.getId());
        appsInfoEntity.setAppCode(pdu.getAppCode());
        appsInfoEntity.setName(pdu.getAppName());
        appsInfoEntity.setDescribe(pdu.getSummary());
        appsInfoEntity.setIcon(pdu.getAppIconPath());
        appsInfoEntity.setUrl(pdu.getUrl());
        appsInfoEntity.setAppType(pdu.getAppType());
        appsInfoEntity.setServiceApi(pdu.getServiceApi());
        appsInfoEntity.setCustUrl(pdu.getCustUrl());
        appsInfoEntity.setAppThemeName(pdu.getAppThemeName());
        appsInfoEntity.setCreateTime(pdu.getCreateTime());
        return appsInfoEntity;
    }
}