package com.mortals.xhx.module.converge.model;
import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.converge.model.vo.ConvergeAppsAccessVo;
import lombok.Data;
/**
 * 应用访问实体对象
 *
 * @author zxfei
 * @date 2023-07-04
 */
@Data
public class ConvergeAppsAccessEntity extends ConvergeAppsAccessVo {
    private static final long serialVersionUID = 1L;

    /**
     * 站点id
     */
    private Long siteId;
    /**
     * 应用ID
     */
    private String applicationId;
    /**
     * 应用名称
     */
    private String applicationName;
    /**
     * 应用打开时间
     */
    private Date startTime;
    /**
     * 应用关闭时间
     */
    private Date endTime;
    /**
     * 用户ID
     */
    private String userId;
    /**
     * 用户名称
     */
    private String userName;
    /**
     * 渠道ID
     */
    private String channelId;
    /**
     * 渠道名称
     */
    private String channelName;
    /**
     * 地域
     */
    private String location;
    /**
     * 客户端名称
     */
    private String clientName;
    /**
     * 客户端版本号
     */
    private String version;
    /**
     * 设备唯一标识
     */
    private String ecode;
    /**
     * 应用简称
     */
    private String appSimpleName;
    /**
     * 应用提供方
     */
    private String provider;
    /**
     * 应用来源
     */
    private String origin;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ConvergeAppsAccessEntity) {
            ConvergeAppsAccessEntity tmp = (ConvergeAppsAccessEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

        this.siteId = -1L;

        this.applicationId = "";

        this.applicationName = "";

        this.startTime = null;

        this.endTime = null;

        this.userId = "";

        this.userName = "";

        this.channelId = "";

        this.channelName = "";

        this.location = "";

        this.clientName = "";

        this.version = "";

        this.ecode = "";

        this.appSimpleName = "";

        this.provider = "";

        this.origin = "";
    }
}