package com.mortals.xhx.module.converge.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.converge.model.vo.ConvergeAppsVo;
import lombok.Data;
/**
 * 设备应用实体对象
 *
 * @author zxfei
 * @date 2023-07-06
 */
@Data
public class ConvergeAppsEntity extends ConvergeAppsVo {
    private static final long serialVersionUID = 1L;

    /**
     * 站点id
     */
    private Long siteId;
    /**
     * 设备ID
     */
    private Long equipmentId;
    /**
     * 应用标识，具有唯一性
     */
    private String appEname;
    /**
     * 应用名称
     */
    private String appName;
    /**
     * 应用简称
     */
    private String appSimpleName;
    /**
     * 应用提供方
     */
    private String provider;
    /**
     * 应用来源
     */
    private String origin;
    /**
     * 应用访问数
     */
    private Integer totalPv;
    /**
     * 应用访客数
     */
    private Integer totalUv;
    /**
     * 操作类型
     */
    private String opr;
    /**
     * 统计月份，格式yyyy-MM-dd
     */
    private String statYearMonth;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ConvergeAppsEntity) {
            ConvergeAppsEntity tmp = (ConvergeAppsEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

        this.siteId = -1L;

        this.equipmentId = -1L;

        this.appEname = "";

        this.appName = "";

        this.appSimpleName = "";

        this.provider = "";

        this.origin = "";

        this.totalPv = -1;

        this.totalUv = -1;

        this.opr = "";

        this.statYearMonth = "";
    }
}