package com.mortals.xhx.module.converge.model;

import java.util.List;
import com.mortals.xhx.module.converge.model.ConvergeAppsEntity;
/**
 * 设备应用查询对象
 *
 * @author zxfei
 * @date 2023-07-06
 */
public class ConvergeAppsQuery extends ConvergeAppsEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 站点id */
    private Long siteIdStart;

    /** 结束 站点id */
    private Long siteIdEnd;

    /** 增加 站点id */
    private Long siteIdIncrement;

    /** 站点id列表 */
    private List <Long> siteIdList;

    /** 站点id排除列表 */
    private List <Long> siteIdNotList;

    /** 开始 设备ID */
    private Long equipmentIdStart;

    /** 结束 设备ID */
    private Long equipmentIdEnd;

    /** 增加 设备ID */
    private Long equipmentIdIncrement;

    /** 设备ID列表 */
    private List <Long> equipmentIdList;

    /** 设备ID排除列表 */
    private List <Long> equipmentIdNotList;

    /** 应用标识，具有唯一性 */
    private List<String> appEnameList;

    /** 应用标识，具有唯一性排除列表 */
    private List <String> appEnameNotList;
    /** 应用名称 */
    private List<String> appNameList;

    /** 应用名称排除列表 */
    private List <String> appNameNotList;
    /** 应用简称 */
    private List<String> appSimpleNameList;

    /** 应用简称排除列表 */
    private List <String> appSimpleNameNotList;
    /** 应用提供方 */
    private List<String> providerList;

    /** 应用提供方排除列表 */
    private List <String> providerNotList;
    /** 应用来源 */
    private List<String> originList;

    /** 应用来源排除列表 */
    private List <String> originNotList;
    /** 开始 应用访问数 */
    private Integer totalPvStart;

    /** 结束 应用访问数 */
    private Integer totalPvEnd;

    /** 增加 应用访问数 */
    private Integer totalPvIncrement;

    /** 应用访问数列表 */
    private List <Integer> totalPvList;

    /** 应用访问数排除列表 */
    private List <Integer> totalPvNotList;

    /** 开始 应用访客数 */
    private Integer totalUvStart;

    /** 结束 应用访客数 */
    private Integer totalUvEnd;

    /** 增加 应用访客数 */
    private Integer totalUvIncrement;

    /** 应用访客数列表 */
    private List <Integer> totalUvList;

    /** 应用访客数排除列表 */
    private List <Integer> totalUvNotList;

    /** 操作类型 */
    private List<String> oprList;

    /** 操作类型排除列表 */
    private List <String> oprNotList;
    /** 统计月份，格式yyyy-MM-dd */
    private List<String> statYearMonthList;

    /** 统计月份，格式yyyy-MM-dd排除列表 */
    private List <String> statYearMonthNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ConvergeAppsQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ConvergeAppsQuery> andConditionList;

    public ConvergeAppsQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 站点id
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点id
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点id
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点id
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点id
     * @return siteIdNotList
     */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
     * 获取 开始 设备ID
     * @return equipmentIdStart
     */
    public Long getEquipmentIdStart(){
        return this.equipmentIdStart;
    }

    /**
     * 设置 开始 设备ID
     * @param equipmentIdStart
     */
    public void setEquipmentIdStart(Long equipmentIdStart){
        this.equipmentIdStart = equipmentIdStart;
    }

    /**
     * 获取 结束 设备ID
     * @return $equipmentIdEnd
     */
    public Long getEquipmentIdEnd(){
        return this.equipmentIdEnd;
    }

    /**
     * 设置 结束 设备ID
     * @param equipmentIdEnd
     */
    public void setEquipmentIdEnd(Long equipmentIdEnd){
        this.equipmentIdEnd = equipmentIdEnd;
    }

    /**
     * 获取 增加 设备ID
     * @return equipmentIdIncrement
     */
    public Long getEquipmentIdIncrement(){
        return this.equipmentIdIncrement;
    }

    /**
     * 设置 增加 设备ID
     * @param equipmentIdIncrement
     */
    public void setEquipmentIdIncrement(Long equipmentIdIncrement){
        this.equipmentIdIncrement = equipmentIdIncrement;
    }

    /**
     * 获取 设备ID
     * @return equipmentIdList
     */
    public List<Long> getEquipmentIdList(){
        return this.equipmentIdList;
    }

    /**
     * 设置 设备ID
     * @param equipmentIdList
     */
    public void setEquipmentIdList(List<Long> equipmentIdList){
        this.equipmentIdList = equipmentIdList;
    }

    /**
     * 获取 设备ID
     * @return equipmentIdNotList
     */
    public List<Long> getEquipmentIdNotList(){
        return this.equipmentIdNotList;
    }

    /**
     * 设置 设备ID
     * @param equipmentIdNotList
     */
    public void setEquipmentIdNotList(List<Long> equipmentIdNotList){
        this.equipmentIdNotList = equipmentIdNotList;
    }


    /**
     * 获取 应用标识，具有唯一性
     * @return appEnameList
     */
    public List<String> getAppEnameList(){
        return this.appEnameList;
    }

    /**
     * 设置 应用标识，具有唯一性
     * @param appEnameList
     */
    public void setAppEnameList(List<String> appEnameList){
        this.appEnameList = appEnameList;
    }

    /**
     * 获取 应用标识，具有唯一性
     * @return appEnameNotList
     */
    public List<String> getAppEnameNotList(){
        return this.appEnameNotList;
    }

    /**
     * 设置 应用标识，具有唯一性
     * @param appEnameNotList
     */
    public void setAppEnameNotList(List<String> appEnameNotList){
        this.appEnameNotList = appEnameNotList;
    }

    /**
     * 获取 应用名称
     * @return appNameList
     */
    public List<String> getAppNameList(){
        return this.appNameList;
    }

    /**
     * 设置 应用名称
     * @param appNameList
     */
    public void setAppNameList(List<String> appNameList){
        this.appNameList = appNameList;
    }

    /**
     * 获取 应用名称
     * @return appNameNotList
     */
    public List<String> getAppNameNotList(){
        return this.appNameNotList;
    }

    /**
     * 设置 应用名称
     * @param appNameNotList
     */
    public void setAppNameNotList(List<String> appNameNotList){
        this.appNameNotList = appNameNotList;
    }

    /**
     * 获取 应用简称
     * @return appSimpleNameList
     */
    public List<String> getAppSimpleNameList(){
        return this.appSimpleNameList;
    }

    /**
     * 设置 应用简称
     * @param appSimpleNameList
     */
    public void setAppSimpleNameList(List<String> appSimpleNameList){
        this.appSimpleNameList = appSimpleNameList;
    }

    /**
     * 获取 应用简称
     * @return appSimpleNameNotList
     */
    public List<String> getAppSimpleNameNotList(){
        return this.appSimpleNameNotList;
    }

    /**
     * 设置 应用简称
     * @param appSimpleNameNotList
     */
    public void setAppSimpleNameNotList(List<String> appSimpleNameNotList){
        this.appSimpleNameNotList = appSimpleNameNotList;
    }

    /**
     * 获取 应用提供方
     * @return providerList
     */
    public List<String> getProviderList(){
        return this.providerList;
    }

    /**
     * 设置 应用提供方
     * @param providerList
     */
    public void setProviderList(List<String> providerList){
        this.providerList = providerList;
    }

    /**
     * 获取 应用提供方
     * @return providerNotList
     */
    public List<String> getProviderNotList(){
        return this.providerNotList;
    }

    /**
     * 设置 应用提供方
     * @param providerNotList
     */
    public void setProviderNotList(List<String> providerNotList){
        this.providerNotList = providerNotList;
    }

    /**
     * 获取 应用来源
     * @return originList
     */
    public List<String> getOriginList(){
        return this.originList;
    }

    /**
     * 设置 应用来源
     * @param originList
     */
    public void setOriginList(List<String> originList){
        this.originList = originList;
    }

    /**
     * 获取 应用来源
     * @return originNotList
     */
    public List<String> getOriginNotList(){
        return this.originNotList;
    }

    /**
     * 设置 应用来源
     * @param originNotList
     */
    public void setOriginNotList(List<String> originNotList){
        this.originNotList = originNotList;
    }

    /**
     * 获取 开始 应用访问数
     * @return totalPvStart
     */
    public Integer getTotalPvStart(){
        return this.totalPvStart;
    }

    /**
     * 设置 开始 应用访问数
     * @param totalPvStart
     */
    public void setTotalPvStart(Integer totalPvStart){
        this.totalPvStart = totalPvStart;
    }

    /**
     * 获取 结束 应用访问数
     * @return $totalPvEnd
     */
    public Integer getTotalPvEnd(){
        return this.totalPvEnd;
    }

    /**
     * 设置 结束 应用访问数
     * @param totalPvEnd
     */
    public void setTotalPvEnd(Integer totalPvEnd){
        this.totalPvEnd = totalPvEnd;
    }

    /**
     * 获取 增加 应用访问数
     * @return totalPvIncrement
     */
    public Integer getTotalPvIncrement(){
        return this.totalPvIncrement;
    }

    /**
     * 设置 增加 应用访问数
     * @param totalPvIncrement
     */
    public void setTotalPvIncrement(Integer totalPvIncrement){
        this.totalPvIncrement = totalPvIncrement;
    }

    /**
     * 获取 应用访问数
     * @return totalPvList
     */
    public List<Integer> getTotalPvList(){
        return this.totalPvList;
    }

    /**
     * 设置 应用访问数
     * @param totalPvList
     */
    public void setTotalPvList(List<Integer> totalPvList){
        this.totalPvList = totalPvList;
    }

    /**
     * 获取 应用访问数
     * @return totalPvNotList
     */
    public List<Integer> getTotalPvNotList(){
        return this.totalPvNotList;
    }

    /**
     * 设置 应用访问数
     * @param totalPvNotList
     */
    public void setTotalPvNotList(List<Integer> totalPvNotList){
        this.totalPvNotList = totalPvNotList;
    }


    /**
     * 获取 开始 应用访客数
     * @return totalUvStart
     */
    public Integer getTotalUvStart(){
        return this.totalUvStart;
    }

    /**
     * 设置 开始 应用访客数
     * @param totalUvStart
     */
    public void setTotalUvStart(Integer totalUvStart){
        this.totalUvStart = totalUvStart;
    }

    /**
     * 获取 结束 应用访客数
     * @return $totalUvEnd
     */
    public Integer getTotalUvEnd(){
        return this.totalUvEnd;
    }

    /**
     * 设置 结束 应用访客数
     * @param totalUvEnd
     */
    public void setTotalUvEnd(Integer totalUvEnd){
        this.totalUvEnd = totalUvEnd;
    }

    /**
     * 获取 增加 应用访客数
     * @return totalUvIncrement
     */
    public Integer getTotalUvIncrement(){
        return this.totalUvIncrement;
    }

    /**
     * 设置 增加 应用访客数
     * @param totalUvIncrement
     */
    public void setTotalUvIncrement(Integer totalUvIncrement){
        this.totalUvIncrement = totalUvIncrement;
    }

    /**
     * 获取 应用访客数
     * @return totalUvList
     */
    public List<Integer> getTotalUvList(){
        return this.totalUvList;
    }

    /**
     * 设置 应用访客数
     * @param totalUvList
     */
    public void setTotalUvList(List<Integer> totalUvList){
        this.totalUvList = totalUvList;
    }

    /**
     * 获取 应用访客数
     * @return totalUvNotList
     */
    public List<Integer> getTotalUvNotList(){
        return this.totalUvNotList;
    }

    /**
     * 设置 应用访客数
     * @param totalUvNotList
     */
    public void setTotalUvNotList(List<Integer> totalUvNotList){
        this.totalUvNotList = totalUvNotList;
    }


    /**
     * 获取 操作类型
     * @return oprList
     */
    public List<String> getOprList(){
        return this.oprList;
    }

    /**
     * 设置 操作类型
     * @param oprList
     */
    public void setOprList(List<String> oprList){
        this.oprList = oprList;
    }

    /**
     * 获取 操作类型
     * @return oprNotList
     */
    public List<String> getOprNotList(){
        return this.oprNotList;
    }

    /**
     * 设置 操作类型
     * @param oprNotList
     */
    public void setOprNotList(List<String> oprNotList){
        this.oprNotList = oprNotList;
    }

    /**
     * 获取 统计月份，格式yyyy-MM-dd
     * @return statYearMonthList
     */
    public List<String> getStatYearMonthList(){
        return this.statYearMonthList;
    }

    /**
     * 设置 统计月份，格式yyyy-MM-dd
     * @param statYearMonthList
     */
    public void setStatYearMonthList(List<String> statYearMonthList){
        this.statYearMonthList = statYearMonthList;
    }

    /**
     * 获取 统计月份，格式yyyy-MM-dd
     * @return statYearMonthNotList
     */
    public List<String> getStatYearMonthNotList(){
        return this.statYearMonthNotList;
    }

    /**
     * 设置 统计月份，格式yyyy-MM-dd
     * @param statYearMonthNotList
     */
    public void setStatYearMonthNotList(List<String> statYearMonthNotList){
        this.statYearMonthNotList = statYearMonthNotList;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public ConvergeAppsQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public ConvergeAppsQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public ConvergeAppsQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public ConvergeAppsQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public ConvergeAppsQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public ConvergeAppsQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  站点id
     * @param siteId
     */
    public ConvergeAppsQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public ConvergeAppsQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public ConvergeAppsQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public ConvergeAppsQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public ConvergeAppsQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public ConvergeAppsQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
    }

    /**
     * 设置  设备ID
     * @param equipmentId
     */
    public ConvergeAppsQuery equipmentId(Long equipmentId){
        setEquipmentId(equipmentId);
        return this;
    }

    /**
     * 设置 开始 设备ID
     * @param equipmentIdStart
     */
    public ConvergeAppsQuery equipmentIdStart(Long equipmentIdStart){
        this.equipmentIdStart = equipmentIdStart;
        return this;
    }

    /**
     * 设置 结束 设备ID
     * @param equipmentIdEnd
     */
    public ConvergeAppsQuery equipmentIdEnd(Long equipmentIdEnd){
        this.equipmentIdEnd = equipmentIdEnd;
        return this;
    }

    /**
     * 设置 增加 设备ID
     * @param equipmentIdIncrement
     */
    public ConvergeAppsQuery equipmentIdIncrement(Long equipmentIdIncrement){
        this.equipmentIdIncrement = equipmentIdIncrement;
        return this;
    }

    /**
     * 设置 设备ID
     * @param equipmentIdList
     */
    public ConvergeAppsQuery equipmentIdList(List<Long> equipmentIdList){
        this.equipmentIdList = equipmentIdList;
        return this;
    }

    /**
     * 设置 设备ID
     * @param equipmentIdNotList
     */
    public ConvergeAppsQuery equipmentIdNotList(List<Long> equipmentIdNotList){
        this.equipmentIdNotList = equipmentIdNotList;
        return this;
    }


    /**
     * 设置 应用标识，具有唯一性
     * @param appEname
     */
    public ConvergeAppsQuery appEname(String appEname){
        setAppEname(appEname);
        return this;
    }

    /**
     * 设置 应用标识，具有唯一性
     * @param appEnameList
     */
    public ConvergeAppsQuery appEnameList(List<String> appEnameList){
        this.appEnameList = appEnameList;
        return this;
    }


    /**
     * 设置 应用名称
     * @param appName
     */
    public ConvergeAppsQuery appName(String appName){
        setAppName(appName);
        return this;
    }

    /**
     * 设置 应用名称
     * @param appNameList
     */
    public ConvergeAppsQuery appNameList(List<String> appNameList){
        this.appNameList = appNameList;
        return this;
    }


    /**
     * 设置 应用简称
     * @param appSimpleName
     */
    public ConvergeAppsQuery appSimpleName(String appSimpleName){
        setAppSimpleName(appSimpleName);
        return this;
    }

    /**
     * 设置 应用简称
     * @param appSimpleNameList
     */
    public ConvergeAppsQuery appSimpleNameList(List<String> appSimpleNameList){
        this.appSimpleNameList = appSimpleNameList;
        return this;
    }


    /**
     * 设置 应用提供方
     * @param provider
     */
    public ConvergeAppsQuery provider(String provider){
        setProvider(provider);
        return this;
    }

    /**
     * 设置 应用提供方
     * @param providerList
     */
    public ConvergeAppsQuery providerList(List<String> providerList){
        this.providerList = providerList;
        return this;
    }


    /**
     * 设置 应用来源
     * @param origin
     */
    public ConvergeAppsQuery origin(String origin){
        setOrigin(origin);
        return this;
    }

    /**
     * 设置 应用来源
     * @param originList
     */
    public ConvergeAppsQuery originList(List<String> originList){
        this.originList = originList;
        return this;
    }

    /**
     * 设置  应用访问数
     * @param totalPv
     */
    public ConvergeAppsQuery totalPv(Integer totalPv){
        setTotalPv(totalPv);
        return this;
    }

    /**
     * 设置 开始 应用访问数
     * @param totalPvStart
     */
    public ConvergeAppsQuery totalPvStart(Integer totalPvStart){
        this.totalPvStart = totalPvStart;
        return this;
    }

    /**
     * 设置 结束 应用访问数
     * @param totalPvEnd
     */
    public ConvergeAppsQuery totalPvEnd(Integer totalPvEnd){
        this.totalPvEnd = totalPvEnd;
        return this;
    }

    /**
     * 设置 增加 应用访问数
     * @param totalPvIncrement
     */
    public ConvergeAppsQuery totalPvIncrement(Integer totalPvIncrement){
        this.totalPvIncrement = totalPvIncrement;
        return this;
    }

    /**
     * 设置 应用访问数
     * @param totalPvList
     */
    public ConvergeAppsQuery totalPvList(List<Integer> totalPvList){
        this.totalPvList = totalPvList;
        return this;
    }

    /**
     * 设置 应用访问数
     * @param totalPvNotList
     */
    public ConvergeAppsQuery totalPvNotList(List<Integer> totalPvNotList){
        this.totalPvNotList = totalPvNotList;
        return this;
    }

    /**
     * 设置  应用访客数
     * @param totalUv
     */
    public ConvergeAppsQuery totalUv(Integer totalUv){
        setTotalUv(totalUv);
        return this;
    }

    /**
     * 设置 开始 应用访客数
     * @param totalUvStart
     */
    public ConvergeAppsQuery totalUvStart(Integer totalUvStart){
        this.totalUvStart = totalUvStart;
        return this;
    }

    /**
     * 设置 结束 应用访客数
     * @param totalUvEnd
     */
    public ConvergeAppsQuery totalUvEnd(Integer totalUvEnd){
        this.totalUvEnd = totalUvEnd;
        return this;
    }

    /**
     * 设置 增加 应用访客数
     * @param totalUvIncrement
     */
    public ConvergeAppsQuery totalUvIncrement(Integer totalUvIncrement){
        this.totalUvIncrement = totalUvIncrement;
        return this;
    }

    /**
     * 设置 应用访客数
     * @param totalUvList
     */
    public ConvergeAppsQuery totalUvList(List<Integer> totalUvList){
        this.totalUvList = totalUvList;
        return this;
    }

    /**
     * 设置 应用访客数
     * @param totalUvNotList
     */
    public ConvergeAppsQuery totalUvNotList(List<Integer> totalUvNotList){
        this.totalUvNotList = totalUvNotList;
        return this;
    }


    /**
     * 设置 操作类型
     * @param opr
     */
    public ConvergeAppsQuery opr(String opr){
        setOpr(opr);
        return this;
    }

    /**
     * 设置 操作类型
     * @param oprList
     */
    public ConvergeAppsQuery oprList(List<String> oprList){
        this.oprList = oprList;
        return this;
    }


    /**
     * 设置 统计月份，格式yyyy-MM-dd
     * @param statYearMonth
     */
    public ConvergeAppsQuery statYearMonth(String statYearMonth){
        setStatYearMonth(statYearMonth);
        return this;
    }

    /**
     * 设置 统计月份，格式yyyy-MM-dd
     * @param statYearMonthList
     */
    public ConvergeAppsQuery statYearMonthList(List<String> statYearMonthList){
        this.statYearMonthList = statYearMonthList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<ConvergeAppsQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<ConvergeAppsQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<ConvergeAppsQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<ConvergeAppsQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}