package com.mortals.xhx.module.converge.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.converge.model.vo.ConvergeDeviceVo;
import lombok.Data;
/**
 * 网点设备实体对象
 *
 * @author zxfei
 * @date 2023-06-12
 */
@Data
public class ConvergeDeviceEntity extends ConvergeDeviceVo {
    private static final long serialVersionUID = 1L;

    /**
     * 网点ID
     */
    private Long branchId;
    /**
     * 设备名称
     */
    private String equipmentName;
    /**
     * 设备系统类型
     */
    private String systemName;
    /**
     * 设备标识，具有唯一性
     */
    private String logo;
    /**
     * 设备所属行业
     */
    private String industry;
    /**
     * 设备运行状态
     */
    private String isAbnormal;
    /**
     * 操作类型
     */
    private String opr;
    /**
     * 站点id
     */
    private Long siteId;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ConvergeDeviceEntity) {
            ConvergeDeviceEntity tmp = (ConvergeDeviceEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

        this.branchId = -1L;

        this.equipmentName = "";

        this.systemName = "";

        this.logo = "";

        this.industry = "";

        this.isAbnormal = "";

        this.opr = "";

        this.siteId = -1L;
    }
}