package com.mortals.xhx.module.converge.model;

import java.util.List;
import com.mortals.xhx.module.converge.model.ConvergeDeviceEntity;
/**
 * 网点设备查询对象
 *
 * @author zxfei
 * @date 2023-06-12
 */
public class ConvergeDeviceQuery extends ConvergeDeviceEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 网点ID */
    private Long branchIdStart;

    /** 结束 网点ID */
    private Long branchIdEnd;

    /** 增加 网点ID */
    private Long branchIdIncrement;

    /** 网点ID列表 */
    private List <Long> branchIdList;

    /** 网点ID排除列表 */
    private List <Long> branchIdNotList;

    /** 设备名称 */
    private List<String> equipmentNameList;

    /** 设备名称排除列表 */
    private List <String> equipmentNameNotList;
    /** 设备系统类型 */
    private List<String> systemNameList;

    /** 设备系统类型排除列表 */
    private List <String> systemNameNotList;
    /** 设备标识，具有唯一性 */
    private List<String> logoList;

    /** 设备标识，具有唯一性排除列表 */
    private List <String> logoNotList;
    /** 设备所属行业 */
    private List<String> industryList;

    /** 设备所属行业排除列表 */
    private List <String> industryNotList;
    /** 设备运行状态 */
    private List<String> isAbnormalList;

    /** 设备运行状态排除列表 */
    private List <String> isAbnormalNotList;
    /** 操作类型 */
    private List<String> oprList;

    /** 操作类型排除列表 */
    private List <String> oprNotList;
    /** 开始 站点id */
    private Long siteIdStart;

    /** 结束 站点id */
    private Long siteIdEnd;

    /** 增加 站点id */
    private Long siteIdIncrement;

    /** 站点id列表 */
    private List <Long> siteIdList;

    /** 站点id排除列表 */
    private List <Long> siteIdNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ConvergeDeviceQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ConvergeDeviceQuery> andConditionList;

    public ConvergeDeviceQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 网点ID
     * @return branchIdStart
     */
    public Long getBranchIdStart(){
        return this.branchIdStart;
    }

    /**
     * 设置 开始 网点ID
     * @param branchIdStart
     */
    public void setBranchIdStart(Long branchIdStart){
        this.branchIdStart = branchIdStart;
    }

    /**
     * 获取 结束 网点ID
     * @return $branchIdEnd
     */
    public Long getBranchIdEnd(){
        return this.branchIdEnd;
    }

    /**
     * 设置 结束 网点ID
     * @param branchIdEnd
     */
    public void setBranchIdEnd(Long branchIdEnd){
        this.branchIdEnd = branchIdEnd;
    }

    /**
     * 获取 增加 网点ID
     * @return branchIdIncrement
     */
    public Long getBranchIdIncrement(){
        return this.branchIdIncrement;
    }

    /**
     * 设置 增加 网点ID
     * @param branchIdIncrement
     */
    public void setBranchIdIncrement(Long branchIdIncrement){
        this.branchIdIncrement = branchIdIncrement;
    }

    /**
     * 获取 网点ID
     * @return branchIdList
     */
    public List<Long> getBranchIdList(){
        return this.branchIdList;
    }

    /**
     * 设置 网点ID
     * @param branchIdList
     */
    public void setBranchIdList(List<Long> branchIdList){
        this.branchIdList = branchIdList;
    }

    /**
     * 获取 网点ID
     * @return branchIdNotList
     */
    public List<Long> getBranchIdNotList(){
        return this.branchIdNotList;
    }

    /**
     * 设置 网点ID
     * @param branchIdNotList
     */
    public void setBranchIdNotList(List<Long> branchIdNotList){
        this.branchIdNotList = branchIdNotList;
    }


    /**
     * 获取 设备名称
     * @return equipmentNameList
     */
    public List<String> getEquipmentNameList(){
        return this.equipmentNameList;
    }

    /**
     * 设置 设备名称
     * @param equipmentNameList
     */
    public void setEquipmentNameList(List<String> equipmentNameList){
        this.equipmentNameList = equipmentNameList;
    }

    /**
     * 获取 设备名称
     * @return equipmentNameNotList
     */
    public List<String> getEquipmentNameNotList(){
        return this.equipmentNameNotList;
    }

    /**
     * 设置 设备名称
     * @param equipmentNameNotList
     */
    public void setEquipmentNameNotList(List<String> equipmentNameNotList){
        this.equipmentNameNotList = equipmentNameNotList;
    }

    /**
     * 获取 设备系统类型
     * @return systemNameList
     */
    public List<String> getSystemNameList(){
        return this.systemNameList;
    }

    /**
     * 设置 设备系统类型
     * @param systemNameList
     */
    public void setSystemNameList(List<String> systemNameList){
        this.systemNameList = systemNameList;
    }

    /**
     * 获取 设备系统类型
     * @return systemNameNotList
     */
    public List<String> getSystemNameNotList(){
        return this.systemNameNotList;
    }

    /**
     * 设置 设备系统类型
     * @param systemNameNotList
     */
    public void setSystemNameNotList(List<String> systemNameNotList){
        this.systemNameNotList = systemNameNotList;
    }

    /**
     * 获取 设备标识，具有唯一性
     * @return logoList
     */
    public List<String> getLogoList(){
        return this.logoList;
    }

    /**
     * 设置 设备标识，具有唯一性
     * @param logoList
     */
    public void setLogoList(List<String> logoList){
        this.logoList = logoList;
    }

    /**
     * 获取 设备标识，具有唯一性
     * @return logoNotList
     */
    public List<String> getLogoNotList(){
        return this.logoNotList;
    }

    /**
     * 设置 设备标识，具有唯一性
     * @param logoNotList
     */
    public void setLogoNotList(List<String> logoNotList){
        this.logoNotList = logoNotList;
    }

    /**
     * 获取 设备所属行业
     * @return industryList
     */
    public List<String> getIndustryList(){
        return this.industryList;
    }

    /**
     * 设置 设备所属行业
     * @param industryList
     */
    public void setIndustryList(List<String> industryList){
        this.industryList = industryList;
    }

    /**
     * 获取 设备所属行业
     * @return industryNotList
     */
    public List<String> getIndustryNotList(){
        return this.industryNotList;
    }

    /**
     * 设置 设备所属行业
     * @param industryNotList
     */
    public void setIndustryNotList(List<String> industryNotList){
        this.industryNotList = industryNotList;
    }

    /**
     * 获取 设备运行状态
     * @return isAbnormalList
     */
    public List<String> getIsAbnormalList(){
        return this.isAbnormalList;
    }

    /**
     * 设置 设备运行状态
     * @param isAbnormalList
     */
    public void setIsAbnormalList(List<String> isAbnormalList){
        this.isAbnormalList = isAbnormalList;
    }

    /**
     * 获取 设备运行状态
     * @return isAbnormalNotList
     */
    public List<String> getIsAbnormalNotList(){
        return this.isAbnormalNotList;
    }

    /**
     * 设置 设备运行状态
     * @param isAbnormalNotList
     */
    public void setIsAbnormalNotList(List<String> isAbnormalNotList){
        this.isAbnormalNotList = isAbnormalNotList;
    }

    /**
     * 获取 操作类型
     * @return oprList
     */
    public List<String> getOprList(){
        return this.oprList;
    }

    /**
     * 设置 操作类型
     * @param oprList
     */
    public void setOprList(List<String> oprList){
        this.oprList = oprList;
    }

    /**
     * 获取 操作类型
     * @return oprNotList
     */
    public List<String> getOprNotList(){
        return this.oprNotList;
    }

    /**
     * 设置 操作类型
     * @param oprNotList
     */
    public void setOprNotList(List<String> oprNotList){
        this.oprNotList = oprNotList;
    }

    /**
     * 获取 开始 站点id
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点id
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点id
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点id
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点id
     * @return siteIdNotList
     */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public ConvergeDeviceQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public ConvergeDeviceQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public ConvergeDeviceQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public ConvergeDeviceQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public ConvergeDeviceQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public ConvergeDeviceQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  网点ID
     * @param branchId
     */
    public ConvergeDeviceQuery branchId(Long branchId){
        setBranchId(branchId);
        return this;
    }

    /**
     * 设置 开始 网点ID
     * @param branchIdStart
     */
    public ConvergeDeviceQuery branchIdStart(Long branchIdStart){
        this.branchIdStart = branchIdStart;
        return this;
    }

    /**
     * 设置 结束 网点ID
     * @param branchIdEnd
     */
    public ConvergeDeviceQuery branchIdEnd(Long branchIdEnd){
        this.branchIdEnd = branchIdEnd;
        return this;
    }

    /**
     * 设置 增加 网点ID
     * @param branchIdIncrement
     */
    public ConvergeDeviceQuery branchIdIncrement(Long branchIdIncrement){
        this.branchIdIncrement = branchIdIncrement;
        return this;
    }

    /**
     * 设置 网点ID
     * @param branchIdList
     */
    public ConvergeDeviceQuery branchIdList(List<Long> branchIdList){
        this.branchIdList = branchIdList;
        return this;
    }

    /**
     * 设置 网点ID
     * @param branchIdNotList
     */
    public ConvergeDeviceQuery branchIdNotList(List<Long> branchIdNotList){
        this.branchIdNotList = branchIdNotList;
        return this;
    }


    /**
     * 设置 设备名称
     * @param equipmentName
     */
    public ConvergeDeviceQuery equipmentName(String equipmentName){
        setEquipmentName(equipmentName);
        return this;
    }

    /**
     * 设置 设备名称
     * @param equipmentNameList
     */
    public ConvergeDeviceQuery equipmentNameList(List<String> equipmentNameList){
        this.equipmentNameList = equipmentNameList;
        return this;
    }


    /**
     * 设置 设备系统类型
     * @param systemName
     */
    public ConvergeDeviceQuery systemName(String systemName){
        setSystemName(systemName);
        return this;
    }

    /**
     * 设置 设备系统类型
     * @param systemNameList
     */
    public ConvergeDeviceQuery systemNameList(List<String> systemNameList){
        this.systemNameList = systemNameList;
        return this;
    }


    /**
     * 设置 设备标识，具有唯一性
     * @param logo
     */
    public ConvergeDeviceQuery logo(String logo){
        setLogo(logo);
        return this;
    }

    /**
     * 设置 设备标识，具有唯一性
     * @param logoList
     */
    public ConvergeDeviceQuery logoList(List<String> logoList){
        this.logoList = logoList;
        return this;
    }


    /**
     * 设置 设备所属行业
     * @param industry
     */
    public ConvergeDeviceQuery industry(String industry){
        setIndustry(industry);
        return this;
    }

    /**
     * 设置 设备所属行业
     * @param industryList
     */
    public ConvergeDeviceQuery industryList(List<String> industryList){
        this.industryList = industryList;
        return this;
    }


    /**
     * 设置 设备运行状态
     * @param isAbnormal
     */
    public ConvergeDeviceQuery isAbnormal(String isAbnormal){
        setIsAbnormal(isAbnormal);
        return this;
    }

    /**
     * 设置 设备运行状态
     * @param isAbnormalList
     */
    public ConvergeDeviceQuery isAbnormalList(List<String> isAbnormalList){
        this.isAbnormalList = isAbnormalList;
        return this;
    }


    /**
     * 设置 操作类型
     * @param opr
     */
    public ConvergeDeviceQuery opr(String opr){
        setOpr(opr);
        return this;
    }

    /**
     * 设置 操作类型
     * @param oprList
     */
    public ConvergeDeviceQuery oprList(List<String> oprList){
        this.oprList = oprList;
        return this;
    }

    /**
     * 设置  站点id
     * @param siteId
     */
    public ConvergeDeviceQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public ConvergeDeviceQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public ConvergeDeviceQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public ConvergeDeviceQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public ConvergeDeviceQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public ConvergeDeviceQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<ConvergeDeviceQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<ConvergeDeviceQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<ConvergeDeviceQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<ConvergeDeviceQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}