package com.mortals.xhx.module.converge.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.converge.model.vo.ConvergeSiteVo;
import lombok.Data;
/**
 * 网点信息实体对象
 *
 * @author zxfei
 * @date 2023-06-12
 */
@Data
public class ConvergeSiteEntity extends ConvergeSiteVo {
    private static final long serialVersionUID = 1L;

    /**
     * 网点名称
     */
    private String branchName;
    /**
     * 网点标识
     */
    private String branchLogo;
    /**
     * 网点服务状态，正常Y异常N
     */
    private String status;
    /**
     * 网点服务时间
     */
    private String serverTime;
    /**
     * 网点咨询电话
     */
    private String consultPhone;
    /**
     * 网点类型
     */
    private String branchStyle;
    /**
     * 网点地址
     */
    private String address;
    /**
     * 操作类型
     */
    private String opr;
    /**
     * 站点id
     */
    private Long siteId;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ConvergeSiteEntity) {
            ConvergeSiteEntity tmp = (ConvergeSiteEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

        this.branchName = "";

        this.branchLogo = "";

        this.status = "";

        this.serverTime = "";

        this.consultPhone = "";

        this.branchStyle = "";

        this.address = "";

        this.opr = "";

        this.siteId = -1L;
    }
}