package com.mortals.xhx.module.converge.model;

import java.util.List;
import com.mortals.xhx.module.converge.model.ConvergeSiteEntity;
/**
 * 网点信息查询对象
 *
 * @author zxfei
 * @date 2023-06-12
 */
public class ConvergeSiteQuery extends ConvergeSiteEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 网点名称 */
    private List<String> branchNameList;

    /** 网点名称排除列表 */
    private List <String> branchNameNotList;
    /** 网点标识 */
    private List<String> branchLogoList;

    /** 网点标识排除列表 */
    private List <String> branchLogoNotList;
    /** 网点服务状态，正常Y异常N */
    private List<String> statusList;

    /** 网点服务状态，正常Y异常N排除列表 */
    private List <String> statusNotList;
    /** 网点服务时间 */
    private List<String> serverTimeList;

    /** 网点服务时间排除列表 */
    private List <String> serverTimeNotList;
    /** 网点咨询电话 */
    private List<String> consultPhoneList;

    /** 网点咨询电话排除列表 */
    private List <String> consultPhoneNotList;
    /** 网点类型 */
    private List<String> branchStyleList;

    /** 网点类型排除列表 */
    private List <String> branchStyleNotList;
    /** 网点地址 */
    private List<String> addressList;

    /** 网点地址排除列表 */
    private List <String> addressNotList;
    /** 操作类型 */
    private List<String> oprList;

    /** 操作类型排除列表 */
    private List <String> oprNotList;
    /** 开始 站点id */
    private Long siteIdStart;

    /** 结束 站点id */
    private Long siteIdEnd;

    /** 增加 站点id */
    private Long siteIdIncrement;

    /** 站点id列表 */
    private List <Long> siteIdList;

    /** 站点id排除列表 */
    private List <Long> siteIdNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ConvergeSiteQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ConvergeSiteQuery> andConditionList;

    public ConvergeSiteQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 网点名称
     * @return branchNameList
     */
    public List<String> getBranchNameList(){
        return this.branchNameList;
    }

    /**
     * 设置 网点名称
     * @param branchNameList
     */
    public void setBranchNameList(List<String> branchNameList){
        this.branchNameList = branchNameList;
    }

    /**
     * 获取 网点名称
     * @return branchNameNotList
     */
    public List<String> getBranchNameNotList(){
        return this.branchNameNotList;
    }

    /**
     * 设置 网点名称
     * @param branchNameNotList
     */
    public void setBranchNameNotList(List<String> branchNameNotList){
        this.branchNameNotList = branchNameNotList;
    }

    /**
     * 获取 网点标识
     * @return branchLogoList
     */
    public List<String> getBranchLogoList(){
        return this.branchLogoList;
    }

    /**
     * 设置 网点标识
     * @param branchLogoList
     */
    public void setBranchLogoList(List<String> branchLogoList){
        this.branchLogoList = branchLogoList;
    }

    /**
     * 获取 网点标识
     * @return branchLogoNotList
     */
    public List<String> getBranchLogoNotList(){
        return this.branchLogoNotList;
    }

    /**
     * 设置 网点标识
     * @param branchLogoNotList
     */
    public void setBranchLogoNotList(List<String> branchLogoNotList){
        this.branchLogoNotList = branchLogoNotList;
    }

    /**
     * 获取 网点服务状态，正常Y异常N
     * @return statusList
     */
    public List<String> getStatusList(){
        return this.statusList;
    }

    /**
     * 设置 网点服务状态，正常Y异常N
     * @param statusList
     */
    public void setStatusList(List<String> statusList){
        this.statusList = statusList;
    }

    /**
     * 获取 网点服务状态，正常Y异常N
     * @return statusNotList
     */
    public List<String> getStatusNotList(){
        return this.statusNotList;
    }

    /**
     * 设置 网点服务状态，正常Y异常N
     * @param statusNotList
     */
    public void setStatusNotList(List<String> statusNotList){
        this.statusNotList = statusNotList;
    }

    /**
     * 获取 网点服务时间
     * @return serverTimeList
     */
    public List<String> getServerTimeList(){
        return this.serverTimeList;
    }

    /**
     * 设置 网点服务时间
     * @param serverTimeList
     */
    public void setServerTimeList(List<String> serverTimeList){
        this.serverTimeList = serverTimeList;
    }

    /**
     * 获取 网点服务时间
     * @return serverTimeNotList
     */
    public List<String> getServerTimeNotList(){
        return this.serverTimeNotList;
    }

    /**
     * 设置 网点服务时间
     * @param serverTimeNotList
     */
    public void setServerTimeNotList(List<String> serverTimeNotList){
        this.serverTimeNotList = serverTimeNotList;
    }

    /**
     * 获取 网点咨询电话
     * @return consultPhoneList
     */
    public List<String> getConsultPhoneList(){
        return this.consultPhoneList;
    }

    /**
     * 设置 网点咨询电话
     * @param consultPhoneList
     */
    public void setConsultPhoneList(List<String> consultPhoneList){
        this.consultPhoneList = consultPhoneList;
    }

    /**
     * 获取 网点咨询电话
     * @return consultPhoneNotList
     */
    public List<String> getConsultPhoneNotList(){
        return this.consultPhoneNotList;
    }

    /**
     * 设置 网点咨询电话
     * @param consultPhoneNotList
     */
    public void setConsultPhoneNotList(List<String> consultPhoneNotList){
        this.consultPhoneNotList = consultPhoneNotList;
    }

    /**
     * 获取 网点类型
     * @return branchStyleList
     */
    public List<String> getBranchStyleList(){
        return this.branchStyleList;
    }

    /**
     * 设置 网点类型
     * @param branchStyleList
     */
    public void setBranchStyleList(List<String> branchStyleList){
        this.branchStyleList = branchStyleList;
    }

    /**
     * 获取 网点类型
     * @return branchStyleNotList
     */
    public List<String> getBranchStyleNotList(){
        return this.branchStyleNotList;
    }

    /**
     * 设置 网点类型
     * @param branchStyleNotList
     */
    public void setBranchStyleNotList(List<String> branchStyleNotList){
        this.branchStyleNotList = branchStyleNotList;
    }

    /**
     * 获取 网点地址
     * @return addressList
     */
    public List<String> getAddressList(){
        return this.addressList;
    }

    /**
     * 设置 网点地址
     * @param addressList
     */
    public void setAddressList(List<String> addressList){
        this.addressList = addressList;
    }

    /**
     * 获取 网点地址
     * @return addressNotList
     */
    public List<String> getAddressNotList(){
        return this.addressNotList;
    }

    /**
     * 设置 网点地址
     * @param addressNotList
     */
    public void setAddressNotList(List<String> addressNotList){
        this.addressNotList = addressNotList;
    }

    /**
     * 获取 操作类型
     * @return oprList
     */
    public List<String> getOprList(){
        return this.oprList;
    }

    /**
     * 设置 操作类型
     * @param oprList
     */
    public void setOprList(List<String> oprList){
        this.oprList = oprList;
    }

    /**
     * 获取 操作类型
     * @return oprNotList
     */
    public List<String> getOprNotList(){
        return this.oprNotList;
    }

    /**
     * 设置 操作类型
     * @param oprNotList
     */
    public void setOprNotList(List<String> oprNotList){
        this.oprNotList = oprNotList;
    }

    /**
     * 获取 开始 站点id
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点id
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点id
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点id
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点id
     * @return siteIdNotList
     */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public ConvergeSiteQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public ConvergeSiteQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public ConvergeSiteQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public ConvergeSiteQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public ConvergeSiteQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public ConvergeSiteQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }


    /**
     * 设置 网点名称
     * @param branchName
     */
    public ConvergeSiteQuery branchName(String branchName){
        setBranchName(branchName);
        return this;
    }

    /**
     * 设置 网点名称
     * @param branchNameList
     */
    public ConvergeSiteQuery branchNameList(List<String> branchNameList){
        this.branchNameList = branchNameList;
        return this;
    }


    /**
     * 设置 网点标识
     * @param branchLogo
     */
    public ConvergeSiteQuery branchLogo(String branchLogo){
        setBranchLogo(branchLogo);
        return this;
    }

    /**
     * 设置 网点标识
     * @param branchLogoList
     */
    public ConvergeSiteQuery branchLogoList(List<String> branchLogoList){
        this.branchLogoList = branchLogoList;
        return this;
    }


    /**
     * 设置 网点服务状态，正常Y异常N
     * @param status
     */
    public ConvergeSiteQuery status(String status){
        setStatus(status);
        return this;
    }

    /**
     * 设置 网点服务状态，正常Y异常N
     * @param statusList
     */
    public ConvergeSiteQuery statusList(List<String> statusList){
        this.statusList = statusList;
        return this;
    }


    /**
     * 设置 网点服务时间
     * @param serverTime
     */
    public ConvergeSiteQuery serverTime(String serverTime){
        setServerTime(serverTime);
        return this;
    }

    /**
     * 设置 网点服务时间
     * @param serverTimeList
     */
    public ConvergeSiteQuery serverTimeList(List<String> serverTimeList){
        this.serverTimeList = serverTimeList;
        return this;
    }


    /**
     * 设置 网点咨询电话
     * @param consultPhone
     */
    public ConvergeSiteQuery consultPhone(String consultPhone){
        setConsultPhone(consultPhone);
        return this;
    }

    /**
     * 设置 网点咨询电话
     * @param consultPhoneList
     */
    public ConvergeSiteQuery consultPhoneList(List<String> consultPhoneList){
        this.consultPhoneList = consultPhoneList;
        return this;
    }


    /**
     * 设置 网点类型
     * @param branchStyle
     */
    public ConvergeSiteQuery branchStyle(String branchStyle){
        setBranchStyle(branchStyle);
        return this;
    }

    /**
     * 设置 网点类型
     * @param branchStyleList
     */
    public ConvergeSiteQuery branchStyleList(List<String> branchStyleList){
        this.branchStyleList = branchStyleList;
        return this;
    }


    /**
     * 设置 网点地址
     * @param address
     */
    public ConvergeSiteQuery address(String address){
        setAddress(address);
        return this;
    }

    /**
     * 设置 网点地址
     * @param addressList
     */
    public ConvergeSiteQuery addressList(List<String> addressList){
        this.addressList = addressList;
        return this;
    }


    /**
     * 设置 操作类型
     * @param opr
     */
    public ConvergeSiteQuery opr(String opr){
        setOpr(opr);
        return this;
    }

    /**
     * 设置 操作类型
     * @param oprList
     */
    public ConvergeSiteQuery oprList(List<String> oprList){
        this.oprList = oprList;
        return this;
    }

    /**
     * 设置  站点id
     * @param siteId
     */
    public ConvergeSiteQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点id
     * @param siteIdStart
     */
    public ConvergeSiteQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点id
     * @param siteIdEnd
     */
    public ConvergeSiteQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点id
     * @param siteIdIncrement
     */
    public ConvergeSiteQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdList
     */
    public ConvergeSiteQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置 站点id
     * @param siteIdNotList
     */
    public ConvergeSiteQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<ConvergeSiteQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<ConvergeSiteQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<ConvergeSiteQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<ConvergeSiteQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}