package com.mortals.xhx.module.converge.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.converge.model.ConvergeAppsAccessEntity;
import com.mortals.xhx.module.converge.dao.ConvergeAppsAccessDao;
import com.mortals.xhx.module.converge.model.vo.AppsAccessVo;

import java.util.List;
import java.util.Map;

/**
* ConvergeAppsAccessService
*
* 应用访问 service接口
*
* @author zxfei
* @date 2023-07-03
*/
public interface ConvergeAppsAccessService extends ICRUDService<ConvergeAppsAccessEntity,Long>{

    ConvergeAppsAccessDao getDao();

    /**
     * 应用浏览量PV统计
     * @return
     */
    List<AppsAccessVo> getAppsAccessPv(Map<String,String> condition) throws AppException;

    /**
     * 应用浏览量UV统计
     * @return
     */
    List<AppsAccessVo> getAppsAccessUv(Map<String,String> condition) throws AppException;
}