package com.mortals.xhx.module.converge.service.impl;
import com.mortals.xhx.module.converge.model.ConvergeAppsInterfaceEntity;
import com.mortals.xhx.module.converge.model.vo.AppsAccessVo;
import com.mortals.xhx.module.converge.service.ConvergeAppsInterfaceService;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.converge.dao.ConvergeAppsAccessDao;
import com.mortals.xhx.module.converge.model.ConvergeAppsAccessEntity;
import com.mortals.xhx.module.converge.service.ConvergeAppsAccessService;
import lombok.extern.slf4j.Slf4j;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
* ConvergeAppsAccessService
* 应用访问 service实现
*
* @author zxfei
* @date 2023-07-03
*/
@Service("convergeAppsAccessService")
@Slf4j
public class ConvergeAppsAccessServiceImpl extends AbstractCRUDServiceImpl<ConvergeAppsAccessDao, ConvergeAppsAccessEntity, Long> implements ConvergeAppsAccessService {

    @Autowired
    private ConvergeAppsInterfaceService convergeAppsInterfaceService;

    @Override
    public List<AppsAccessVo> getAppsAccessPv(Map<String,String> condition) throws AppException {
        return dao.getAppsAccessPv(condition);
    }

    @Override
    public List<AppsAccessVo> getAppsAccessUv(Map<String,String> condition) throws AppException {
        return dao.getAppsAccessUv(condition);
    }

    @Override
    protected void saveAfter(ConvergeAppsAccessEntity entity, Context context) throws AppException {
        super.saveAfter(entity,context);
        if(CollectionUtils.isNotEmpty(entity.getInterfaceList())){
            for(ConvergeAppsInterfaceEntity item:entity.getInterfaceList()){
                item.setApplicationId(entity.getApplicationId());
                item.setEcode(entity.getEcode());
                item.setCreateTime(new Date());
                if(item.getTotalInvokeSum()==null ||item.getTotalInvokeSum()==0){
                    item.setTotalInvokeSum(1);
                }
            }
            convergeAppsInterfaceService.save(entity.getInterfaceList());
        }
    }

}