package com.mortals.xhx.module.converge.web;
import com.alibaba.fastjson.JSONArray;
import com.mortals.framework.annotation.RepeatSubmit;
import com.mortals.framework.annotation.UnAuth;
import com.mortals.framework.model.BaseEntity;
import com.mortals.framework.service.IUser;
import com.mortals.framework.util.DataUtil;
import com.mortals.framework.util.DateUtils;
import com.mortals.framework.utils.BeanUtil;
import com.mortals.framework.utils.ReflectUtils;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.converge.model.ConvergeAppsInterfaceEntity;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.converge.model.ConvergeAppsAccessEntity;
import com.mortals.xhx.module.converge.service.ConvergeAppsAccessService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;

import java.util.*;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 应用访问
*
* @author zxfei
* @date 2023-07-03
*/
@RestController
@RequestMapping("converge/apps/access")
public class ConvergeAppsAccessController extends BaseCRUDJsonBodyMappingController<ConvergeAppsAccessService,ConvergeAppsAccessEntity,Long> {

    @Autowired
    private ParamService paramService;

    public ConvergeAppsAccessController(){
        super.setModuleDesc( "应用访问");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        super.init(model, context);
    }


    @Override
    @PostMapping({"save"})
    @UnAuth
    public String save(@RequestBody ConvergeAppsAccessEntity entity) {
        Map<String, Object> model = new HashMap();
        Context context = this.getContext();
        int code = 1;
        String busiDesc = "保存" + this.getModuleDesc();

        try {
            this.saveBefore(entity, model, context);
            if (entity.newEntity()) {
                Class<ConvergeAppsAccessEntity> tClass = ReflectUtils.getClassGenricType(this.getClass(), 1);
                ConvergeAppsAccessEntity initEntity = (ConvergeAppsAccessEntity)tClass.newInstance();
                initEntity.initAttrValue();
                BeanUtils.copyProperties(entity, initEntity, BeanUtil.getNullPropertyNames(entity));
                entity = initEntity;
                busiDesc = "新增" + this.getModuleDesc();
                initEntity.setCreateTime(new Date());
                IUser user = this.getCurUser();
                if (user != null) {
                    initEntity.setCreateUserId(user.getId());
                    initEntity.setCreateUser(user.getLoginName());
                    initEntity.setCreateUserName(user.getRealName());
                    initEntity.setCreateUserDeptId(user.getDeptId());
                    initEntity.setCreateUserDeptName(user.getDeptName());
                }

                this.service.save(initEntity, context);
            } else {
                busiDesc = "修改" + this.getModuleDesc();
                entity.setUpdateTime(new Date());
                IUser user = this.getCurUser();
                if (user != null) {
                    entity.setUpdateUserId(user.getId());
                    entity.setUpdateUser(user.getLoginName());
                    entity.setUpdateUserName(user.getRealName());
                    entity.setUpdateUserDeptId(user.getDeptId());
                    entity.setUpdateUserDeptName(user.getDeptName());
                }

                this.service.update(entity, context);
            }

            model.put("id", entity.getId());
            code = this.saveAfter(entity, model, context);
            model.put("entity", entity);
            model.put("message_info", busiDesc + "成功");
            this.recordSysLog(this.request, busiDesc + " 【成功】 [id:" + entity.getId() + "]");
        } catch (Exception var9) {
            this.doException(this.request, busiDesc, model, var9);
            model.put("entity", entity);
            this.init(model, context);
            code = this.saveException(entity, model, context, var9);
        }

        this.init(model, context);
        JSONObject ret = new JSONObject();
        ret.put("code", code);
        ret.put("msg", model.remove("message_info"));
        ret.put("data", model);
        return ret.toJSONString();
    }

    @GetMapping({"bury"})
    @UnAuth
    public String bury(HttpServletRequest request, HttpServletResponse response) {
        Map<String, Object> model = new HashMap();
        Context context = this.getContext();
        int code = 1;
        String busiDesc = "保存" + this.getModuleDesc();
        ConvergeAppsAccessEntity entity = new ConvergeAppsAccessEntity();
        entity.setSiteId(DataUtil.converStr2Long(request.getParameter("siteId"),0l));
        entity.setApplicationId(request.getParameter("applicationId"));
        entity.setApplicationName(request.getParameter("applicationName"));
        if(StringUtils.isNotEmpty(request.getParameter("startTime"))) {
            entity.setStartTime(DateUtils.StrToDateTime(request.getParameter("startTime")));
        }
        if(StringUtils.isNotEmpty(request.getParameter("endTime"))) {
            entity.setEndTime(DateUtils.StrToDateTime(request.getParameter("endTime")));
        }
        entity.setChannelId(request.getParameter("channelId"));
        entity.setChannelName(request.getParameter("channelName"));
        entity.setLocation(request.getParameter("location"));
        entity.setClientName(request.getParameter("clientName"));
        entity.setVersion(request.getParameter("version"));
        entity.setEcode(request.getParameter("ecode"));
        entity.setAppSimpleName(request.getParameter("appSimpleName"));
        entity.setProvider(request.getParameter("provider"));
        entity.setOrigin(request.getParameter("origin"));
        String interfaceStats = request.getParameter("interfaceStats");
        try {
            List<ConvergeAppsInterfaceEntity> interfaceList = JSONArray.parseArray(interfaceStats,ConvergeAppsInterfaceEntity.class);
            entity.setInterfaceList(interfaceList);
        }catch (Exception e){

        }
        try {
            this.saveBefore(entity, model, context);
            if (entity.newEntity()) {
                Class<ConvergeAppsAccessEntity> tClass = ReflectUtils.getClassGenricType(this.getClass(), 1);
                ConvergeAppsAccessEntity initEntity = (ConvergeAppsAccessEntity)tClass.newInstance();
                initEntity.initAttrValue();
                BeanUtils.copyProperties(entity, initEntity, BeanUtil.getNullPropertyNames(entity));
                entity = initEntity;
                busiDesc = "新增" + this.getModuleDesc();
                initEntity.setCreateTime(new Date());
                IUser user = this.getCurUser();
                if (user != null) {
                    initEntity.setCreateUserId(user.getId());
                    initEntity.setCreateUser(user.getLoginName());
                    initEntity.setCreateUserName(user.getRealName());
                    initEntity.setCreateUserDeptId(user.getDeptId());
                    initEntity.setCreateUserDeptName(user.getDeptName());
                }

                this.service.save(initEntity, context);
            }
            model.put("id", entity.getId());
            code = this.saveAfter(entity, model, context);
            model.put("entity", entity);
            model.put("message_info", busiDesc + "成功");
            this.recordSysLog(this.request, busiDesc + " 【成功】 [id:" + entity.getId() + "]");
        } catch (Exception var9) {
            this.doException(this.request, busiDesc, model, var9);
            model.put("entity", entity);
            this.init(model, context);
            code = this.saveException(entity, model, context, var9);
        }

        this.init(model, context);
        JSONObject ret = new JSONObject();
        ret.put("code", code);
        ret.put("msg", model.remove("message_info"));
        ret.put("data", model);
        return ret.toJSONString();
    }
}