package com.mortals.xhx.module.converge.web;
import com.mortals.framework.annotation.UnAuth;
import com.mortals.framework.common.Rest;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.framework.util.DateUtils;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.converge.model.vo.BranchVO;
import com.mortals.xhx.module.converge.service.ConvergeAppsService;
import com.mortals.xhx.module.converge.service.ConvergeDeviceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.converge.model.ConvergeSiteEntity;
import com.mortals.xhx.module.converge.service.ConvergeSiteService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;

import java.text.SimpleDateFormat;
import java.util.*;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 网点信息
*
* @author zxfei
* @date 2023-06-12
*/
@RestController
@RequestMapping("converge/site")
public class ConvergeSiteController extends BaseCRUDJsonBodyMappingController<ConvergeSiteService,ConvergeSiteEntity,Long> {

    @Autowired
    private ParamService paramService;
    @Autowired
    private ConvergeDeviceService convergeDeviceService;
    @Autowired
    private ConvergeAppsService convergeAppsService;

    public ConvergeSiteController(){
        super.setModuleDesc( "网点信息");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        super.init(model, context);
    }

    @RequestMapping(
            value = {"data"},
            method = {RequestMethod.POST, RequestMethod.GET}
    )
    @UnAuth
    public String getConvergeData() {
        Rest<Object> ret = new Rest();
        Map<String, Object> model = new HashMap();
        Context context = this.getContext();
        String busiDesc = "查询汇聚结果";

        int code = 1;
        try {
            List<BranchVO> result = this.getService().getConvergeData();
            model.put("data", result);
            model.put("message_info", busiDesc + "成功");
            this.recordSysLog(this.request, busiDesc + " 【成功】");
        } catch (Exception var9) {
            code = -1;
            this.doException(this.request, busiDesc, model, var9);
        }

        this.init(model, context);
        ret.setCode(code);
        ret.setData(model);
        ret.setDict(model.get("dict"));
        ret.setMsg(model.get("message_info") == null ? "" : model.remove("message_info").toString());
        if(model.get("data")==null){
            model.put("data", Collections.emptyList());
        }
        return JSONObject.toJSONString(model.get("data"));
    }

    @Override
    protected void doListBefore(ConvergeSiteEntity query, Map<String, Object> model, Context context) throws AppException {
        log.info("开始执行省平台数据汇聚任务...");
        try {
            this.service.doConvergeSite();

        }catch (Exception e){
            log.error("汇聚网点数据执行出错",e);
        }
        try {
            convergeDeviceService.doConvergeDevice();

        }catch (Exception e){
            log.error("汇聚设备数据出错",e);
        }
        try {
            SimpleDateFormat format=new SimpleDateFormat("yyyy-MM-dd");
            Calendar calendar=Calendar.getInstance();
            calendar.set(Calendar.DAY_OF_MONTH, 1);
            String startTime = format.format(calendar.getTime());
            calendar.set(Calendar.DAY_OF_MONTH, calendar.getActualMaximum(Calendar.DAY_OF_MONTH));
            String endTime = format.format(calendar.getTime());
            Map<String,String> condition = new HashMap<>();
            condition.put("startTime",startTime);
            condition.put("endTime",endTime);
            convergeAppsService.doConvergeApps(condition);

        }catch (Exception e){
            log.error("汇聚应用数据出错",e);
        }
        log.info("省平台数据汇聚任务执行完成");
    }
}