package com.mortals.xhx.module.matter.dao.ibatis;


import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.ParamDto;
import com.mortals.framework.model.Result;
import com.mortals.framework.util.StringUtils;
import com.mortals.xhx.module.matter.model.vo.MatterApplyGroupVo;
import org.apache.ibatis.session.RowBounds;
import org.springframework.stereotype.Repository;
import com.mortals.xhx.module.matter.dao.MatterApplyDao;
import com.mortals.xhx.module.matter.model.MatterApplyEntity;

import java.util.ArrayList;
import java.util.Date;
import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import java.util.List;
/**
* 申报事项DaoImpl DAO接口
*
* @author zxfei
* @date 2023-04-07
*/
@Repository("matterApplyDao")
public class MatterApplyDaoImpl extends BaseCRUDDaoMybatis<MatterApplyEntity,Long> implements MatterApplyDao {


    @Override
    public Result<MatterApplyGroupVo> getDeptGroupList(MatterApplyEntity params, PageInfo pageInfo) {
        String sqlId = "getDeptGroupList";
        ParamDto paramDto = this.getQueryParam(params);
        Result result = new Result();
        List list = null;
        int count = this.getCount(paramDto, sqlId + "Count");
        if (count == 0) {
            list = new ArrayList();
        } else if (pageInfo.getPrePageResult() == -1) {
            list = this.getSqlSession().selectList(this.getSqlId(sqlId), paramDto);
        } else {
            if (pageInfo.getBeginIndex() > count) {
                pageInfo.setCurrPage(1);
            }

            RowBounds rowBounds = new RowBounds(pageInfo.getBeginIndex(), pageInfo.getPrePageResult());
            list = this.getSqlSession().selectList(this.getSqlId(sqlId), this.cpyQueryParamDto(paramDto), rowBounds);
        }

        pageInfo.setTotalResult(count);
        result.setPageInfo(pageInfo);
        result.setList((List)list);
        return result;
    }

    @Override
    public Result<MatterApplyGroupVo> getThemeGroupList(MatterApplyEntity params, PageInfo pageInfo) {
        String sqlId = "getThemeGroupList";
        ParamDto paramDto = this.getQueryParam(params);
        Result result = new Result();
        List list = null;
        int count = this.getCount(paramDto, sqlId + "Count");
        if (count == 0) {
            list = new ArrayList();
        } else if (pageInfo.getPrePageResult() == -1) {
            list = this.getSqlSession().selectList(this.getSqlId(sqlId), paramDto);
        } else {
            if (pageInfo.getBeginIndex() > count) {
                pageInfo.setCurrPage(1);
            }

            RowBounds rowBounds = new RowBounds(pageInfo.getBeginIndex(), pageInfo.getPrePageResult());
            list = this.getSqlSession().selectList(this.getSqlId(sqlId), this.cpyQueryParamDto(paramDto), rowBounds);
        }

        pageInfo.setTotalResult(count);
        result.setPageInfo(pageInfo);
        result.setList((List)list);
        return result;
    }


}
