package com.mortals.xhx.module.matter.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.matter.model.vo.DatumLibraryVo;
/**
 * 站点材料公共库实体对象
 *
 * @author zxfei
 * @date 2023-04-11
 */

public class DatumLibraryEntity extends DatumLibraryVo {
    private static final long serialVersionUID = 1L;

    /**
     * 站点id
     */
    private Long siteId;
    /**
     * 站点名称
     */
    private String siteName;
    /**
     * 材料id
     */
    private Long datumId;
    /**
     * 材料简称
     */
    private String shortName;
    /**
     * 材料全称
     */
    private String fullName;
    /**
     * 是否必要0不选1必要2非必要
     */
    private Integer needType;
    /**
     * 材料形式0不选1纸质2电子3纸质-电子
     */
    private Integer datumType;
    /**
     * 提交原件0不需要1需要
     */
    private Integer needOriginal;
    /**
     * 使用方式（1.拍照上传，2.在线填写)
     */
    private Integer uselType;
    /**
     * 是否推荐（0否1是）
     */
    private Integer suggest;
    /**
     * 填写次数
     */
    private Integer fillSum;



    public DatumLibraryEntity(){}
    /**
     * 获取 站点id
     * @return Long
     */
    public Long getSiteId(){
        return siteId;
    }
    /**
     * 设置 站点id
     * @param siteId
     */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
     * 获取 站点名称
     * @return String
     */
    public String getSiteName(){
        return siteName;
    }
    /**
     * 设置 站点名称
     * @param siteName
     */
    public void setSiteName(String siteName){
        this.siteName = siteName;
    }
    /**
     * 获取 材料id
     * @return Long
     */
    public Long getDatumId(){
        return datumId;
    }
    /**
     * 设置 材料id
     * @param datumId
     */
    public void setDatumId(Long datumId){
        this.datumId = datumId;
    }
    /**
     * 获取 材料简称
     * @return String
     */
    public String getShortName(){
        return shortName;
    }
    /**
     * 设置 材料简称
     * @param shortName
     */
    public void setShortName(String shortName){
        this.shortName = shortName;
    }
    /**
     * 获取 材料全称
     * @return String
     */
    public String getFullName(){
        return fullName;
    }
    /**
     * 设置 材料全称
     * @param fullName
     */
    public void setFullName(String fullName){
        this.fullName = fullName;
    }
    /**
     * 获取 是否必要0不选1必要2非必要
     * @return Integer
     */
    public Integer getNeedType(){
        return needType;
    }
    /**
     * 设置 是否必要0不选1必要2非必要
     * @param needType
     */
    public void setNeedType(Integer needType){
        this.needType = needType;
    }
    /**
     * 获取 材料形式0不选1纸质2电子3纸质-电子
     * @return Integer
     */
    public Integer getDatumType(){
        return datumType;
    }
    /**
     * 设置 材料形式0不选1纸质2电子3纸质-电子
     * @param datumType
     */
    public void setDatumType(Integer datumType){
        this.datumType = datumType;
    }
    /**
     * 获取 提交原件0不需要1需要
     * @return Integer
     */
    public Integer getNeedOriginal(){
        return needOriginal;
    }
    /**
     * 设置 提交原件0不需要1需要
     * @param needOriginal
     */
    public void setNeedOriginal(Integer needOriginal){
        this.needOriginal = needOriginal;
    }
    /**
     * 获取 使用方式（1.拍照上传，2.在线填写)
     * @return Integer
     */
    public Integer getUselType(){
        return uselType;
    }
    /**
     * 设置 使用方式（1.拍照上传，2.在线填写)
     * @param uselType
     */
    public void setUselType(Integer uselType){
        this.uselType = uselType;
    }
    /**
     * 获取 是否推荐（0否1是）
     * @return Integer
     */
    public Integer getSuggest(){
        return suggest;
    }
    /**
     * 设置 是否推荐（0否1是）
     * @param suggest
     */
    public void setSuggest(Integer suggest){
        this.suggest = suggest;
    }
    /**
     * 获取 填写次数
     * @return Integer
     */
    public Integer getFillSum(){
        return fillSum;
    }
    /**
     * 设置 填写次数
     * @param fillSum
     */
    public void setFillSum(Integer fillSum){
        this.fillSum = fillSum;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DatumLibraryEntity) {
            DatumLibraryEntity tmp = (DatumLibraryEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",siteId:").append(getSiteId());
        sb.append(",siteName:").append(getSiteName());
        sb.append(",datumId:").append(getDatumId());
        sb.append(",shortName:").append(getShortName());
        sb.append(",fullName:").append(getFullName());
        sb.append(",needType:").append(getNeedType());
        sb.append(",datumType:").append(getDatumType());
        sb.append(",needOriginal:").append(getNeedOriginal());
        sb.append(",uselType:").append(getUselType());
        sb.append(",suggest:").append(getSuggest());
        sb.append(",fillSum:").append(getFillSum());
        return sb.toString();
    }

    public void initAttrValue(){

        this.siteId = null;

        this.siteName = "";

        this.datumId = null;

        this.shortName = "";

        this.fullName = "";

        this.needType = 0;

        this.datumType = 0;

        this.needOriginal = 0;

        this.uselType = 1;

        this.suggest = 0;

        this.fillSum = 1;
    }
}