package com.mortals.xhx.module.matter.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.matter.model.vo.MatterApplyVo;
/**
 * 申报事项实体对象
 *
 * @author zxfei
 * @date 2023-04-10
 */

public class MatterApplyEntity extends MatterApplyVo {
    private static final long serialVersionUID = 1L;

    /**
     * 站点id
     */
    private Long siteId;
    /**
     * 站点名称
     */
    private String siteName;
    /**
     * 站点事项id
     */
    private Long siteMatterId;
    /**
     * 基础事项ID
     */
    private Long matterId;
    /**
     * 事项名称
     */
    private String matterName;
    /**
     * 事项编码
     */
    private String matterCode;
    /**
     * 部门ID
     */
    private Long deptId;
    /**
     * 部门名称
     */
    private String deptName;
    /**
     * 部门编码
     */
    private String deptCode;
    /**
     * 事项主题编码
     */
    private String themeCode;
    /**
     * 事项主题名称
     */
    private String themeName;
    /**
     * 事项来源
     */
    private Integer source;
    /**
     * 申报次数
     */
    private Integer reportCount;
    /**
     * 材料数量
     */
    private Integer datumCount;
    /**
     * 政务网地址
     */
    private String govUrl;



    public MatterApplyEntity(){}
    /**
     * 获取 站点id
     * @return Long
     */
    public Long getSiteId(){
        return siteId;
    }
    /**
     * 设置 站点id
     * @param siteId
     */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
     * 获取 站点名称
     * @return String
     */
    public String getSiteName(){
        return siteName;
    }
    /**
     * 设置 站点名称
     * @param siteName
     */
    public void setSiteName(String siteName){
        this.siteName = siteName;
    }
    /**
     * 获取 站点事项id
     * @return Long
     */
    public Long getSiteMatterId(){
        return siteMatterId;
    }
    /**
     * 设置 站点事项id
     * @param siteMatterId
     */
    public void setSiteMatterId(Long siteMatterId){
        this.siteMatterId = siteMatterId;
    }
    /**
     * 获取 基础事项ID
     * @return Long
     */
    public Long getMatterId(){
        return matterId;
    }
    /**
     * 设置 基础事项ID
     * @param matterId
     */
    public void setMatterId(Long matterId){
        this.matterId = matterId;
    }
    /**
     * 获取 事项名称
     * @return String
     */
    public String getMatterName(){
        return matterName;
    }
    /**
     * 设置 事项名称
     * @param matterName
     */
    public void setMatterName(String matterName){
        this.matterName = matterName;
    }
    /**
     * 获取 事项编码
     * @return String
     */
    public String getMatterCode(){
        return matterCode;
    }
    /**
     * 设置 事项编码
     * @param matterCode
     */
    public void setMatterCode(String matterCode){
        this.matterCode = matterCode;
    }
    /**
     * 获取 部门ID
     * @return Long
     */
    public Long getDeptId(){
        return deptId;
    }
    /**
     * 设置 部门ID
     * @param deptId
     */
    public void setDeptId(Long deptId){
        this.deptId = deptId;
    }
    /**
     * 获取 部门名称
     * @return String
     */
    public String getDeptName(){
        return deptName;
    }
    /**
     * 设置 部门名称
     * @param deptName
     */
    public void setDeptName(String deptName){
        this.deptName = deptName;
    }
    /**
     * 获取 部门编码
     * @return String
     */
    public String getDeptCode(){
        return deptCode;
    }
    /**
     * 设置 部门编码
     * @param deptCode
     */
    public void setDeptCode(String deptCode){
        this.deptCode = deptCode;
    }
    /**
     * 获取 事项主题编码
     * @return String
     */
    public String getThemeCode(){
        return themeCode;
    }
    /**
     * 设置 事项主题编码
     * @param themeCode
     */
    public void setThemeCode(String themeCode){
        this.themeCode = themeCode;
    }
    /**
     * 获取 事项主题名称
     * @return String
     */
    public String getThemeName(){
        return themeName;
    }
    /**
     * 设置 事项主题名称
     * @param themeName
     */
    public void setThemeName(String themeName){
        this.themeName = themeName;
    }
    /**
     * 获取 事项来源
     * @return Integer
     */
    public Integer getSource(){
        return source;
    }
    /**
     * 设置 事项来源
     * @param source
     */
    public void setSource(Integer source){
        this.source = source;
    }
    /**
     * 获取 申报次数
     * @return Integer
     */
    public Integer getReportCount(){
        return reportCount;
    }
    /**
     * 设置 申报次数
     * @param reportCount
     */
    public void setReportCount(Integer reportCount){
        this.reportCount = reportCount;
    }
    /**
     * 获取 材料数量
     * @return Integer
     */
    public Integer getDatumCount(){
        return datumCount;
    }
    /**
     * 设置 材料数量
     * @param datumCount
     */
    public void setDatumCount(Integer datumCount){
        this.datumCount = datumCount;
    }
    /**
     * 获取 政务网地址
     * @return String
     */
    public String getGovUrl(){
        return govUrl;
    }
    /**
     * 设置 政务网地址
     * @param govUrl
     */
    public void setGovUrl(String govUrl){
        this.govUrl = govUrl;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof MatterApplyEntity) {
            MatterApplyEntity tmp = (MatterApplyEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",siteId:").append(getSiteId());
        sb.append(",siteName:").append(getSiteName());
        sb.append(",siteMatterId:").append(getSiteMatterId());
        sb.append(",matterId:").append(getMatterId());
        sb.append(",matterName:").append(getMatterName());
        sb.append(",matterCode:").append(getMatterCode());
        sb.append(",deptId:").append(getDeptId());
        sb.append(",deptName:").append(getDeptName());
        sb.append(",deptCode:").append(getDeptCode());
        sb.append(",themeCode:").append(getThemeCode());
        sb.append(",themeName:").append(getThemeName());
        sb.append(",source:").append(getSource());
        sb.append(",reportCount:").append(getReportCount());
        sb.append(",datumCount:").append(getDatumCount());
        sb.append(",govUrl:").append(getGovUrl());
        return sb.toString();
    }

    public void initAttrValue(){

        this.siteId = null;

        this.siteName = "";

        this.siteMatterId = null;

        this.matterId = null;

        this.matterName = "";

        this.matterCode = "";

        this.deptId = null;

        this.deptName = "";

        this.deptCode = "";

        this.themeCode = "";

        this.themeName = "";

        this.source = null;

        this.reportCount = 0;

        this.datumCount = 0;

        this.govUrl = "";
    }
}