package com.mortals.xhx.module.matter.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.matter.model.vo.MatterDatumFileVo;
/**
 * 材料附件实体对象
 *
 * @author zxfei
 * @date 2023-04-10
 */

public class MatterDatumFileEntity extends MatterDatumFileVo {
    private static final long serialVersionUID = 1L;

    /**
     * 材料id
     */
    private Long datumId;
    /**
     * 事项id
     */
    private Long matterId;
    /**
     * 事项编码
     */
    private String matterCode;
    /**
     * 附件名称
     */
    private String fileName;
    /**
     * 附件类型 (1.示例样表，2.空白表格)
     */
    private Integer filetype;
    /**
     * 模板地址
     */
    private String templatePath;
    /**
     * 样表地址
     */
    private String samplePath;
    /**
     * 样表预览地址
     */
    private String previewUrl;
    /**
     * 模板表单内容
     */
    private String formContent;



    public MatterDatumFileEntity(){}
    /**
     * 获取 材料id
     * @return Long
     */
    public Long getDatumId(){
        return datumId;
    }
    /**
     * 设置 材料id
     * @param datumId
     */
    public void setDatumId(Long datumId){
        this.datumId = datumId;
    }
    /**
     * 获取 事项id
     * @return Long
     */
    public Long getMatterId(){
        return matterId;
    }
    /**
     * 设置 事项id
     * @param matterId
     */
    public void setMatterId(Long matterId){
        this.matterId = matterId;
    }
    /**
     * 获取 事项编码
     * @return String
     */
    public String getMatterCode(){
        return matterCode;
    }
    /**
     * 设置 事项编码
     * @param matterCode
     */
    public void setMatterCode(String matterCode){
        this.matterCode = matterCode;
    }
    /**
     * 获取 附件名称
     * @return String
     */
    public String getFileName(){
        return fileName;
    }
    /**
     * 设置 附件名称
     * @param fileName
     */
    public void setFileName(String fileName){
        this.fileName = fileName;
    }
    /**
     * 获取 附件类型 (1.示例样表，2.空白表格)
     * @return Integer
     */
    public Integer getFiletype(){
        return filetype;
    }
    /**
     * 设置 附件类型 (1.示例样表，2.空白表格)
     * @param filetype
     */
    public void setFiletype(Integer filetype){
        this.filetype = filetype;
    }
    /**
     * 获取 模板地址
     * @return String
     */
    public String getTemplatePath(){
        return templatePath;
    }
    /**
     * 设置 模板地址
     * @param templatePath
     */
    public void setTemplatePath(String templatePath){
        this.templatePath = templatePath;
    }
    /**
     * 获取 样表地址
     * @return String
     */
    public String getSamplePath(){
        return samplePath;
    }
    /**
     * 设置 样表地址
     * @param samplePath
     */
    public void setSamplePath(String samplePath){
        this.samplePath = samplePath;
    }
    /**
     * 获取 样表预览地址
     * @return String
     */
    public String getPreviewUrl(){
        return previewUrl;
    }
    /**
     * 设置 样表预览地址
     * @param previewUrl
     */
    public void setPreviewUrl(String previewUrl){
        this.previewUrl = previewUrl;
    }
    /**
     * 获取 模板表单内容
     * @return String
     */
    public String getFormContent(){
        return formContent;
    }
    /**
     * 设置 模板表单内容
     * @param formContent
     */
    public void setFormContent(String formContent){
        this.formContent = formContent;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof MatterDatumFileEntity) {
            MatterDatumFileEntity tmp = (MatterDatumFileEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",datumId:").append(getDatumId());
        sb.append(",matterId:").append(getMatterId());
        sb.append(",matterCode:").append(getMatterCode());
        sb.append(",fileName:").append(getFileName());
        sb.append(",filetype:").append(getFiletype());
        sb.append(",templatePath:").append(getTemplatePath());
        sb.append(",samplePath:").append(getSamplePath());
        sb.append(",previewUrl:").append(getPreviewUrl());
        sb.append(",formContent:").append(getFormContent());
        return sb.toString();
    }

    public void initAttrValue(){

        this.datumId = null;

        this.matterId = null;

        this.matterCode = "";

        this.fileName = "";

        this.filetype = 1;

        this.templatePath = "";

        this.samplePath = "";

        this.previewUrl = "";

        this.formContent = "";
    }
}