package com.mortals.xhx.module.matter.model;

import java.util.Date;
import java.util.List;
import java.util.ArrayList;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.matter.model.vo.UserMatterApplyVo;
/**
* 用户申报信息实体对象
*
* @author zxfei
* @date 2023-04-11
*/

public class UserMatterApplyEntity extends UserMatterApplyVo {
    private static final long serialVersionUID = 1L;

    /**
    * 站点id
    */
    private Long userId;
    /**
    * 事项ID
    */
    private Long matterId;
    /**
    * 事项名称
    */
    private String matterName;
    /**
    * 事项编码
    */
    private String matterCode;
    /**
    * 申报编号
    */
    private String applyCode;
    /**
    * 申报地址
    */
    private String applyAddr;
    /**
    * 申报设备名称
    */
    private String deviceName;
    /**
    * 申请人姓名
    */
    private String applyPerson;
    /**
    * 联系电话
    */
    private String phoneNum;
    /**
    * 证件号码
    */
    private String idCard;
    /**
    * 事项所属部门
    */
    private String deptName;
    /**
    * 申报时间
    */
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date applyDate;
    /**
    * 受理状态0未受理1已受理
    */
    private Integer status;
    /**
    * 申报方式
    */
    private String applyWay;
    /**
    * 存储设备
    */
    private String storeDevice;
    /**
    * 箱体编号
    */
    private String boxNum;
    /**
    * 存件时间
    */
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date storeDate;



    public UserMatterApplyEntity(){}
    /**
    * 获取 站点id
    * @return Long
    */
    public Long getUserId(){
        return userId;
    }
    /**
    * 设置 站点id
    * @param userId
    */
    public void setUserId(Long userId){
        this.userId = userId;
    }
    /**
    * 获取 事项ID
    * @return Long
    */
    public Long getMatterId(){
        return matterId;
    }
    /**
    * 设置 事项ID
    * @param matterId
    */
    public void setMatterId(Long matterId){
        this.matterId = matterId;
    }
    /**
    * 获取 事项名称
    * @return String
    */
    public String getMatterName(){
        return matterName;
    }
    /**
    * 设置 事项名称
    * @param matterName
    */
    public void setMatterName(String matterName){
        this.matterName = matterName;
    }
    /**
    * 获取 事项编码
    * @return String
    */
    public String getMatterCode(){
        return matterCode;
    }
    /**
    * 设置 事项编码
    * @param matterCode
    */
    public void setMatterCode(String matterCode){
        this.matterCode = matterCode;
    }
    /**
    * 获取 申报编号
    * @return String
    */
    public String getApplyCode(){
        return applyCode;
    }
    /**
    * 设置 申报编号
    * @param applyCode
    */
    public void setApplyCode(String applyCode){
        this.applyCode = applyCode;
    }
    /**
    * 获取 申报地址
    * @return String
    */
    public String getApplyAddr(){
        return applyAddr;
    }
    /**
    * 设置 申报地址
    * @param applyAddr
    */
    public void setApplyAddr(String applyAddr){
        this.applyAddr = applyAddr;
    }
    /**
    * 获取 申报设备名称
    * @return String
    */
    public String getDeviceName(){
        return deviceName;
    }
    /**
    * 设置 申报设备名称
    * @param deviceName
    */
    public void setDeviceName(String deviceName){
        this.deviceName = deviceName;
    }
    /**
    * 获取 申请人姓名
    * @return String
    */
    public String getApplyPerson(){
        return applyPerson;
    }
    /**
    * 设置 申请人姓名
    * @param applyPerson
    */
    public void setApplyPerson(String applyPerson){
        this.applyPerson = applyPerson;
    }
    /**
    * 获取 联系电话
    * @return String
    */
    public String getPhoneNum(){
        return phoneNum;
    }
    /**
    * 设置 联系电话
    * @param phoneNum
    */
    public void setPhoneNum(String phoneNum){
        this.phoneNum = phoneNum;
    }
    /**
    * 获取 证件号码
    * @return String
    */
    public String getIdCard(){
        return idCard;
    }
    /**
    * 设置 证件号码
    * @param idCard
    */
    public void setIdCard(String idCard){
        this.idCard = idCard;
    }
    /**
    * 获取 事项所属部门
    * @return String
    */
    public String getDeptName(){
        return deptName;
    }
    /**
    * 设置 事项所属部门
    * @param deptName
    */
    public void setDeptName(String deptName){
        this.deptName = deptName;
    }
    /**
    * 获取 申报时间
    * @return Date
    */
    public Date getApplyDate(){
        return applyDate;
    }
    /**
    * 设置 申报时间
    * @param applyDate
    */
    public void setApplyDate(Date applyDate){
        this.applyDate = applyDate;
    }
    /**
    * 获取 受理状态0未受理1已受理
    * @return Integer
    */
    public Integer getStatus(){
        return status;
    }
    /**
    * 设置 受理状态0未受理1已受理
    * @param status
    */
    public void setStatus(Integer status){
        this.status = status;
    }
    /**
    * 获取 申报方式
    * @return String
    */
    public String getApplyWay(){
        return applyWay;
    }
    /**
    * 设置 申报方式
    * @param applyWay
    */
    public void setApplyWay(String applyWay){
        this.applyWay = applyWay;
    }
    /**
    * 获取 存储设备
    * @return String
    */
    public String getStoreDevice(){
        return storeDevice;
    }
    /**
    * 设置 存储设备
    * @param storeDevice
    */
    public void setStoreDevice(String storeDevice){
        this.storeDevice = storeDevice;
    }
    /**
    * 获取 箱体编号
    * @return String
    */
    public String getBoxNum(){
        return boxNum;
    }
    /**
    * 设置 箱体编号
    * @param boxNum
    */
    public void setBoxNum(String boxNum){
        this.boxNum = boxNum;
    }
    /**
    * 获取 存件时间
    * @return Date
    */
    public Date getStoreDate(){
        return storeDate;
    }
    /**
    * 设置 存件时间
    * @param storeDate
    */
    public void setStoreDate(Date storeDate){
        this.storeDate = storeDate;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof UserMatterApplyEntity) {
            UserMatterApplyEntity tmp = (UserMatterApplyEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",userId:").append(getUserId());
        sb.append(",matterId:").append(getMatterId());
        sb.append(",matterName:").append(getMatterName());
        sb.append(",matterCode:").append(getMatterCode());
        sb.append(",applyCode:").append(getApplyCode());
        sb.append(",applyAddr:").append(getApplyAddr());
        sb.append(",deviceName:").append(getDeviceName());
        sb.append(",applyPerson:").append(getApplyPerson());
        sb.append(",phoneNum:").append(getPhoneNum());
        sb.append(",idCard:").append(getIdCard());
        sb.append(",deptName:").append(getDeptName());
        sb.append(",applyDate:").append(getApplyDate());
        sb.append(",status:").append(getStatus());
        sb.append(",applyWay:").append(getApplyWay());
        sb.append(",storeDevice:").append(getStoreDevice());
        sb.append(",boxNum:").append(getBoxNum());
        sb.append(",storeDate:").append(getStoreDate());
        return sb.toString();
    }

    public void initAttrValue(){

            this.userId = null;

            this.matterId = null;

            this.matterName = "";

            this.matterCode = "";

            this.applyCode = "";

            this.applyAddr = "";

            this.deviceName = "";

            this.applyPerson = "";

            this.phoneNum = "";

            this.idCard = "";

            this.deptName = "";

            this.applyDate = null;

            this.status = 0;

            this.applyWay = "";

            this.storeDevice = "";

            this.boxNum = "";

            this.storeDate = null;
    }
}