package com.mortals.xhx.module.matter.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.matter.model.vo.UserMatterDetailsVo;
/**
* 用户申报明细实体对象
*
* @author zxfei
* @date 2023-04-11
*/

public class UserMatterDetailsEntity extends UserMatterDetailsVo {
    private static final long serialVersionUID = 1L;

    /**
    * 用户申报id
    */
    private Long applyrId;
    /**
    * 材料id
    */
    private Long datumId;
    /**
    * 事项id
    */
    private Long matterId;
    /**
    * 事项编码
    */
    private String matterCode;
    /**
    * 材料简称
    */
    private String shortName;
    /**
    * 材料全称
    */
    private String fullName;
    /**
    * 附件名称
    */
    private String fileName;
    /**
    * 文件预览地址
    */
    private String previewUrl;
    /**
    * 填单表单内容
    */
    private String formContent;
    /**
    * 填单表单模板
    */
    private String formTemplate;
    /**
    * 模板文件地址
    */
    private String templateUrl;



    public UserMatterDetailsEntity(){}
    /**
    * 获取 用户申报id
    * @return Long
    */
    public Long getApplyrId(){
        return applyrId;
    }
    /**
    * 设置 用户申报id
    * @param applyrId
    */
    public void setApplyrId(Long applyrId){
        this.applyrId = applyrId;
    }
    /**
    * 获取 材料id
    * @return Long
    */
    public Long getDatumId(){
        return datumId;
    }
    /**
    * 设置 材料id
    * @param datumId
    */
    public void setDatumId(Long datumId){
        this.datumId = datumId;
    }
    /**
    * 获取 事项id
    * @return Long
    */
    public Long getMatterId(){
        return matterId;
    }
    /**
    * 设置 事项id
    * @param matterId
    */
    public void setMatterId(Long matterId){
        this.matterId = matterId;
    }
    /**
    * 获取 事项编码
    * @return String
    */
    public String getMatterCode(){
        return matterCode;
    }
    /**
    * 设置 事项编码
    * @param matterCode
    */
    public void setMatterCode(String matterCode){
        this.matterCode = matterCode;
    }
    /**
    * 获取 材料简称
    * @return String
    */
    public String getShortName(){
        return shortName;
    }
    /**
    * 设置 材料简称
    * @param shortName
    */
    public void setShortName(String shortName){
        this.shortName = shortName;
    }
    /**
    * 获取 材料全称
    * @return String
    */
    public String getFullName(){
        return fullName;
    }
    /**
    * 设置 材料全称
    * @param fullName
    */
    public void setFullName(String fullName){
        this.fullName = fullName;
    }
    /**
    * 获取 附件名称
    * @return String
    */
    public String getFileName(){
        return fileName;
    }
    /**
    * 设置 附件名称
    * @param fileName
    */
    public void setFileName(String fileName){
        this.fileName = fileName;
    }
    /**
    * 获取 文件预览地址
    * @return String
    */
    public String getPreviewUrl(){
        return previewUrl;
    }
    /**
    * 设置 文件预览地址
    * @param previewUrl
    */
    public void setPreviewUrl(String previewUrl){
        this.previewUrl = previewUrl;
    }
    /**
    * 获取 填单表单内容
    * @return String
    */
    public String getFormContent(){
        return formContent;
    }
    /**
    * 设置 填单表单内容
    * @param formContent
    */
    public void setFormContent(String formContent){
        this.formContent = formContent;
    }
    /**
    * 获取 填单表单模板
    * @return String
    */
    public String getFormTemplate(){
        return formTemplate;
    }
    /**
    * 设置 填单表单模板
    * @param formTemplate
    */
    public void setFormTemplate(String formTemplate){
        this.formTemplate = formTemplate;
    }
    /**
    * 获取 模板文件地址
    * @return String
    */
    public String getTemplateUrl(){
        return templateUrl;
    }
    /**
    * 设置 模板文件地址
    * @param templateUrl
    */
    public void setTemplateUrl(String templateUrl){
        this.templateUrl = templateUrl;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof UserMatterDetailsEntity) {
            UserMatterDetailsEntity tmp = (UserMatterDetailsEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",applyrId:").append(getApplyrId());
        sb.append(",datumId:").append(getDatumId());
        sb.append(",matterId:").append(getMatterId());
        sb.append(",matterCode:").append(getMatterCode());
        sb.append(",shortName:").append(getShortName());
        sb.append(",fullName:").append(getFullName());
        sb.append(",fileName:").append(getFileName());
        sb.append(",previewUrl:").append(getPreviewUrl());
        sb.append(",formContent:").append(getFormContent());
        sb.append(",formTemplate:").append(getFormTemplate());
        sb.append(",templateUrl:").append(getTemplateUrl());
        return sb.toString();
    }

    public void initAttrValue(){

            this.applyrId = null;

            this.datumId = null;

            this.matterId = null;

            this.matterCode = "";

            this.shortName = "";

            this.fullName = "";

            this.fileName = "";

            this.previewUrl = "";

            this.formContent = "";

            this.formTemplate = "";

            this.templateUrl = "";
    }
}