package com.mortals.xhx.module.matter.model;

import java.util.Date;
import java.util.List;
import java.util.ArrayList;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.matter.model.vo.UserMatterExamineVo;
/**
* 用户申报事项审批实体对象
*
* @author zxfei
* @date 2023-04-11
*/

public class UserMatterExamineEntity extends UserMatterExamineVo {
    private static final long serialVersionUID = 1L;

    /**
    * 用户申报id
    */
    private Long applyrId;
    /**
    * 受理人员
    */
    private String acceptPerson;
    /**
    * 受理结果1通过2拒绝
    */
    private Integer acceptResult;
    /**
    * 受理意见
    */
    private String acceptOpinion;
    /**
    * 受理时间
    */
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private Date acceptDate;



    public UserMatterExamineEntity(){}
    /**
    * 获取 用户申报id
    * @return Long
    */
    public Long getApplyrId(){
        return applyrId;
    }
    /**
    * 设置 用户申报id
    * @param applyrId
    */
    public void setApplyrId(Long applyrId){
        this.applyrId = applyrId;
    }
    /**
    * 获取 受理人员
    * @return String
    */
    public String getAcceptPerson(){
        return acceptPerson;
    }
    /**
    * 设置 受理人员
    * @param acceptPerson
    */
    public void setAcceptPerson(String acceptPerson){
        this.acceptPerson = acceptPerson;
    }
    /**
    * 获取 受理结果1通过2拒绝
    * @return Integer
    */
    public Integer getAcceptResult(){
        return acceptResult;
    }
    /**
    * 设置 受理结果1通过2拒绝
    * @param acceptResult
    */
    public void setAcceptResult(Integer acceptResult){
        this.acceptResult = acceptResult;
    }
    /**
    * 获取 受理意见
    * @return String
    */
    public String getAcceptOpinion(){
        return acceptOpinion;
    }
    /**
    * 设置 受理意见
    * @param acceptOpinion
    */
    public void setAcceptOpinion(String acceptOpinion){
        this.acceptOpinion = acceptOpinion;
    }
    /**
    * 获取 受理时间
    * @return Date
    */
    public Date getAcceptDate(){
        return acceptDate;
    }
    /**
    * 设置 受理时间
    * @param acceptDate
    */
    public void setAcceptDate(Date acceptDate){
        this.acceptDate = acceptDate;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof UserMatterExamineEntity) {
            UserMatterExamineEntity tmp = (UserMatterExamineEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",applyrId:").append(getApplyrId());
        sb.append(",acceptPerson:").append(getAcceptPerson());
        sb.append(",acceptResult:").append(getAcceptResult());
        sb.append(",acceptOpinion:").append(getAcceptOpinion());
        sb.append(",acceptDate:").append(getAcceptDate());
        return sb.toString();
    }

    public void initAttrValue(){

            this.applyrId = null;

            this.acceptPerson = "";

            this.acceptResult = null;

            this.acceptOpinion = "";

            this.acceptDate = null;
    }
}