package com.mortals.xhx.module.matter.service;
import com.mortals.framework.common.Rest;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.matter.model.MatterApplyEntity;
import com.mortals.xhx.module.matter.model.vo.MatterApplyGroupVo;

/**
* MatterApplyService
*
* 申报事项 service接口
*
* @author zxfei
* @date 2023-04-07
*/
public interface MatterApplyService extends ICRUDService<MatterApplyEntity,Long>{

    /**
     * 添加事项到申报事项
     *
     * @param siteMatterIds
     * @param context
     */
    Rest<String> addToAssist(String siteMatterIds, Context context);

    /**
     * 增加申报次数
     * @param id
     */
    void addReportCount(Long id);

    /**
     * 增加材料数
     * @param id
     */
    void addDatumCount(Long id,Integer increment);

    /**
     * 按部门分组
     * @param params
     * @param pageInfo
     * @param context
     * @return
     * @throws AppException
     */
    Result<MatterApplyGroupVo> findDeptGroup(MatterApplyEntity params, PageInfo pageInfo, Context context) throws AppException;

    /***
     * 按主题分组
     * @param params
     * @param pageInfo
     * @param context
     * @return
     * @throws AppException
     */
    Result<MatterApplyGroupVo> findThemeGroup(MatterApplyEntity params, PageInfo pageInfo, Context context) throws AppException;
}