package com.mortals.xhx.module.matter.service.impl;
import com.mortals.framework.service.IUser;
import com.mortals.xhx.module.matter.model.UserMatterApplyEntity;
import com.mortals.xhx.module.matter.service.UserMatterApplyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.matter.dao.UserMatterExamineDao;
import com.mortals.xhx.module.matter.model.UserMatterExamineEntity;
import com.mortals.xhx.module.matter.service.UserMatterExamineService;

import java.util.Date;

/**
* UserMatterExamineService
* 用户申报事项审批 service实现
*
* @author zxfei
* @date 2023-04-11
*/
@Service("userMatterExamineService")
public class UserMatterExamineServiceImpl extends AbstractCRUDServiceImpl<UserMatterExamineDao, UserMatterExamineEntity, Long> implements UserMatterExamineService {

    @Autowired
    private UserMatterApplyService userMatterApplyService;

    @Override
    protected void saveBefore(UserMatterExamineEntity entity, Context context) throws AppException {
        if(context!=null && context.getUser()!=null){
            IUser user = context.getUser();
            entity.setAcceptPerson(user.getRealName());
        }
    }

    @Override
    protected void saveAfter(UserMatterExamineEntity entity, Context context) throws AppException {
        if(entity.getAcceptResult()==1){
            UserMatterApplyEntity updateEntity = new UserMatterApplyEntity();
            updateEntity.setId(entity.getApplyrId());
            updateEntity.setStatus(1);
            updateEntity.setUpdateTime(new Date());
            userMatterApplyService.update(updateEntity);
        }
    }
}