package com.mortals.xhx.module.matter.web;
import com.mortals.framework.common.Rest;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.util.DataUtil;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.matter.model.DatumLibraryEntity;
import com.mortals.xhx.module.matter.service.DatumLibraryService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 站点材料公共库
*
* @author zxfei
* @date 2023-04-07
*/
@RestController
@RequestMapping("datum/library")
public class DatumLibraryController extends BaseCRUDJsonBodyMappingController<DatumLibraryService,DatumLibraryEntity,Long> {

    @Autowired
    private ParamService paramService;

    public DatumLibraryController(){
        super.setModuleDesc( "站点材料公共库");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "needType", paramService.getParamBySecondOrganize("MatterDatum","needType"));
        this.addDict(model, "datumType", paramService.getParamBySecondOrganize("MatterDatum","datumType"));
        this.addDict(model, "needOriginal", paramService.getParamBySecondOrganize("MatterDatum","needOriginal"));
        this.addDict(model, "uselType", paramService.getParamBySecondOrganize("MatterDatum","uselType"));
        this.addDict(model, "suggest", paramService.getParamBySecondOrganize("MatterDatum","suggest"));
        super.init(model, context);
    }

    /**
     * 添加公共库到材料
     */
    @PostMapping(value = "addToMatterDatum")
    public String addToMatterDatum(@RequestBody Map<String, Object> map) {
        JSONObject jsonObject = new JSONObject();
        Map<String, Object> model = new HashMap<String, Object>();
        String libraryIds = "";
        if(map.containsKey("libraryIds")){
            libraryIds = (String) map.get("libraryIds");
        }
        Long matterId = 0l;
        if(map.containsKey("matterId")){
            matterId = DataUtil.converStr2Long(map.get("matterId").toString(),0l);
        }
        try {
            Rest<String> rest = this.service.addToMatterDatum(libraryIds,matterId,getContext());
            jsonObject.put(KEY_RESULT_MSG, rest.getMsg());
            jsonObject.put(KEY_RESULT_DATA, model);
            jsonObject.put(KEY_RESULT_CODE, VALUE_RESULT_SUCCESS);
            this.recordSysLog(this.request, rest.getMsg());
        } catch (Exception e) {
            log.error("获取异常", e);
            jsonObject.put(KEY_RESULT_CODE, VALUE_RESULT_FAILURE);
            jsonObject.put(KEY_RESULT_MSG, super.convertException(e));
        }
        return jsonObject.toJSONString();
    }


}