package com.mortals.xhx.module.matter.web;

import com.alibaba.fastjson.JSONObject;
import com.mortals.framework.annotation.UnAuth;
import com.mortals.framework.common.Rest;
import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseJsonBodyController;
import com.mortals.xhx.common.pdu.RespData;
import com.mortals.xhx.common.pdu.matter.*;
import com.mortals.xhx.common.pdu.site.SiteMatterPdu;
import com.mortals.xhx.feign.matter.*;
import com.mortals.xhx.feign.site.ISiteMatterFeign;
import com.mortals.xhx.module.matter.service.MatterApplyService;
import org.checkerframework.checker.units.qual.A;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("base/matter")
public class MatterController extends BaseJsonBodyController {

    @Autowired
    private IMatterFeign matterFeign;
    @Autowired
    private IMatterAcceptFeign matterAcceptFeign;
    @Autowired
    private IMatterChargesFeign matterChargesFeign;
    @Autowired
    private IMatterFlowlimitFeign matterFlowlimitFeign;
    @Autowired
    private IMatterIntermediaryFeign matterIntermediaryFeign;
    @Autowired
    private IMatterQuestionFeign matterQuestionFeign;
    @Autowired
    private IMatterSetbaseFeign matterSetbaseFeign;

    @RequestMapping(value = {"info"},method = {RequestMethod.POST, RequestMethod.GET})
    @UnAuth
    public String info(Long matterId) {
        Map<String, Object> model = new HashMap();
        Map<String, Object> data = new HashMap();
        if (matterId == null) {
            return this.createFailJsonResp("请选择待查看基础事项信息");
        } else {
            JSONObject ret = new JSONObject();
            String busiDesc = "查看基础事项";
            Context context = this.getContext();
            try {
                Rest<MatterPdu> matterPdu = matterFeign.info(matterId);
                if(matterPdu.getCode()==1){
                    data.put("matterInfo",matterPdu.getData());
                    data.put("matterInfoDict",matterPdu.getDict());
                }
                MatterAcceptPdu matterAcceptPdu = new MatterAcceptPdu();
                matterAcceptPdu.setMatterId(matterId);
                matterAcceptPdu.setSize(-1);
                Rest<RespData<List<MatterAcceptPdu>>> matterAcceptlist = matterAcceptFeign.list(matterAcceptPdu);
                if(matterAcceptlist.getCode()==1){
                    data.put("matterAccept",matterAcceptlist.getData().getData());
                    data.put("matterAcceptDict",matterAcceptlist.getData().getDict());
                }
                MatterChargesPdu matterChargesPdu = new MatterChargesPdu();
                matterChargesPdu.setMatterId(matterId);
                matterChargesPdu.setSize(-1);
                Rest<RespData<List<MatterChargesPdu>>> matterChargeslist = matterChargesFeign.list(matterChargesPdu);
                if(matterChargeslist.getCode()==1){
                    data.put("matterCharges",matterChargeslist.getData().getData());
                    data.put("matterChargesDict",matterChargeslist.getData().getDict());
                }
                MatterFlowlimitPdu matterFlowlimitPdu = new MatterFlowlimitPdu();
                matterFlowlimitPdu.setMatterId(matterId);
                matterFlowlimitPdu.setSize(-1);
                Rest<RespData<List<MatterFlowlimitPdu>>> matterFlowlimitlist = matterFlowlimitFeign.list(matterFlowlimitPdu);
                if(matterFlowlimitlist.getCode()==1){
                    data.put("matterFlowlimit",matterFlowlimitlist.getData().getData());
                    data.put("matterFlowlimitDict",matterFlowlimitlist.getData().getDict());
                }
                MatterIntermediaryPdu matterIntermediaryPdu = new MatterIntermediaryPdu();
                matterIntermediaryPdu.setMatterId(matterId);
                matterIntermediaryPdu.setSize(-1);
                Rest<RespData<List<MatterIntermediaryPdu>>> matterIntermediarylist = matterIntermediaryFeign.list(matterIntermediaryPdu);
                if(matterIntermediarylist.getCode()==1){
                    data.put("matterIntermediary",matterIntermediarylist.getData().getData());
                    data.put("matterIntermediaryDict",matterIntermediarylist.getData().getDict());
                }
                MatterQuestionPdu matterQuestionPdu = new MatterQuestionPdu();
                matterQuestionPdu.setMatterId(matterId);
                matterQuestionPdu.setSize(-1);
                Rest<RespData<List<MatterQuestionPdu>>> matterQuestionlist = matterQuestionFeign.list(matterQuestionPdu);
                if(matterQuestionlist.getCode()==1){
                    data.put("matterQuestion",matterQuestionlist.getData().getData());
                    data.put("matterQuestionDict",matterQuestionlist.getData().getDict());
                }
                MatterSetbasePdu matterSetbasePdu = new MatterSetbasePdu();
                matterSetbasePdu.setMatterId(matterId);
                matterSetbasePdu.setSize(-1);
                Rest<RespData<List<MatterSetbasePdu>>> matterSetbaselist = matterSetbaseFeign.list(matterSetbasePdu);
                if(matterSetbaselist.getCode()==1){
                    data.put("matterSetbase",matterSetbaselist.getData().getData());
                    data.put("matterSetbaseDict",matterSetbaselist.getData().getDict());
                }

                ret.put("data", data);
                this.recordSysLog(this.request, busiDesc + " 【成功】");
            } catch (Exception var8) {
                this.doException(this.request, busiDesc, model, var8);
                Object msg = model.get("message_info");
                return this.createFailJsonResp(msg == null ? "系统异常" : msg.toString());
            }
            ret.put("code", 1);
            ret.put("msg", model.remove("message_info"));
            ret.put("dict", model.remove("dict"));
            return ret.toJSONString();
        }
    }
}
