package com.mortals.xhx.module.matter.web;
import com.mortals.framework.common.Rest;
import com.mortals.framework.util.DataUtil;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.matter.model.MatterDatumEntity;
import com.mortals.xhx.module.matter.service.MatterDatumService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 事项申请材料业务
*
* @author zxfei
* @date 2023-04-07
*/
@RestController
@RequestMapping("matter/datum")
public class MatterDatumController extends BaseCRUDJsonBodyMappingController<MatterDatumService,MatterDatumEntity,Long> {

    @Autowired
    private ParamService paramService;

    public MatterDatumController(){
        super.setModuleDesc( "事项申请材料业务");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "needType", paramService.getParamBySecondOrganize("MatterDatum","needType"));
        this.addDict(model, "datumType", paramService.getParamBySecondOrganize("MatterDatum","datumType"));
        this.addDict(model, "needOriginal", paramService.getParamBySecondOrganize("MatterDatum","needOriginal"));
        this.addDict(model, "uselType", paramService.getParamBySecondOrganize("MatterDatum","uselType"));
        this.addDict(model, "suggest", paramService.getParamBySecondOrganize("MatterDatum","suggest"));
        super.init(model, context);
    }

    /**
     * 添加事项到站点
     */
    @PostMapping(value = "addToLibrary")
    public String addToLibrary(@RequestBody Map<String, Object> map) {
        JSONObject jsonObject = new JSONObject();
        Map<String, Object> model = new HashMap<String, Object>();
        String datumIds = "";
        if(map.containsKey("datumIds")){
            datumIds = (String) map.get("datumIds");
        }
        try {
            Rest<String> rest = this.service.addToLibrary(datumIds, getContext());
            jsonObject.put(KEY_RESULT_MSG, rest.getMsg());
            jsonObject.put(KEY_RESULT_DATA, model);
            jsonObject.put(KEY_RESULT_CODE, VALUE_RESULT_SUCCESS);
            this.recordSysLog(this.request, rest.getMsg());
        } catch (Exception e) {
            log.error("获取异常", e);
            jsonObject.put(KEY_RESULT_CODE, VALUE_RESULT_FAILURE);
            jsonObject.put(KEY_RESULT_MSG, super.convertException(e));
        }
        return jsonObject.toJSONString();
    }
}