package com.mortals.xhx.module.matter.web;
import com.mortals.framework.annotation.RepeatSubmit;
import com.mortals.framework.annotation.UnAuth;
import com.mortals.framework.service.IUser;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.matter.model.UserMatterApplyEntity;
import com.mortals.xhx.module.matter.service.UserMatterApplyService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;

import java.util.*;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 用户申报信息
*
* @author zxfei
* @date 2023-04-10
*/
@RestController
@RequestMapping("user/matter/apply")
public class UserMatterApplyController extends BaseCRUDJsonBodyMappingController<UserMatterApplyService,UserMatterApplyEntity,Long> {

    @Autowired
    private ParamService paramService;

    public UserMatterApplyController(){
        super.setModuleDesc( "用户申报信息");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "status", paramService.getParamBySecondOrganize("UserMatterApply","status"));
        super.init(model, context);
    }

    @PostMapping({"save"})
    @UnAuth
    public String save(@RequestBody UserMatterApplyEntity entity) {
        Map<String, Object> model = new HashMap();
        Context context = this.getContext();
        String busiDesc = "保存" + this.getModuleDesc();

        int code;
        try {
            this.saveBefore(entity, model, context);
            IUser user;
            if (entity.newEntity()) {
                busiDesc = "新增" + this.getModuleDesc();
                entity.setCreateTime(new Date());
                entity.setUpdateTime(entity.getCreateTime());
                user = this.getCurUser();
                if (user != null) {
                    entity.setCreateUserId(user.getId());
                    entity.setCreateUser(user.getLoginName());
                    entity.setCreateUserName(user.getRealName());
                    entity.setCreateUserDeptId(user.getDeptId());
                    entity.setCreateUserDeptName(user.getDeptName());
                    entity.setUpdateUserId(user.getId());
                    entity.setUpdateUser(user.getLoginName());
                    entity.setUpdateUserName(user.getRealName());
                    entity.setUpdateUserDeptId(user.getDeptId());
                    entity.setUpdateUserDeptName(user.getDeptName());
                }

                this.service.save(entity, context);
            } else {
                busiDesc = "修改" + this.getModuleDesc();
                entity.setUpdateTime(new Date());
                user = this.getCurUser();
                if (user != null) {
                    entity.setUpdateUserId(user.getId());
                    entity.setUpdateUser(user.getLoginName());
                    entity.setUpdateUserName(user.getRealName());
                    entity.setUpdateUserDeptId(user.getDeptId());
                    entity.setUpdateUserDeptName(user.getDeptName());
                }

                this.service.update(entity, context);
            }

            model.put("id", entity.getId());
            code = this.saveAfter(entity, model, context);
            model.put("entity", entity);
            model.put("message_info", busiDesc + "成功");
            this.recordSysLog(this.request, busiDesc + " 【成功】 [id:" + entity.getId() + "]");
        } catch (Exception var7) {
            this.doException(this.request, busiDesc, model, var7);
            model.put("entity", entity);
            this.init(model, context);
            code = this.saveException(entity, model, context, var7);
        }

        this.init(model, context);
        JSONObject ret = new JSONObject();
        ret.put("code", code);
        ret.put("msg", model.remove("message_info"));
        ret.put("data", model);
        return ret.toJSONString();
    }

    @RequestMapping(
            value = {"delete"},
            method = {RequestMethod.POST, RequestMethod.GET}
    )
    @UnAuth
    public String delete(Long[] id) {
        Context context = this.getContext();
        if (id == null) {
            return this.createFailJsonResp("请至少选择一条记录");
        } else {
            Map<String, Object> model = new HashMap();
            int code = 1;
            String busiDesc = "删除" + this.getModuleDesc();

            try {
                this.deleteBefore(id, context);
                int iRet = this.service.remove(id, context);
                model.put("message_info", this.getModuleDesc() + "删除成功!删除条数:" + iRet);
                this.recordSysLog(this.request, busiDesc + " 【成功】 [id:" + StringUtils.converArray2Str(id) + "]");
            } catch (Exception var7) {
                code = -1;
                this.doException(this.request, busiDesc, model, var7);
            }

            JSONObject ret = new JSONObject();
            ret.put("code", Integer.valueOf(code));
            ret.put("msg", model.remove("message_info"));
            ret.put("data", model);
            return ret.toJSONString();
        }
    }
}