package com.mortals.xhx.module.sst.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.sst.model.vo.SstAppsVo;
import lombok.Data;
/**
 * 应用编排实体对象
 *
 * @author zxfei
 * @date 2023-07-05
 */
@Data
public class SstAppsEntity extends SstAppsVo {
    private static final long serialVersionUID = 1L;

    /**
     * 站点id
     */
    private Long siteId;
    /**
     * 应用名称
     */
    private String name;
    /**
     * 应用描述
     */
    private String describe;
    /**
     * 应用访问地址
     */
    private String url;
    /**
     * 是否展示基础应用1是0否
     */
    private Integer showBasic;
    /**
     * 基础应用排序号
     */
    private Integer basicSort;
    /**
     * 是否展示热门应用1是0否
     */
    private Integer showHot;
    /**
     * 热门应用排序号
     */
    private Integer hotSort;
    /**
     * 应用id
     */
    private Long appId;
    /**
     * 应用点击次数
     */
    private Integer clickSum;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SstAppsEntity) {
            SstAppsEntity tmp = (SstAppsEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

        this.siteId = -1L;

        this.name = "";

        this.describe = "";

        this.url = "";

        this.showBasic = 1;

        this.basicSort = -1;

        this.showHot = 1;

        this.hotSort = -1;

        this.appId = -1L;

        this.clickSum = -1;
    }
}