package com.mortals.xhx.module.sst.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.apps.model.AppsInfoEntity;
import com.mortals.xhx.module.sst.model.SstAppsEntity;

import java.util.List;
import java.util.Map;

/**
* SstAppsService
*
* 应用编排 service接口
*
* @author zxfei
* @date 2022-12-21
*/
public interface SstAppsService extends ICRUDService<SstAppsEntity,Long>{

    /**
     * 获取站点应用列表
     * @param siteId
     * @return
     */
    Map<String, Object> getAppsBySiteId(Long siteId) throws AppException;

    /**
     * 保存基础设置
     * @param showAppIds
     * @param hotAppIds
     * @throws AppException
     */
    void settingSave(Long siteId, String showAppIds, String hotAppIds, Context context) throws AppException;

    /***
     * 获取站点热门应用or展示应用
     * @param siteId 站点ID
     * @return
     */
    Map<String, Object> getAppListBySite(String deviceCode,Long siteId,String host,String appName);

    /**
     * 应用下架
     * @param appId
     * @param userId
     */
    void forbidden(Long appId,Long userId);

    /**
     * 增加应用点击次数
     * @param appId
     */
    void clickCountAdd(Long appId,Long siteId);
}