package com.mortals.xhx.module.sst.web;
import cn.hutool.core.lang.Validator;
import cn.hutool.core.net.url.UrlBuilder;
import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson.JSON;
import com.mortals.framework.annotation.UnAuth;
import com.mortals.framework.common.Rest;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.service.IUser;
import com.mortals.framework.util.DataUtil;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.common.code.YesNoEnum;
import com.mortals.xhx.common.key.ParamKey;
import com.mortals.xhx.common.pdu.RespData;
import com.mortals.xhx.common.pdu.app.AppPdu;
import com.mortals.xhx.common.pdu.device.DevicePdu;
import com.mortals.xhx.common.pdu.site.SiteTreeSelectVO;
import com.mortals.xhx.feign.app.IAppFeign;
import com.mortals.xhx.feign.base.IApiBaseManagerFeign;
import com.mortals.xhx.feign.base.pdu.SitePdu;
import com.mortals.xhx.feign.device.IDeviceFeign;
import com.mortals.xhx.feign.rsp.ApiResp;
import com.mortals.xhx.feign.site.ISiteFeign;
import com.mortals.xhx.module.apps.model.AppsInfoEntity;
import com.mortals.xhx.module.device.service.DeviceService;
import com.mortals.xhx.module.sst.model.SstAppsEntity;
import com.mortals.xhx.module.sst.service.SstAppsDeskService;
import com.mortals.xhx.module.sst.service.SstAppsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.CollectionUtils;
import org.springframework.util.ObjectUtils;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.sst.model.SstBasicEntity;
import com.mortals.xhx.module.sst.service.SstBasicService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;

import java.util.*;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 基础配置
*
* @author zxfei
* @date 2022-12-21
*/
@RestController
@RequestMapping("basic")
public class SstBasicController extends BaseCRUDJsonBodyMappingController<SstBasicService,SstBasicEntity,Long> {

    @Autowired
    private IApiBaseManagerFeign iApiBaseManagerFeign;

    @Autowired
    private ParamService paramService;

    @Autowired
    private SstAppsService sstAppsService;

    @Autowired
    private SstAppsDeskService sstAppsDeskService;

    @Autowired
    private ISiteFeign iSiteFeign;
    @Autowired
    private IAppFeign appFeign;
    @Autowired
    private IDeviceFeign deviceFeign;
    @Autowired
    private ISiteFeign siteFeign;

    public SstBasicController(){
        super.setModuleDesc( "基础配置");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "elderEnable", paramService.getParamBySecondOrganize("SstBasic","elderEnable"));
        super.init(model, context);
    }

    @PostMapping({"setting/info"})
    @UnAuth
    public Rest<Object> settingInfo(@RequestBody SstBasicEntity query) {
//        IUser user = this.getCurUser();
//        if(user==null){
//            throw new AppException("用户未登录");
//        }
        Rest<Object> ret = new Rest();
        Map<String, Object> model = new HashMap();
        String busiDesc = "查询自助终端基础设置信息" ;
        int code=1;
        try {
            SstBasicEntity sstBasic = this.service.getBasicBySiteId(query.getSiteId());
            Map<String, Object> sstApps = sstAppsService.getAppsBySiteId(query.getSiteId());
            Map<String, Object> sstAppsDesk = sstAppsDeskService.getAppsBySiteId(query.getSiteId());
            model.put("basicInfo", sstBasic);
            model.put("showApps", sstApps.get("showApps"));
            model.put("hotApps", sstApps.get("hotApps"));
            model.put("allApps", sstApps.get("allApps"));
            model.put("showAppsDesk", sstAppsDesk.get("showApps"));
            model.put("hotAppsDesk", sstAppsDesk.get("hotApps"));
            model.put("allAppsDesk", sstAppsDesk.get("allApps"));
            model.put("message_info", busiDesc + "成功");
            this.recordSysLog(this.request, busiDesc + " 【成功】");
        } catch (Exception var9) {
            code = -1;
            this.doException(this.request, busiDesc, model, var9);
        }

        ret.setCode(code);
        ret.setData(model);
        ret.setDict(model.get("dict"));
        ret.setMsg(model.get("message_info") == null ? "" : model.remove("message_info").toString());
        return ret;
    }

    @PostMapping({"setting/save"})
    public Rest<Object> settingSave(@RequestBody SstBasicEntity basicEntity) {
        IUser user = this.getCurUser();
        if(user==null){
            throw new AppException("用户未登录");
        }
        Rest<Object> ret = new Rest();
        Map<String, Object> model = new HashMap();
        String busiDesc = "保存基础设置" ;
        int code=1;
        try {
            this.service.settingSave(basicEntity,this.getContext());
            this.sstAppsService.settingSave(basicEntity.getSiteId(),basicEntity.getShowAppIds(),basicEntity.getHotAppIds(),this.getContext());
            this.sstAppsDeskService.settingSave(basicEntity.getSiteId(),basicEntity.getDeskShowAppIds(),basicEntity.getDeskHotAppIds(),this.getContext());
            model.put("message_info", busiDesc + "成功");
            this.recordSysLog(this.request, busiDesc + " 【成功】");
        } catch (Exception var9) {
            code = -1;
            this.doException(this.request, busiDesc, model, var9);
        }

        ret.setCode(code);
        ret.setData(model);
        ret.setDict(model.get("dict"));
        ret.setMsg(model.get("message_info") == null ? "" : model.remove("message_info").toString());
        return ret;
    }

    @PostMapping({"site/siteTree"})
    public Rest<Object> list(@RequestHeader("Authorization") String authorization) {
        Rest<Object> ret = new Rest();
        Map<String, Object> model = new HashMap();
        String busiDesc = "查询用户站点列表";

        int code = 1;
        try {
            String resp = iSiteFeign.siteTree(authorization);
            ApiResp<JSONObject> apiResp = JSON.parseObject(resp, ApiResp.class);
            if (apiResp.getCode() != YesNoEnum.YES.getValue()) {
                throw new AppException("获取用户站点列表树数据失败：" + apiResp.getMsg());
            }
            if (apiResp.getData().get("siteTree") != null) {
                model.put("data", apiResp.getData().get("siteTree"));
            } else {
                model.put("data", Collections.emptyList());
            }
            model.put("message_info", busiDesc + "成功");
            this.recordSysLog(this.request, busiDesc + " 【成功】");
        } catch (Exception var9) {
            code = -1;
            this.doException(this.request, busiDesc, model, var9);
        }

        ret.setCode(code);
        ret.setData(model);
        ret.setDict(model.get("dict"));
        ret.setMsg(model.get("message_info") == null ? "" : model.remove("message_info").toString());
        return ret;
    }

    @PostMapping({"site/newSiteTree"})
    public Rest<Object> newSiteTree(@RequestHeader("Authorization") String authorization) {
        Rest<Object> ret = new Rest();
        Map<String, Object> model = new HashMap();
        String busiDesc = "查询用户站点列表";

        int code = 1;
        try {
            String resp = iSiteFeign.siteTree(authorization);
            ApiResp<JSONObject> apiResp = JSON.parseObject(resp, ApiResp.class);
            if (apiResp.getCode() != YesNoEnum.YES.getValue()) {
                throw new AppException("获取用户站点列表树数据失败：" + apiResp.getMsg());
            }
            com.mortals.xhx.common.pdu.site.SitePdu sitePdu = new com.mortals.xhx.common.pdu.site.SitePdu();
            sitePdu.setSize(-1);
            Rest<RespData<List<com.mortals.xhx.common.pdu.site.SitePdu>>> result = siteFeign.list(sitePdu);
            Map<Long,String> siteMap = new HashMap<>();
            if(result.getCode() > 0) {
                for(com.mortals.xhx.common.pdu.site.SitePdu item:result.getData().getData()){
                    siteMap.put(item.getId(),item.getDetailAddress());
                }
            }
            DevicePdu devicePdu = new DevicePdu();
            devicePdu.setSize(-1);
            devicePdu.setProductName("%自助服务终端%");
            Rest<RespData<List<DevicePdu>>> deviceRest = deviceFeign.list(devicePdu);
            Map<Long,SiteTreeSelectVO> siteDeviceMap = new HashMap<>();
            if(deviceRest.getCode() > 0) {
                for(DevicePdu device:deviceRest.getData().getData()){
                    SiteTreeSelectVO vo;
                    if(siteDeviceMap.containsKey(device.getSiteId())){
                        vo = siteDeviceMap.get(device.getSiteId());
                    }else {
                        vo = new SiteTreeSelectVO();
                    }
                    vo.deviceTotalAdd(1);
                    if(device.getDeviceStatus()==1){
                        vo.offlineTotalAdd(1);
                    }
                    if(device.getDeviceStatus()==2){
                        vo.onlineTotalAdd(1);
                    }
                    siteDeviceMap.put(device.getSiteId(),vo);
                }
            }
            if (apiResp.getData().get("siteTree") != null) {
                List<SiteTreeSelectVO> resultList = JSONObject.parseArray(apiResp.getData().get("siteTree").toString(),SiteTreeSelectVO.class);
                SiteTreeSelectVO rootNode = new SiteTreeSelectVO();
                rootNode.setId("6182157d00ce41559e001a89d87f4057");
                rootNode.setAreaCode("510000000000");
                rootNode.setAreaName("四川省");
                rootNode.setLabel("四川省");
                rootNode.setType("area");
                rootNode.setIcon("el-icon-folder");
                rootNode.setIsLeaf(false);
                rootNode.setLatitude("28.732286");
                rootNode.setLongitude("104.623552");
                rootNode.setSiteCount(getChildrenCount(resultList,2,siteMap,siteDeviceMap)-1);
                rootNode.setChildren(resultList);
                rootNode.setLevel(1);
                List<SiteTreeSelectVO> dataList = new ArrayList<>();
                dataList.add(rootNode);
                model.put("data", dataList);
            } else {
                model.put("data", Collections.emptyList());
            }
            model.put("message_info", busiDesc + "成功");
            this.recordSysLog(this.request, busiDesc + " 【成功】");
        } catch (Exception var9) {
            code = -1;
            this.doException(this.request, busiDesc, model, var9);
        }

        ret.setCode(code);
        ret.setData(model);
        ret.setDict(model.get("dict"));
        ret.setMsg(model.get("message_info") == null ? "" : model.remove("message_info").toString());
        return ret;
    }

    private static Integer getChildrenCount(List<SiteTreeSelectVO> children,int initLevel,Map<Long,String> siteMap,Map<Long,SiteTreeSelectVO> siteDeviceMap){
        if(CollectionUtils.isEmpty(children)) {
            return 1;
        }else {
            int size = 1;
            for (SiteTreeSelectVO vo:children){
                int c = getChildrenCount(vo.getChildren(),initLevel+1,siteMap,siteDeviceMap);
                if(vo.getType().equals("site")){
                    Long key = DataUtil.converStr2Long(vo.getId(),0L);
                    vo.setDetailAddress(siteMap.get(key));
                    if(siteDeviceMap.containsKey(key)) {
                        vo.setDeviceTotal(siteDeviceMap.get(key).getDeviceTotal());
                        vo.setOnlineTotal(siteDeviceMap.get(key).getOnlineTotal());
                        vo.setOfflineTotal(siteDeviceMap.get(key).getOfflineTotal());
                    }
                }
                vo.setSiteCount(c);
                vo.setLevel(initLevel);
                size += c;
            }
            return size;
        }
    }

    @PostMapping({"site/list"})
    public Rest<Object> list() {
        IUser user = this.getCurUser();
        if (user == null) {
            throw new AppException("用户未登录");
        }
        Rest<Object> ret = new Rest();
        Map<String, Object> model = new HashMap();
        String busiDesc = "查询用户站点列表";

        int code = 1;
        try {

            if (StringUtils.isNotEmpty(user.getSiteIds())) {
                SitePdu sitePdu = new SitePdu();
                List<String> siteIds = Arrays.asList(user.getSiteIds().split(","));
                List<Long> idList = new ArrayList<>();
                siteIds.forEach(s -> {
                    idList.add(DataUtil.converStr2Long(s, 0));
                });
                sitePdu.setIdList(idList);
                String resp = iApiBaseManagerFeign.getSitesByQuery(sitePdu);
                ApiResp<JSONObject> apiResp = JSON.parseObject(resp, ApiResp.class);
                if (apiResp.getCode() != YesNoEnum.YES.getValue()) {
                    throw new AppException("获取用户站点列表树数据失败：" + apiResp.getMsg());
                }
                if (apiResp.getData().get("data") != null) {
                    model.put("data", apiResp.getData().get("data"));
                } else {
                    model.put("data", Collections.emptyList());
                }
            } else {
                model.put("data", Collections.emptyList());
            }
            model.put("message_info", busiDesc + "成功");
            this.recordSysLog(this.request, busiDesc + " 【成功】");
        } catch (Exception var9) {
            code = -1;
            this.doException(this.request, busiDesc, model, var9);
        }

        ret.setCode(code);
        ret.setData(model);
        ret.setDict(model.get("dict"));
        ret.setMsg(model.get("message_info") == null ? "" : model.remove("message_info").toString());
        return ret;
    }

    @PostMapping({"site/apps"})
    @UnAuth
    public Rest<Object> showApps(@RequestBody SstBasicEntity query) {
//        IUser user = this.getCurUser();
//        if(user==null){
//            throw new AppException("用户未登录");
//        }
        Rest<Object> ret = new Rest();
        Map<String, Object> model = new HashMap();
        String busiDesc = "查询自助终端应用展示数据" ;
        int code=1;
        try {
            String host = "";
            String serverName = request.getHeader("server-name");
            Integer serverPort = DataUtil.converStr2Int(request.getHeader("server-port"),0);
            if (!ObjectUtils.isEmpty(serverName) && Validator.isIpv4(serverName)) {
                host = UrlBuilder.ofHttp(serverName).setPort(serverPort > 0 ? serverPort : 11078).build();
                //host = StrUtil.sub(host, 0, host.length() - 1);
            }else {
                host="";
            }
            if(StringUtils.isNotEmpty(query.getAppName())){
                query.setAppName("%"+query.getAppName()+"%");
            }
            log.info("server-name:"+serverName+",server-port:"+serverPort);
            Map<String, Object> sstApps = sstAppsService.getAppListBySite(query.getDeviceCode(),query.getSiteId(),host,query.getAppName());
            model.put("showApps", sstApps.get("showApps"));
            model.put("hotApps", sstApps.get("hotApps"));
            model.put("allApps", sstApps.get("allApps"));
            model.put("appThemeCount",groupAppTheme((List<AppsInfoEntity>)sstApps.get("showApps")));
            AppPdu appPdu = new AppPdu();
            appPdu.setSiteId(query.getSiteId());
            appPdu.setSize(999);
            appPdu.setType(1);
            appPdu.setShelves(1);
            Rest<RespData<List<AppPdu>>> rest = appFeign.list(appPdu);
            if (rest.getCode().equals(YesNoEnum.YES.getValue())) {
                model.put("dict",rest.getData().getDict());
            }
            model.put("message_info", busiDesc + "成功");
            this.recordSysLog(this.request, busiDesc + " 【成功】");
        } catch (Exception var9) {
            code = -1;
            this.doException(this.request, busiDesc, model, var9);
        }

        ret.setCode(code);
        ret.setData(model);
        ret.setDict(model.get("dict"));
        ret.setMsg(model.get("message_info") == null ? "" : model.remove("message_info").toString());
        return ret;
    }

    @PostMapping({"site/desk/apps"})
    @UnAuth
    public Rest<Object> showDeskApps(@RequestBody SstBasicEntity query) {
//        IUser user = this.getCurUser();
//        if(user==null){
//            throw new AppException("用户未登录");
//        }
        Rest<Object> ret = new Rest();
        Map<String, Object> model = new HashMap();
        String busiDesc = "查询自助终端应用展示数据" ;
        int code=1;
        try {
            String host = "";
            String serverName = request.getHeader("server-name");
            Integer serverPort = DataUtil.converStr2Int(request.getHeader("server-port"),0);
            if (!ObjectUtils.isEmpty(serverName) && Validator.isIpv4(serverName)) {
                host = UrlBuilder.ofHttp(serverName).setPort(serverPort > 0 ? serverPort : 11078).build();
                host = StrUtil.sub(host, 0, host.length() - 1);
            }else {
                host="";
            }
            if(StringUtils.isNotEmpty(query.getAppName())){
                query.setAppName("%"+query.getAppName()+"%");
            }
            log.info("server-name:"+serverName+",server-port:"+serverPort);
            Map<String, Object> sstAppsDesk = sstAppsDeskService.getAppListBySite(query.getDeviceCode(),query.getSiteId(),host,query.getAppName());
            model.put("showApps", sstAppsDesk.get("showApps"));
            model.put("hotApps", sstAppsDesk.get("hotApps"));
            model.put("allApps", sstAppsDesk.get("allApps"));
            model.put("appThemeCount",groupAppTheme((List<AppsInfoEntity>)sstAppsDesk.get("showApps")));
            AppPdu appPdu = new AppPdu();
            appPdu.setSiteId(query.getSiteId());
            appPdu.setSize(999);
            appPdu.setType(1);
            appPdu.setShelves(1);
            Rest<RespData<List<AppPdu>>> rest = appFeign.list(appPdu);
            if (rest.getCode().equals(YesNoEnum.YES.getValue())) {
                model.put("dict",rest.getData().getDict());
            }
            model.put("message_info", busiDesc + "成功");
            this.recordSysLog(this.request, busiDesc + " 【成功】");
        } catch (Exception var9) {
            code = -1;
            this.doException(this.request, busiDesc, model, var9);
        }

        ret.setCode(code);
        ret.setData(model);
        ret.setDict(model.get("dict"));
        ret.setMsg(model.get("message_info") == null ? "" : model.remove("message_info").toString());
        return ret;
    }

    private Map<String,Integer> groupAppTheme(List<AppsInfoEntity> appList){
        if(CollectionUtils.isEmpty(appList)){
            return null;
        }
        Map<String,List<AppsInfoEntity>> group = appList.stream().collect(Collectors.groupingBy(AppsInfoEntity::getAppThemeName));
        Map<String,Integer> result = new HashMap<>();
        for (Map.Entry<String, List<AppsInfoEntity>> itemMap: group.entrySet()) {
            String key = itemMap.getKey();
            List<AppsInfoEntity> value = itemMap.getValue();
            result.put(key,value.size());
        }
        return result;
    }

}