package com.mortals.xhx.module.sst.web;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.mortals.framework.annotation.UnAuth;
import com.mortals.framework.ap.GlobalSysInfo;
import com.mortals.framework.common.Rest;
import com.mortals.framework.util.HttpUtil;
import com.mortals.framework.web.BaseJsonBodyController;
import com.mortals.xhx.module.sst.model.SstBasicEntity;
import com.mortals.xhx.module.sst.pdu.TerminalPdu;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;

import static com.mortals.xhx.common.key.Constant.PARAM_SERVER_PHP_HTTP_URL;

@RestController
@RequestMapping("api")
public class TerminalController extends BaseJsonBodyController {


    @PostMapping({"news/newsList"})
    @UnAuth
    public String newsList(@RequestBody TerminalPdu query) {
        String phpUrl = GlobalSysInfo.getParamValue(PARAM_SERVER_PHP_HTTP_URL, "http://172.15.28.116:8090");
        phpUrl += "/api/news/newsList";
        HashMap<String, String> paramsMap = new HashMap<>();
        if(query.getSiteId()!=null) {
            paramsMap.put("siteid", query.getSiteId().toString());
        }else {
            paramsMap.put("siteid", "1");
        }
        if(query.getSize()!=null) {
            paramsMap.put("size", query.getSize().toString());
        }else {
            paramsMap.put("size", "5");
        }
        if(query.getPage()!=null) {
            paramsMap.put("page", query.getPage().toString());
        }else {
            paramsMap.put("page", "1");
        }
        if(query.getType()!=null) {
            paramsMap.put("type", query.getType().toString());
        }else {
            paramsMap.put("type", "1");
        }
        String resp = null;
        Map<String, Object> model = new HashMap();
        String busiDesc = "自助终端查询新闻公告" ;
        try {
            resp = HttpUtil.doGet(phpUrl, paramsMap);
            this.recordSysLog(this.request, busiDesc + " 【成功】");
        } catch (Exception e) {
            this.doException(this.request, busiDesc + " 【异常】", model, e);
            Rest<Object> ret = new Rest();
            ret.setCode(-1);
            ret.setMsg(busiDesc + " 【异常】");
            resp = JSON.toJSONString(ret);
        }
        return resp;
    }

    @PostMapping({"news/newInfo"})
    @UnAuth
    public String newInfo(@RequestBody TerminalPdu query) {
        String phpUrl = GlobalSysInfo.getParamValue(PARAM_SERVER_PHP_HTTP_URL, "http://172.15.28.116:8090");
        phpUrl += "/api/news/newInfo";
        HashMap<String, String> paramsMap = new HashMap<>();

        if(query.getNewsId()!=null) {
            paramsMap.put("id", query.getNewsId().toString());
        }else {
            paramsMap.put("id", "1");
        }
        String resp = null;
        Map<String, Object> model = new HashMap();
        String busiDesc = "自助终端查询新闻公告详情" ;
        try {
            resp = HttpUtil.doGet(phpUrl, paramsMap);
            this.recordSysLog(this.request, busiDesc + " 【成功】");
        } catch (Exception e) {
            this.doException(this.request, busiDesc + " 【异常】", model, e);
            Rest<Object> ret = new Rest();
            ret.setCode(-1);
            ret.setMsg(busiDesc + " 【异常】");
            resp = JSON.toJSONString(ret);
        }
        return resp;
    }

}
